#include <stdlib.h>
void __VERIFIER_error() { exit(107); }
typedef unsigned char __u8;
typedef unsigned short __u16;
typedef unsigned int __u32;
typedef unsigned long long __u64;
typedef unsigned char u8;
typedef short s16;
typedef unsigned short u16;
typedef unsigned int u32;
typedef long long s64;
typedef unsigned long long u64;
typedef long __kernel_long_t;
typedef unsigned long __kernel_ulong_t;
typedef __kernel_ulong_t __kernel_size_t;
typedef __kernel_long_t __kernel_ssize_t;
typedef long long __kernel_loff_t;
typedef __u32 __kernel_dev_t;
typedef __kernel_dev_t dev_t;
typedef unsigned short umode_t;
typedef _Bool bool;
typedef __kernel_loff_t loff_t;
typedef __kernel_ssize_t ssize_t;
typedef u64 dma_addr_t;
typedef __u16 __le16;
typedef unsigned int gfp_t;
typedef u64 phys_addr_t;
typedef phys_addr_t resource_size_t;
struct __anonstruct_atomic_t_6 {
  int counter;
} ;
typedef struct __anonstruct_atomic_t_6 atomic_t;
struct __anonstruct_atomic64_t_7 {
  long counter;
} ;
typedef struct __anonstruct_atomic64_t_7 atomic64_t;
struct list_head {
  struct list_head *next;
  struct list_head *prev;
} ;
struct hlist_node ;
struct hlist_head {
  struct hlist_node *first;
} ;
struct hlist_node {
  struct hlist_node *next;
  struct hlist_node **pprev;
} ;
struct module ;
typedef void (*ctor_fn_t)();
struct _ddebug {
  char *modname;
  char *function;
  char *filename;
  char *format;
  unsigned int lineno : 18;
  unsigned char flags;
} ;
struct device ;
struct completion ;
struct page ;
struct task_struct {
} ;
struct mm_struct ;
typedef unsigned long pgdval_t;
typedef unsigned long pgprotval_t;
struct pgprot {
  pgprotval_t pgprot;
} ;
typedef struct pgprot pgprot_t;
struct __anonstruct_pgd_t_16 {
  pgdval_t pgd;
} ;
typedef struct __anonstruct_pgd_t_16 pgd_t;
typedef struct page *pgtable_t;
struct file {
} ;
struct cpumask ;
struct arch_spinlock ;
struct bug_entry {
  int bug_addr_disp;
  int file_disp;
  unsigned short line;
  unsigned short flags;
} ;
struct cpumask {
  unsigned long bits[64U];
} ;
typedef struct cpumask *cpumask_var_t;
struct static_key ;
struct kmem_cache ;
typedef atomic64_t atomic_long_t;
typedef u16 __ticket_t;
typedef u32 __ticketpair_t;
struct __raw_tickets {
  __ticket_t head;
  __ticket_t tail;
} ;
union __anonunion_ldv_5907_29 {
  __ticketpair_t head_tail;
  struct __raw_tickets tickets;
} ;
struct arch_spinlock {
  union __anonunion_ldv_5907_29 ldv_5907;
} ;
typedef struct arch_spinlock arch_spinlock_t;
struct lockdep_map ;
struct stack_trace {
  unsigned int nr_entries;
  unsigned int max_entries;
  unsigned long *entries;
  int skip;
} ;
struct lockdep_subclass_key {
  char __one_byte;
} ;
struct lock_class_key {
  struct lockdep_subclass_key subkeys[8U];
} ;
struct lock_class {
  struct list_head hash_entry;
  struct list_head lock_entry;
  struct lockdep_subclass_key *key;
  unsigned int subclass;
  unsigned int dep_gen_id;
  unsigned long usage_mask;
  struct stack_trace usage_traces[13U];
  struct list_head locks_after;
  struct list_head locks_before;
  unsigned int version;
  unsigned long ops;
  char *name;
  int name_version;
  unsigned long contention_point[4U];
  unsigned long contending_point[4U];
} ;
struct lockdep_map {
  struct lock_class_key *key;
  struct lock_class *class_cache[2U];
  char *name;
  int cpu;
  unsigned long ip;
} ;
struct raw_spinlock {
  arch_spinlock_t raw_lock;
  unsigned int magic;
  unsigned int owner_cpu;
  void *owner;
  struct lockdep_map dep_map;
} ;
typedef struct raw_spinlock raw_spinlock_t;
struct __anonstruct_ldv_6122_33 {
  u8 __padding[24U];
  struct lockdep_map dep_map;
} ;
union __anonunion_ldv_6123_32 {
  struct raw_spinlock rlock;
  struct __anonstruct_ldv_6122_33 ldv_6122;
} ;
struct spinlock {
  union __anonunion_ldv_6123_32 ldv_6123;
} ;
typedef struct spinlock spinlock_t;
struct __wait_queue_head {
  spinlock_t lock;
  struct list_head task_list;
} ;
typedef struct __wait_queue_head wait_queue_head_t;
struct __anonstruct_nodemask_t_36 {
  unsigned long bits[16U];
} ;
typedef struct __anonstruct_nodemask_t_36 nodemask_t;
struct mutex {
  atomic_t count;
  spinlock_t wait_lock;
  struct list_head wait_list;
  struct task_struct *owner;
  char *name;
  void *magic;
  struct lockdep_map dep_map;
} ;
struct rw_semaphore ;
struct rw_semaphore {
  long count;
  raw_spinlock_t wait_lock;
  struct list_head wait_list;
  struct lockdep_map dep_map;
} ;
struct completion {
  unsigned int done;
  wait_queue_head_t wait;
} ;
struct resource {
  resource_size_t start;
  resource_size_t end;
  char *name;
  unsigned long flags;
  struct resource *parent;
  struct resource *sibling;
  struct resource *child;
} ;
struct pci_dev ;
union ktime {
  s64 tv64;
} ;
typedef union ktime ktime_t;
struct tvec_base {
} ;
struct timer_list {
  struct list_head entry;
  unsigned long expires;
  struct tvec_base *base;
  void (*function)(unsigned long);
  unsigned long data;
  int slack;
  int start_pid;
  void *start_site;
  char start_comm[16U];
  struct lockdep_map lockdep_map;
} ;
struct work_struct ;
struct work_struct {
  atomic_long_t data;
  struct list_head entry;
  void (*func)(struct work_struct *);
  struct lockdep_map lockdep_map;
} ;
struct pm_message {
  int event;
} ;
typedef struct pm_message pm_message_t;
struct dev_pm_ops {
  int (*prepare)(struct device *);
  void (*complete)(struct device *);
  int (*suspend)(struct device *);
  int (*resume)(struct device *);
  int (*freeze)(struct device *);
  int (*thaw)(struct device *);
  int (*poweroff)(struct device *);
  int (*restore)(struct device *);
  int (*suspend_late)(struct device *);
  int (*resume_early)(struct device *);
  int (*freeze_late)(struct device *);
  int (*thaw_early)(struct device *);
  int (*poweroff_late)(struct device *);
  int (*restore_early)(struct device *);
  int (*suspend_noirq)(struct device *);
  int (*resume_noirq)(struct device *);
  int (*freeze_noirq)(struct device *);
  int (*thaw_noirq)(struct device *);
  int (*poweroff_noirq)(struct device *);
  int (*restore_noirq)(struct device *);
  int (*runtime_suspend)(struct device *);
  int (*runtime_resume)(struct device *);
  int (*runtime_idle)(struct device *);
} ;
enum rpm_status {
  RPM_ACTIVE = 0,
  RPM_RESUMING = 1,
  RPM_SUSPENDED = 2,
  RPM_SUSPENDING = 3
} ;
enum rpm_request {
  RPM_REQ_NONE = 0,
  RPM_REQ_IDLE = 1,
  RPM_REQ_SUSPEND = 2,
  RPM_REQ_AUTOSUSPEND = 3,
  RPM_REQ_RESUME = 4
} ;
struct wakeup_source ;
struct pm_subsys_data {
  spinlock_t lock;
  unsigned int refcount;
} ;
struct dev_pm_qos_request {
} ;
struct pm_qos_raints {
} ;
struct dev_pm_info {
  pm_message_t power_state;
  unsigned char can_wakeup : 1;
  unsigned char async_suspend : 1;
  bool is_prepared;
  bool is_suspended;
  bool ignore_children;
  spinlock_t lock;
  struct list_head entry;
  struct completion completion;
  struct wakeup_source *wakeup;
  bool wakeup_path;
  struct timer_list suspend_timer;
  unsigned long timer_expires;
  struct work_struct work;
  wait_queue_head_t wait_queue;
  atomic_t usage_count;
  atomic_t child_count;
  unsigned char disable_depth : 3;
  unsigned char idle_notification : 1;
  unsigned char request_pending : 1;
  unsigned char deferred_resume : 1;
  unsigned char run_wake : 1;
  unsigned char runtime_auto : 1;
  unsigned char no_callbacks : 1;
  unsigned char irq_safe : 1;
  unsigned char use_autosuspend : 1;
  unsigned char timer_autosuspends : 1;
  enum rpm_request request;
  enum rpm_status runtime_status;
  int runtime_error;
  int autosuspend_delay;
  unsigned long last_busy;
  unsigned long active_jiffies;
  unsigned long suspended_jiffies;
  unsigned long accounting_timestamp;
  ktime_t suspend_time;
  s64 max_time_suspended_ns;
  struct dev_pm_qos_request *pq_req;
  struct pm_subsys_data *subsys_data;
  struct pm_qos_raints *raints;
} ;
struct dev_pm_domain {
  struct dev_pm_ops ops;
} ;
struct pci_bus ;
struct __anonstruct_mm_context_t_101 {
  void *ldt;
  int size;
  unsigned short ia32_compat;
  struct mutex lock;
  void *vdso;
} ;
typedef struct __anonstruct_mm_context_t_101 mm_context_t;
struct vm_area_struct ;
struct rb_node {
  unsigned long rb_parent_color;
  struct rb_node *rb_right;
  struct rb_node *rb_left;
} ;
struct rb_root {
  struct rb_node *rb_node;
} ;
typedef __u64 Elf64_Addr;
typedef __u16 Elf64_Half;
typedef __u32 Elf64_Word;
typedef __u64 Elf64_Xword;
struct elf64_sym {
  Elf64_Word st_name;
  unsigned char st_info;
  unsigned char st_other;
  Elf64_Half st_shndx;
  Elf64_Addr st_value;
  Elf64_Xword st_size;
} ;
typedef struct elf64_sym Elf64_Sym;
struct sock {
} ;
struct kobject ;
enum kobj_ns_type {
  KOBJ_NS_TYPE_NONE = 0,
  KOBJ_NS_TYPE_NET = 1,
  KOBJ_NS_TYPES = 2
} ;
struct kobj_ns_type_operations {
  enum kobj_ns_type type;
  void *(*grab_current_ns)();
  void *(*netlink_ns)(struct sock *);
  void *(*initial_ns)();
  void (*drop_ns)(void *);
} ;
struct attribute {
  char *name;
  umode_t mode;
  struct lock_class_key *key;
  struct lock_class_key skey;
} ;
struct attribute_group {
  char *name;
  umode_t (*is_visible)(struct kobject *, struct attribute *, int);
  struct attribute **attrs;
} ;
struct bin_attribute {
  struct attribute attr;
  size_t size;
  void *private;
  ssize_t (*read)(struct file *, struct kobject *, struct bin_attribute *, char *, loff_t , size_t );
  ssize_t (*write)(struct file *, struct kobject *, struct bin_attribute *, char *, loff_t , size_t );
  int (*mmap)(struct file *, struct kobject *, struct bin_attribute *, struct vm_area_struct *);
} ;
struct sysfs_ops {
  ssize_t (*show)(struct kobject *, struct attribute *, char *);
  ssize_t (*store)(struct kobject *, struct attribute *, char *, size_t );
  void *(*namespace)(struct kobject *, struct attribute *);
} ;
struct sysfs_dirent {
} ;
struct kref {
  atomic_t refcount;
} ;
struct kset ;
struct kobj_type ;
struct kobject {
  char *name;
  struct list_head entry;
  struct kobject *parent;
  struct kset *kset;
  struct kobj_type *ktype;
  struct sysfs_dirent *sd;
  struct kref kref;
  unsigned char state_initialized : 1;
  unsigned char state_in_sysfs : 1;
  unsigned char state_add_uevent_sent : 1;
  unsigned char state_remove_uevent_sent : 1;
  unsigned char uevent_suppress : 1;
} ;
struct kobj_type {
  void (*release)(struct kobject *);
  struct sysfs_ops *sysfs_ops;
  struct attribute **default_attrs;
  struct kobj_ns_type_operations *(*child_ns_type)(struct kobject *);
  void *(*namespace)(struct kobject *);
} ;
struct kobj_uevent_env {
  char *envp[32U];
  int envp_idx;
  char buf[2048U];
  int buflen;
} ;
struct kset_uevent_ops {
  int (*filter)(struct kset *, struct kobject *);
  char *(*name)(struct kset *, struct kobject *);
  int (*uevent)(struct kset *, struct kobject *, struct kobj_uevent_env *);
} ;
struct kset {
  struct list_head list;
  spinlock_t list_lock;
  struct kobject kobj;
  struct kset_uevent_ops *uevent_ops;
} ;
struct kernel_param ;
struct kernel_param_ops {
  int (*set)(char *, struct kernel_param *);
  int (*get)(char *, struct kernel_param *);
  void (*free)(void *);
} ;
struct kparam_string ;
struct kparam_array ;
union __anonunion_ldv_13363_134 {
  void *arg;
  struct kparam_string *str;
  struct kparam_array *arr;
} ;
struct kernel_param {
  char *name;
  struct kernel_param_ops *ops;
  u16 perm;
  s16 level;
  union __anonunion_ldv_13363_134 ldv_13363;
} ;
struct kparam_string {
  unsigned int maxlen;
  char *string;
} ;
struct kparam_array {
  unsigned int max;
  unsigned int elemsize;
  unsigned int *num;
  struct kernel_param_ops *ops;
  void *elem;
} ;
struct static_key {
  atomic_t enabled;
} ;
struct tracepoint ;
struct tracepoint_func {
  void *func;
  void *data;
} ;
struct tracepoint {
  char *name;
  struct static_key key;
  void (*regfunc)();
  void (*unregfunc)();
  struct tracepoint_func *funcs;
} ;
struct kernel_symbol {
  unsigned long value;
  char *name;
} ;
struct mod_arch_specific {
} ;
struct module_param_attrs {
} ;
struct module_kobject {
  struct kobject kobj;
  struct module *mod;
  struct kobject *drivers_dir;
  struct module_param_attrs *mp;
} ;
struct module_attribute {
  struct attribute attr;
  ssize_t (*show)(struct module_attribute *, struct module_kobject *, char *);
  ssize_t (*store)(struct module_attribute *, struct module_kobject *, char *, size_t );
  void (*setup)(struct module *, char *);
  int (*test)(struct module *);
  void (*free)(struct module *);
} ;
struct exception_table_entry ;
enum module_state {
  MODULE_STATE_LIVE = 0,
  MODULE_STATE_COMING = 1,
  MODULE_STATE_GOING = 2
} ;
struct module_ref {
  unsigned long incs;
  unsigned long decs;
} ;
struct module_sect_attrs {
} ;
struct module_notes_attrs {
} ;
struct ftrace_event_call {
} ;
struct module {
  enum module_state state;
  struct list_head list;
  char name[56U];
  struct module_kobject mkobj;
  struct module_attribute *modinfo_attrs;
  char *version;
  char *srcversion;
  struct kobject *holders_dir;
  struct kernel_symbol *syms;
  unsigned long *crcs;
  unsigned int num_syms;
  struct kernel_param *kp;
  unsigned int num_kp;
  unsigned int num_gpl_syms;
  struct kernel_symbol *gpl_syms;
  unsigned long *gpl_crcs;
  struct kernel_symbol *unused_syms;
  unsigned long *unused_crcs;
  unsigned int num_unused_syms;
  unsigned int num_unused_gpl_syms;
  struct kernel_symbol *unused_gpl_syms;
  unsigned long *unused_gpl_crcs;
  struct kernel_symbol *gpl_future_syms;
  unsigned long *gpl_future_crcs;
  unsigned int num_gpl_future_syms;
  unsigned int num_exentries;
  struct exception_table_entry *extable;
  int (*init)();
  void *module_init;
  void *module_core;
  unsigned int init_size;
  unsigned int core_size;
  unsigned int init_text_size;
  unsigned int core_text_size;
  unsigned int init_ro_size;
  unsigned int core_ro_size;
  struct mod_arch_specific arch;
  unsigned int taints;
  unsigned int num_bugs;
  struct list_head bug_list;
  struct bug_entry *bug_table;
  Elf64_Sym *symtab;
  Elf64_Sym *core_symtab;
  unsigned int num_symtab;
  unsigned int core_num_syms;
  char *strtab;
  char *core_strtab;
  struct module_sect_attrs *sect_attrs;
  struct module_notes_attrs *notes_attrs;
  char *args;
  void *percpu;
  unsigned int percpu_size;
  unsigned int num_tracepoints;
  struct tracepoint **tracepoints_ptrs;
  unsigned int num_trace_bprintk_fmt;
  char **trace_bprintk_fmt_start;
  struct ftrace_event_call **trace_events;
  unsigned int num_trace_events;
  struct list_head source_list;
  struct list_head target_list;
  struct task_struct *waiter;
  void (*exit)();
  struct module_ref *refptr;
  ctor_fn_t (**ctors)();
  unsigned int num_ctors;
} ;
struct kmem_cache_cpu {
  void **freelist;
  unsigned long tid;
  struct page *page;
  struct page *partial;
  int node;
  unsigned int stat[26U];
} ;
struct kmem_cache_node {
  spinlock_t list_lock;
  unsigned long nr_partial;
  struct list_head partial;
  atomic_long_t nr_slabs;
  atomic_long_t total_objects;
  struct list_head full;
} ;
struct kmem_cache_order_objects {
  unsigned long x;
} ;
struct kmem_cache {
  struct kmem_cache_cpu *cpu_slab;
  unsigned long flags;
  unsigned long min_partial;
  int size;
  int objsize;
  int offset;
  int cpu_partial;
  struct kmem_cache_order_objects oo;
  struct kmem_cache_order_objects max;
  struct kmem_cache_order_objects min;
  gfp_t allocflags;
  int refcount;
  void (*ctor)(void *);
  int inuse;
  int align;
  int reserved;
  char *name;
  struct list_head list;
  struct kobject kobj;
  int remote_node_defrag_ratio;
  struct kmem_cache_node *node[1024U];
} ;
typedef unsigned long kernel_ulong_t;
struct pci_device_id {
  __u32 vendor;
  __u32 device;
  __u32 subvendor;
  __u32 subdevice;
  __u32 class;
  __u32 class_mask;
  kernel_ulong_t driver_data;
} ;
struct of_device_id {
  char name[32U];
  char type[32U];
  char compatible[128U];
  void *data;
} ;
struct klist_node ;
struct klist_node {
  void *n_klist;
  struct list_head n_node;
  struct kref n_ref;
} ;
struct dma_map_ops ;
struct dev_archdata {
  void *acpi_handle;
  struct dma_map_ops *dma_ops;
  void *iommu;
} ;
struct device_private {
} ;
struct device_driver ;
struct driver_private {
} ;
struct class ;
struct subsys_private {
} ;
struct bus_type ;
struct device_node ;
struct iommu_ops {
} ;
struct bus_attribute {
  struct attribute attr;
  ssize_t (*show)(struct bus_type *, char *);
  ssize_t (*store)(struct bus_type *, char *, size_t );
} ;
struct device_attribute ;
struct driver_attribute ;
struct bus_type {
  char *name;
  char *dev_name;
  struct device *dev_root;
  struct bus_attribute *bus_attrs;
  struct device_attribute *dev_attrs;
  struct driver_attribute *drv_attrs;
  int (*match)(struct device *, struct device_driver *);
  int (*uevent)(struct device *, struct kobj_uevent_env *);
  int (*probe)(struct device *);
  int (*remove)(struct device *);
  void (*shutdown)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  struct dev_pm_ops *pm;
  struct iommu_ops *iommu_ops;
  struct subsys_private *p;
} ;
struct device_type ;
struct device_driver {
  char *name;
  struct bus_type *bus;
  struct module *owner;
  char *mod_name;
  bool suppress_bind_attrs;
  struct of_device_id *of_match_table;
  int (*probe)(struct device *);
  int (*remove)(struct device *);
  void (*shutdown)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  struct attribute_group **groups;
  struct dev_pm_ops *pm;
  struct driver_private *p;
} ;
struct driver_attribute {
  struct attribute attr;
  ssize_t (*show)(struct device_driver *, char *);
  ssize_t (*store)(struct device_driver *, char *, size_t );
} ;
struct class_attribute ;
struct class {
  char *name;
  struct module *owner;
  struct class_attribute *class_attrs;
  struct device_attribute *dev_attrs;
  struct bin_attribute *dev_bin_attrs;
  struct kobject *dev_kobj;
  int (*dev_uevent)(struct device *, struct kobj_uevent_env *);
  char *(*devnode)(struct device *, umode_t *);
  void (*class_release)(struct class *);
  void (*dev_release)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  struct kobj_ns_type_operations *ns_type;
  void *(*namespace)(struct device *);
  struct dev_pm_ops *pm;
  struct subsys_private *p;
} ;
struct class_attribute {
  struct attribute attr;
  ssize_t (*show)(struct class *, struct class_attribute *, char *);
  ssize_t (*store)(struct class *, struct class_attribute *, char *, size_t );
  void *(*namespace)(struct class *, struct class_attribute *);
} ;
struct device_type {
  char *name;
  struct attribute_group **groups;
  int (*uevent)(struct device *, struct kobj_uevent_env *);
  char *(*devnode)(struct device *, umode_t *);
  void (*release)(struct device *);
  struct dev_pm_ops *pm;
} ;
struct device_attribute {
  struct attribute attr;
  ssize_t (*show)(struct device *, struct device_attribute *, char *);
  ssize_t (*store)(struct device *, struct device_attribute *, char *, size_t );
} ;
struct device_dma_parameters {
  unsigned int max_segment_size;
  unsigned long segment_boundary_mask;
} ;
struct dma_coherent_mem {
} ;
struct device {
  struct device *parent;
  struct device_private *p;
  struct kobject kobj;
  char *init_name;
  struct device_type *type;
  struct mutex mutex;
  struct bus_type *bus;
  struct device_driver *driver;
  void *platform_data;
  struct dev_pm_info power;
  struct dev_pm_domain *pm_domain;
  int numa_node;
  u64 *dma_mask;
  u64 coherent_dma_mask;
  struct device_dma_parameters *dma_parms;
  struct list_head dma_pools;
  struct dma_coherent_mem *dma_mem;
  struct dev_archdata archdata;
  struct device_node *of_node;
  dev_t devt;
  u32 id;
  spinlock_t devres_lock;
  struct list_head devres_head;
  struct klist_node knode_class;
  struct class *class;
  struct attribute_group **groups;
  void (*release)(struct device *);
} ;
struct wakeup_source {
  char *name;
  struct list_head entry;
  spinlock_t lock;
  struct timer_list timer;
  unsigned long timer_expires;
  ktime_t total_time;
  ktime_t max_time;
  ktime_t last_time;
  unsigned long event_count;
  unsigned long active_count;
  unsigned long relax_count;
  unsigned long hit_count;
  unsigned char active : 1;
} ;
enum irqreturn {
  IRQ_NONE = 0,
  IRQ_HANDLED = 1,
  IRQ_WAKE_THREAD = 2
} ;
typedef enum irqreturn irqreturn_t;
struct hotplug_slot {
} ;
struct pci_slot {
  struct pci_bus *bus;
  struct list_head list;
  struct hotplug_slot *hotplug;
  unsigned char number;
  struct kobject kobj;
} ;
typedef int pci_power_t;
typedef unsigned int pci_channel_state_t;
enum pci_channel_state {
  pci_channel_io_normal = 1,
  pci_channel_io_frozen = 2,
  pci_channel_io_perm_failure = 3
} ;
typedef unsigned short pci_dev_flags_t;
typedef unsigned short pci_bus_flags_t;
struct pcie_link_state {
} ;
struct pci_vpd {
} ;
struct pci_sriov {
} ;
struct pci_ats {
} ;
struct proc_dir_entry {
} ;
struct pci_driver ;
union __anonunion_ldv_15312_136 {
  struct pci_sriov *sriov;
  struct pci_dev *physfn;
} ;
struct pci_dev {
  struct list_head bus_list;
  struct pci_bus *bus;
  struct pci_bus *subordinate;
  void *sysdata;
  struct proc_dir_entry *procent;
  struct pci_slot *slot;
  unsigned int devfn;
  unsigned short vendor;
  unsigned short device;
  unsigned short subsystem_vendor;
  unsigned short subsystem_device;
  unsigned int class;
  u8 revision;
  u8 hdr_type;
  u8 pcie_cap;
  unsigned char pcie_type : 4;
  unsigned char pcie_mpss : 3;
  u8 rom_base_reg;
  u8 pin;
  struct pci_driver *driver;
  u64 dma_mask;
  struct device_dma_parameters dma_parms;
  pci_power_t current_state;
  int pm_cap;
  unsigned char pme_support : 5;
  unsigned char pme_interrupt : 1;
  unsigned char pme_poll : 1;
  unsigned char d1_support : 1;
  unsigned char d2_support : 1;
  unsigned char no_d1d2 : 1;
  unsigned char mmio_always_on : 1;
  unsigned char wakeup_prepared : 1;
  unsigned int d3_delay;
  struct pcie_link_state *link_state;
  pci_channel_state_t error_state;
  struct device dev;
  int cfg_size;
  unsigned int irq;
  struct resource resource[17U];
  unsigned char transparent : 1;
  unsigned char multifunction : 1;
  unsigned char is_added : 1;
  unsigned char is_busmaster : 1;
  unsigned char no_msi : 1;
  unsigned char block_cfg_access : 1;
  unsigned char broken_parity_status : 1;
  unsigned char irq_reroute_variant : 2;
  unsigned char msi_enabled : 1;
  unsigned char msix_enabled : 1;
  unsigned char ari_enabled : 1;
  unsigned char is_managed : 1;
  unsigned char is_pcie : 1;
  unsigned char needs_freset : 1;
  unsigned char state_saved : 1;
  unsigned char is_physfn : 1;
  unsigned char is_virtfn : 1;
  unsigned char reset_fn : 1;
  unsigned char is_hotplug_bridge : 1;
  unsigned char __aer_firmware_first_valid : 1;
  unsigned char __aer_firmware_first : 1;
  pci_dev_flags_t dev_flags;
  atomic_t enable_cnt;
  u32 saved_config_space[16U];
  struct hlist_head saved_cap_space;
  struct bin_attribute *rom_attr;
  int rom_attr_enabled;
  struct bin_attribute *res_attr[17U];
  struct bin_attribute *res_attr_wc[17U];
  struct list_head msi_list;
  struct kset *msi_kset;
  struct pci_vpd *vpd;
  union __anonunion_ldv_15312_136 ldv_15312;
  struct pci_ats *ats;
} ;
struct pci_ops ;
struct pci_bus {
  struct list_head node;
  struct pci_bus *parent;
  struct list_head children;
  struct list_head devices;
  struct pci_dev *self;
  struct list_head slots;
  struct resource *resource[4U];
  struct list_head resources;
  struct pci_ops *ops;
  void *sysdata;
  struct proc_dir_entry *procdir;
  unsigned char number;
  unsigned char primary;
  unsigned char secondary;
  unsigned char subordinate;
  unsigned char max_bus_speed;
  unsigned char cur_bus_speed;
  char name[48U];
  unsigned short bridge_ctl;
  pci_bus_flags_t bus_flags;
  struct device *bridge;
  struct device dev;
  struct bin_attribute *legacy_io;
  struct bin_attribute *legacy_mem;
  unsigned char is_added : 1;
} ;
struct pci_ops {
  int (*read)(struct pci_bus *, unsigned int, int, int, u32 *);
  int (*write)(struct pci_bus *, unsigned int, int, int, u32 );
} ;
struct pci_dynids {
  spinlock_t lock;
  struct list_head list;
} ;
typedef unsigned int pci_ers_result_t;
struct pci_error_handlers {
  pci_ers_result_t (*error_detected)(struct pci_dev *, enum pci_channel_state );
  pci_ers_result_t (*mmio_enabled)(struct pci_dev *);
  pci_ers_result_t (*link_reset)(struct pci_dev *);
  pci_ers_result_t (*slot_reset)(struct pci_dev *);
  void (*resume)(struct pci_dev *);
} ;
struct pci_driver {
  struct list_head node;
  char *name;
  struct pci_device_id *id_table;
  int (*probe)(struct pci_dev *, struct pci_device_id *);
  void (*remove)(struct pci_dev *);
  int (*suspend)(struct pci_dev *, pm_message_t );
  int (*suspend_late)(struct pci_dev *, pm_message_t );
  int (*resume_early)(struct pci_dev *);
  int (*resume)(struct pci_dev *);
  void (*shutdown)(struct pci_dev *);
  struct pci_error_handlers *err_handler;
  struct device_driver driver;
  struct pci_dynids dynids;
} ;
struct scatterlist {
  unsigned long sg_magic;
  unsigned long page_link;
  unsigned int offset;
  unsigned int length;
  dma_addr_t dma_address;
  unsigned int dma_length;
} ;
struct dma_pool {
} ;
struct prio_tree_node ;
struct raw_prio_tree_node {
  struct prio_tree_node *left;
  struct prio_tree_node *right;
  struct prio_tree_node *parent;
} ;
struct prio_tree_node {
  struct prio_tree_node *left;
  struct prio_tree_node *right;
  struct prio_tree_node *parent;
  unsigned long start;
  unsigned long last;
} ;
struct address_space {
} ;
union __anonunion_ldv_16216_138 {
  unsigned long index;
  void *freelist;
} ;
struct __anonstruct_ldv_16226_142 {
  unsigned short inuse;
  unsigned short objects : 15;
  unsigned char frozen : 1;
} ;
union __anonunion_ldv_16227_141 {
  atomic_t _mapcount;
  struct __anonstruct_ldv_16226_142 ldv_16226;
} ;
struct __anonstruct_ldv_16229_140 {
  union __anonunion_ldv_16227_141 ldv_16227;
  atomic_t _count;
} ;
union __anonunion_ldv_16230_139 {
  unsigned long counters;
  struct __anonstruct_ldv_16229_140 ldv_16229;
} ;
struct __anonstruct_ldv_16231_137 {
  union __anonunion_ldv_16216_138 ldv_16216;
  union __anonunion_ldv_16230_139 ldv_16230;
} ;
struct __anonstruct_ldv_16238_144 {
  struct page *next;
  int pages;
  int pobjects;
} ;
union __anonunion_ldv_16239_143 {
  struct list_head lru;
  struct __anonstruct_ldv_16238_144 ldv_16238;
} ;
union __anonunion_ldv_16244_145 {
  unsigned long private;
  struct kmem_cache *slab;
  struct page *first_page;
} ;
struct page {
  unsigned long flags;
  struct address_space *mapping;
  struct __anonstruct_ldv_16231_137 ldv_16231;
  union __anonunion_ldv_16239_143 ldv_16239;
  union __anonunion_ldv_16244_145 ldv_16244;
  unsigned long debug_flags;
} ;
struct __anonstruct_vm_set_147 {
  struct list_head list;
  void *parent;
  struct vm_area_struct *head;
} ;
union __anonunion_shared_146 {
  struct __anonstruct_vm_set_147 vm_set;
  struct raw_prio_tree_node prio_tree_node;
} ;
struct anon_vma {
} ;
struct vm_operations_struct ;
struct mempolicy {
} ;
struct vm_area_struct {
  struct mm_struct *vm_mm;
  unsigned long vm_start;
  unsigned long vm_end;
  struct vm_area_struct *vm_next;
  struct vm_area_struct *vm_prev;
  pgprot_t vm_page_prot;
  unsigned long vm_flags;
  struct rb_node vm_rb;
  union __anonunion_shared_146 shared;
  struct list_head anon_vma_chain;
  struct anon_vma *anon_vma;
  struct vm_operations_struct *vm_ops;
  unsigned long vm_pgoff;
  struct file *vm_file;
  void *vm_private_data;
  struct mempolicy *vm_policy;
} ;
struct core_thread {
  struct task_struct *task;
  struct core_thread *next;
} ;
struct core_state {
  atomic_t nr_threads;
  struct core_thread dumper;
  struct completion startup;
} ;
struct mm_rss_stat {
  atomic_long_t count[3U];
} ;
struct linux_binfmt {
} ;
struct mmu_notifier_mm {
} ;
struct mm_struct {
  struct vm_area_struct *mmap;
  struct rb_root mm_rb;
  struct vm_area_struct *mmap_cache;
  unsigned long int (*get_unmapped_area)(struct file *, unsigned long, unsigned long, unsigned long, unsigned long);
  void (*unmap_area)(struct mm_struct *, unsigned long);
  unsigned long mmap_base;
  unsigned long task_size;
  unsigned long cached_hole_size;
  unsigned long free_area_cache;
  pgd_t *pgd;
  atomic_t mm_users;
  atomic_t mm_count;
  int map_count;
  spinlock_t page_table_lock;
  struct rw_semaphore mmap_sem;
  struct list_head mmlist;
  unsigned long hiwater_rss;
  unsigned long hiwater_vm;
  unsigned long total_vm;
  unsigned long locked_vm;
  unsigned long pinned_vm;
  unsigned long shared_vm;
  unsigned long exec_vm;
  unsigned long stack_vm;
  unsigned long reserved_vm;
  unsigned long def_flags;
  unsigned long nr_ptes;
  unsigned long start_code;
  unsigned long end_code;
  unsigned long start_data;
  unsigned long end_data;
  unsigned long start_brk;
  unsigned long brk;
  unsigned long start_stack;
  unsigned long arg_start;
  unsigned long arg_end;
  unsigned long env_start;
  unsigned long env_end;
  unsigned long saved_auxv[44U];
  struct mm_rss_stat rss_stat;
  struct linux_binfmt *binfmt;
  cpumask_var_t cpu_vm_mask_var;
  mm_context_t context;
  unsigned int faultstamp;
  unsigned int token_priority;
  unsigned int last_interval;
  unsigned long flags;
  struct core_state *core_state;
  spinlock_t ioctx_lock;
  struct hlist_head ioctx_list;
  struct task_struct *owner;
  struct file *exe_file;
  unsigned long num_exe_file_vmas;
  struct mmu_notifier_mm *mmu_notifier_mm;
  pgtable_t pmd_huge_pte;
  struct cpumask cpumask_allocation;
} ;
struct vm_fault {
  unsigned int flags;
  unsigned long pgoff;
  void *virtual_address;
  struct page *page;
} ;
struct vm_operations_struct {
  void (*open)(struct vm_area_struct *);
  void (*close)(struct vm_area_struct *);
  int (*fault)(struct vm_area_struct *, struct vm_fault *);
  int (*page_mkwrite)(struct vm_area_struct *, struct vm_fault *);
  int (*access)(struct vm_area_struct *, unsigned long, void *, int, int);
  int (*set_policy)(struct vm_area_struct *, struct mempolicy *);
  struct mempolicy *(*get_policy)(struct vm_area_struct *, unsigned long);
  int (*migrate)(struct vm_area_struct *, nodemask_t *, nodemask_t *, unsigned long);
} ;
struct dma_attrs {
  unsigned long flags[1U];
} ;
enum dma_data_direction {
  DMA_BIDIRECTIONAL = 0,
  DMA_TO_DEVICE = 1,
  DMA_FROM_DEVICE = 2,
  DMA_NONE = 3
} ;
struct dma_map_ops {
  void *(*alloc)(struct device *, size_t , dma_addr_t *, gfp_t , struct dma_attrs *);
  void (*free)(struct device *, size_t , void *, dma_addr_t , struct dma_attrs *);
  int (*mmap)(struct device *, struct vm_area_struct *, void *, dma_addr_t , size_t , struct dma_attrs *);
  dma_addr_t (*map_page)(struct device *, struct page *, unsigned long, size_t , enum dma_data_direction , struct dma_attrs *);
  void (*unmap_page)(struct device *, dma_addr_t , size_t , enum dma_data_direction , struct dma_attrs *);
  int (*map_sg)(struct device *, struct scatterlist *, int, enum dma_data_direction , struct dma_attrs *);
  void (*unmap_sg)(struct device *, struct scatterlist *, int, enum dma_data_direction , struct dma_attrs *);
  void (*sync_single_for_cpu)(struct device *, dma_addr_t , size_t , enum dma_data_direction );
  void (*sync_single_for_device)(struct device *, dma_addr_t , size_t , enum dma_data_direction );
  void (*sync_sg_for_cpu)(struct device *, struct scatterlist *, int, enum dma_data_direction );
  void (*sync_sg_for_device)(struct device *, struct scatterlist *, int, enum dma_data_direction );
  int (*mapping_error)(struct device *, dma_addr_t );
  int (*dma_supported)(struct device *, u64 );
  int (*set_dma_mask)(struct device *, u64 );
  int is_phys;
} ;
struct exception_table_entry {
  unsigned long insn;
  unsigned long fixup;
} ;
struct usb_ctrlrequest {
  __u8 bRequestType;
  __u8 bRequest;
  __le16 wValue;
  __le16 wIndex;
  __le16 wLength;
} ;
struct usb_endpoint_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bEndpointAddress;
  __u8 bmAttributes;
  __le16 wMaxPacketSize;
  __u8 bInterval;
  __u8 bRefresh;
  __u8 bSynchAddress;
} ;
struct usb_ss_ep_comp_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bMaxBurst;
  __u8 bmAttributes;
  __le16 wBytesPerInterval;
} ;
enum usb_device_speed {
  USB_SPEED_UNKNOWN = 0,
  USB_SPEED_LOW = 1,
  USB_SPEED_FULL = 2,
  USB_SPEED_HIGH = 3,
  USB_SPEED_WIRELESS = 4,
  USB_SPEED_SUPER = 5
} ;
struct usb_ep ;
struct usb_request {
  void *buf;
  unsigned int length;
  dma_addr_t dma;
  struct scatterlist *sg;
  unsigned int num_sgs;
  unsigned int num_mapped_sgs;
  unsigned short stream_id;
  unsigned char no_interrupt : 1;
  unsigned char zero : 1;
  unsigned char short_not_ok : 1;
  void (*complete)(struct usb_ep *, struct usb_request *);
  void *context;
  struct list_head list;
  int status;
  unsigned int actual;
} ;
struct usb_ep_ops {
  int (*enable)(struct usb_ep *, struct usb_endpoint_descriptor *);
  int (*disable)(struct usb_ep *);
  struct usb_request *(*alloc_request)(struct usb_ep *, gfp_t );
  void (*free_request)(struct usb_ep *, struct usb_request *);
  int (*queue)(struct usb_ep *, struct usb_request *, gfp_t );
  int (*dequeue)(struct usb_ep *, struct usb_request *);
  int (*set_halt)(struct usb_ep *, int);
  int (*set_wedge)(struct usb_ep *);
  int (*fifo_status)(struct usb_ep *);
  void (*fifo_flush)(struct usb_ep *);
} ;
struct usb_ep {
  void *driver_data;
  char *name;
  struct usb_ep_ops *ops;
  struct list_head ep_list;
  unsigned short maxpacket;
  unsigned short max_streams;
  unsigned char mult : 2;
  unsigned char maxburst : 5;
  u8 address;
  struct usb_endpoint_descriptor *desc;
  struct usb_ss_ep_comp_descriptor *comp_desc;
} ;
struct usb_dcd_config_params {
  __u8 bU1devExitLat;
  __le16 bU2DevExitLat;
} ;
struct usb_gadget ;
struct usb_gadget_driver ;
struct usb_gadget_ops {
  int (*get_frame)(struct usb_gadget *);
  int (*wakeup)(struct usb_gadget *);
  int (*set_selfpowered)(struct usb_gadget *, int);
  int (*vbus_session)(struct usb_gadget *, int);
  int (*vbus_draw)(struct usb_gadget *, unsigned int);
  int (*pullup)(struct usb_gadget *, int);
  int (*ioctl)(struct usb_gadget *, unsigned int, unsigned long);
  void (*get_config_params)(struct usb_dcd_config_params *);
  int (*udc_start)(struct usb_gadget *, struct usb_gadget_driver *);
  int (*udc_stop)(struct usb_gadget *, struct usb_gadget_driver *);
  int (*start)(struct usb_gadget_driver *, int (*)(struct usb_gadget *));
  int (*stop)(struct usb_gadget_driver *);
} ;
struct usb_gadget {
  struct usb_gadget_ops *ops;
  struct usb_ep *ep0;
  struct list_head ep_list;
  enum usb_device_speed speed;
  enum usb_device_speed max_speed;
  unsigned char sg_supported : 1;
  unsigned char is_otg : 1;
  unsigned char is_a_peripheral : 1;
  unsigned char b_hnp_enable : 1;
  unsigned char a_hnp_support : 1;
  unsigned char a_alt_hnp_support : 1;
  char *name;
  struct device dev;
} ;
struct usb_gadget_driver {
  char *function;
  enum usb_device_speed max_speed;
  void (*unbind)(struct usb_gadget *);
  int (*setup)(struct usb_gadget *, struct usb_ctrlrequest *);
  void (*disconnect)(struct usb_gadget *);
  void (*suspend)(struct usb_gadget *);
  void (*resume)(struct usb_gadget *);
  struct device_driver driver;
} ;
typedef u32 phandle;
struct property {
  char *name;
  int length;
  void *value;
  struct property *next;
  unsigned long _flags;
  unsigned int unique_id;
} ;
struct device_node {
  char *name;
  char *type;
  phandle phandle;
  char *full_name;
  struct property *properties;
  struct property *deadprops;
  struct device_node *parent;
  struct device_node *child;
  struct device_node *sibling;
  struct device_node *next;
  struct device_node *allnext;
  struct proc_dir_entry *pde;
  struct kref kref;
  unsigned long _flags;
  void *data;
} ;
struct pch_udc_data_dma_desc {
  u32 status;
  u32 reserved;
  u32 dataptr;
  u32 next;
} ;
struct pch_udc_stp_dma_desc {
  u32 status;
  u32 reserved;
  struct usb_ctrlrequest request;
} ;
struct pch_udc_cfg_data {
  u16 cur_cfg;
  u16 cur_intf;
  u16 cur_alt;
} ;
struct pch_udc_dev ;
struct pch_udc_ep {
  struct usb_ep ep;
  dma_addr_t td_stp_phys;
  dma_addr_t td_data_phys;
  struct pch_udc_stp_dma_desc *td_stp;
  struct pch_udc_data_dma_desc *td_data;
  struct pch_udc_dev *dev;
  unsigned long offset_addr;
  struct usb_endpoint_descriptor *desc;
  struct list_head queue;
  unsigned char num : 5;
  unsigned char in : 1;
  unsigned char halted : 1;
  unsigned long epsts;
} ;
struct pch_vbus_gpio_data {
  int port;
  int intr;
  struct work_struct irq_work_fall;
  struct work_struct irq_work_rise;
} ;
struct pch_udc_dev {
  struct usb_gadget gadget;
  struct usb_gadget_driver *driver;
  struct pci_dev *pdev;
  struct pch_udc_ep ep[32U];
  spinlock_t lock;
  unsigned char active : 1;
  unsigned char stall : 1;
  unsigned char prot_stall : 1;
  unsigned char irq_registered : 1;
  unsigned char mem_region : 1;
  unsigned char registered : 1;
  unsigned char suspended : 1;
  unsigned char connected : 1;
  unsigned char vbus_session : 1;
  unsigned char set_cfg_not_acked : 1;
  unsigned char waiting_zlp_ack : 1;
  struct dma_pool *data_requests;
  struct dma_pool *stp_requests;
  dma_addr_t dma_addr;
  void *ep0out_buf;
  struct usb_ctrlrequest setup_data;
  unsigned long phys_addr;
  void *base_addr;
  unsigned int irq;
  struct pch_udc_cfg_data cfg_data;
  struct pch_vbus_gpio_data vbus_gpio;
} ;
struct pch_udc_request {
  struct usb_request req;
  dma_addr_t td_data_phys;
  struct pch_udc_data_dma_desc *td_data;
  struct pch_udc_data_dma_desc *td_data_last;
  struct list_head queue;
  unsigned char dma_going : 1;
  unsigned char dma_mapped : 1;
  unsigned char dma_done : 1;
  unsigned int chain_len;
  void *buf;
  dma_addr_t dma;
} ;
struct module __this_module = {  };
struct dma_map_ops __tmp_var_0 = {  };
struct dma_map_ops *dma_ops = &__tmp_var_0;
struct resource iomem_resource = {  };
int __VERIFIER_nondet_int() {
  static unsigned int test_vector_index = 0;
  int retval;
  switch (test_vector_index) {
    case 0: retval = 2; break;
    case 1: retval = 4; break;
    case 2: retval = 2; break;
    case 3: retval = 16; break;
  }
  ++test_vector_index;
  return retval;
}
void *__VERIFIER_nondet_pointer() {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
void ___udelay(unsigned long p0) {
}
int __dynamic_dev_dbg(struct _ddebug *p0, struct device *p1, char *p2, ...) {
  int retval;
  retval = 0;
  return retval;
}
int __gpio_get_value(unsigned int p0) {
  int retval;
  retval = 0;
  return retval;
}
int __gpio_to_irq(unsigned int p0) {
  int retval;
  retval = 0;
  return retval;
}
void __init_work(struct work_struct *p0, int p1) {
}
void __list_add(struct list_head *p0, struct list_head *p1, struct list_head *p2) {
}
void __list_del_entry(struct list_head *p0) {
}
int __pci_enable_wake(struct pci_dev *p0, pci_power_t p1, bool p2, bool p3) {
  int retval;
  retval = 0;
  return retval;
}
int __pci_register_driver(struct pci_driver *p0, struct module *p1, char *p2) {
  int retval;
  retval = 0;
  return retval;
}
unsigned long int __phys_addr(unsigned long p0) {
  unsigned long int retval;
  retval = 0UL;
  return retval;
}
void __raw_spin_lock_init(raw_spinlock_t *p0, char *p1, struct lock_class_key *p2) {
}
void __release_region(struct resource *p0, resource_size_t p1, resource_size_t p2) {
}
struct resource *__request_region(struct resource *p0, resource_size_t p1, resource_size_t p2, char *p3, int p4) {
  struct resource *retval;
  { struct resource *__tmp_var; __tmp_var = malloc(sizeof(struct resource )); retval = __tmp_var; }
  return retval;
}
void _raw_spin_lock(raw_spinlock_t *p0) {
}
void _raw_spin_unlock(raw_spinlock_t *p0) {
}
void _raw_spin_unlock_irqrestore(raw_spinlock_t *p0, unsigned long p1) {
}
void debug_dma_map_page(struct device *p0, struct page *p1, size_t p2, size_t p3, int p4, dma_addr_t p5, bool p6) {
}
void debug_dma_unmap_page(struct device *p0, dma_addr_t p1, size_t p2, int p3, bool p4) {
}
int dev_err(struct device *p0, char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
void *dev_get_drvdata(struct device *p0) {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
int dev_set_drvdata(struct device *p0, void *p1) {
  int retval;
  retval = 0;
  return retval;
}
int dev_set_name(struct device *p0, char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
int device_register(struct device *p0) {
  int retval;
  retval = 0;
  return retval;
}
void device_unregister(struct device *p0) {
}
void *dma_pool_alloc(struct dma_pool *p0, gfp_t p1, dma_addr_t *p2) {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
struct dma_pool *dma_pool_create(char *p0, struct device *p1, size_t p2, size_t p3, size_t p4) {
  struct dma_pool *retval;
  { struct dma_pool *__tmp_var; __tmp_var = malloc(sizeof(struct dma_pool )); retval = __tmp_var; }
  return retval;
}
void dma_pool_destroy(struct dma_pool *p0) {
}
void dma_pool_free(struct dma_pool *p0, void *p1, dma_addr_t p2) {
}
void free_irq(unsigned int p0, void *p1) {
}
int gpio_direction_input(unsigned int p0) {
  int retval;
  retval = 0;
  return retval;
}
void gpio_free(unsigned int p0) {
}
int gpio_request(unsigned int p0, char *p1) {
  int retval;
  retval = 0;
  return retval;
}
unsigned int ioread32(void *p0) {
  unsigned int retval;
  retval = 0U;
  return retval;
}
void *ioremap_nocache(resource_size_t p0, unsigned long p1) {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
void iounmap(volatile void *p0) {
}
void iowrite32(u32 p0, void *p1) {
}
int irq_set_irq_type(unsigned int p0, unsigned int p1) {
  int retval;
  retval = 0;
  return retval;
}
void kfree(void *p0) {
}
void *kmem_cache_alloc(struct kmem_cache *p0, gfp_t p1) {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
void ldv_check_final_state() {
}
void ldv_check_return_value(int p0) {
}
void ldv_initialize() {
}
struct page *ldv_some_page() {
  struct page *retval;
  { struct page *__tmp_var; __tmp_var = malloc(sizeof(struct page )); retval = __tmp_var; }
  return retval;
}
void lockdep_init_map(struct lockdep_map *p0, char *p1, struct lock_class_key *p2, int p3) {
}
pci_power_t pci_choose_state(struct pci_dev *p0, int p1) {
  pci_power_t retval;
  retval = 0;
  return retval;
}
void pci_disable_device(struct pci_dev *p0) {
}
int pci_enable_device(struct pci_dev *p0) {
  int retval;
  retval = 0;
  return retval;
}
void pci_restore_state(struct pci_dev *p0) {
}
int pci_save_state(struct pci_dev *p0) {
  int retval;
  retval = 0;
  return retval;
}
void pci_set_master(struct pci_dev *p0) {
}
int pci_set_power_state(struct pci_dev *p0, pci_power_t p1) {
  int retval;
  retval = 0;
  return retval;
}
int pci_try_set_mwi(struct pci_dev *p0) {
  int retval;
  retval = 0;
  return retval;
}
void pci_unregister_driver(struct pci_driver *p0) {
}
int printk(char *p0, ...) {
  int retval;
  retval = 0;
  return retval;
}
int request_threaded_irq(unsigned int p0, irqreturn_t (*p1)(int, void *), irqreturn_t (*p2)(int, void *), unsigned long p3, char *p4, void *p5) {
  int retval;
  retval = 0;
  return retval;
}
int schedule_work(struct work_struct *p0) {
  int retval;
  retval = 0;
  return retval;
}
int usb_add_gadget_udc(struct device *p0, struct usb_gadget *p1) {
  int retval;
  retval = 0;
  return retval;
}
void usb_del_gadget_udc(struct usb_gadget *p0) {
}
