#include <stdlib.h>
void __VERIFIER_error() { exit(107); }
void __VERIFIER_assume(int cond) { if (!(cond)) { exit(EXIT_SUCCESS); }}
typedef signed char __s8;
typedef short __s16;
typedef unsigned short __u16;
typedef int __s32;
typedef unsigned int __u32;
typedef unsigned long long __u64;
typedef unsigned char u8;
typedef unsigned short u16;
typedef unsigned int u32;
typedef long long s64;
typedef unsigned long long u64;
typedef unsigned short umode_t;
typedef unsigned short __kernel_mode_t;
typedef unsigned int __kernel_size_t;
typedef int __kernel_ssize_t;
typedef long __kernel_time_t;
typedef int __kernel_clockid_t;
typedef unsigned int __kernel_uid32_t;
typedef unsigned int __kernel_gid32_t;
typedef long long __kernel_loff_t;
typedef __u32 __kernel_dev_t;
typedef __kernel_dev_t dev_t;
typedef __kernel_mode_t mode_t;
typedef __kernel_clockid_t clockid_t;
typedef _Bool bool;
typedef __kernel_uid32_t uid_t;
typedef __kernel_gid32_t gid_t;
typedef __kernel_loff_t loff_t;
typedef __kernel_ssize_t ssize_t;
typedef __kernel_time_t time_t;
typedef u64 sector_t;
typedef u64 blkcnt_t;
typedef unsigned int gfp_t;
typedef unsigned int fmode_t;
typedef u32 phys_addr_t;
typedef phys_addr_t resource_size_t;
struct __anonstruct_atomic_t_6 {
  int counter;
} ;
typedef struct __anonstruct_atomic_t_6 atomic_t;
struct list_head {
  struct list_head *next;
  struct list_head *prev;
} ;
struct hlist_node ;
struct hlist_head {
  struct hlist_node *first;
} ;
struct hlist_node {
  struct hlist_node *next;
  struct hlist_node **pprev;
} ;
struct outer_cache_fns {
  void (*inv_range)(unsigned long, unsigned long);
  void (*clean_range)(unsigned long, unsigned long);
  void (*flush_range)(unsigned long, unsigned long);
  void (*flush_all)();
  void (*inv_all)();
  void (*disable)();
  void (*sync)();
  void (*set_debug)(unsigned long);
} ;
struct task_struct {
} ;
typedef void (*ctor_fn_t)();
struct completion ;
struct pid ;
struct timespec ;
struct __anonstruct_arch_spinlock_t_11 {
  volatile unsigned int slock;
} ;
typedef struct __anonstruct_arch_spinlock_t_11 arch_spinlock_t;
struct __anonstruct_arch_rwlock_t_12 {
} ;
typedef struct __anonstruct_arch_rwlock_t_12 arch_rwlock_t;
struct lockdep_map ;
typedef atomic_t atomic_long_t;
struct stack_trace {
  unsigned int nr_entries;
  unsigned int max_entries;
  unsigned long *entries;
  int skip;
} ;
struct lockdep_subclass_key {
  char __one_byte;
} ;
struct lock_class_key {
  struct lockdep_subclass_key subkeys[8U];
} ;
struct lock_class {
  struct list_head hash_entry;
  struct list_head lock_entry;
  struct lockdep_subclass_key *key;
  unsigned int subclass;
  unsigned int dep_gen_id;
  unsigned long usage_mask;
  struct stack_trace usage_traces[13U];
  struct list_head locks_after;
  struct list_head locks_before;
  unsigned int version;
  unsigned long ops;
  const char *name;
  int name_version;
  unsigned long contention_point[4U];
  unsigned long contending_point[4U];
} ;
struct lockdep_map {
  struct lock_class_key *key;
  struct lock_class *class_cache[2U];
  const char *name;
  int cpu;
  unsigned long ip;
} ;
struct raw_spinlock {
  arch_spinlock_t raw_lock;
  unsigned int magic;
  unsigned int owner_cpu;
  void *owner;
  struct lockdep_map dep_map;
} ;
typedef struct raw_spinlock raw_spinlock_t;
struct __anonstruct_ldv_2856_15 {
  u8 __padding[16U];
  struct lockdep_map dep_map;
} ;
union __anonunion_ldv_2857_14 {
  struct raw_spinlock rlock;
  struct __anonstruct_ldv_2856_15 ldv_2856;
} ;
struct spinlock {
  union __anonunion_ldv_2857_14 ldv_2857;
} ;
typedef struct spinlock spinlock_t;
struct __anonstruct_rwlock_t_16 {
  arch_rwlock_t raw_lock;
  unsigned int magic;
  unsigned int owner_cpu;
  void *owner;
  struct lockdep_map dep_map;
} ;
typedef struct __anonstruct_rwlock_t_16 rwlock_t;
struct __wait_queue_head {
  spinlock_t lock;
  struct list_head task_list;
} ;
typedef struct __wait_queue_head wait_queue_head_t;
struct seqcount {
  unsigned int sequence;
} ;
typedef struct seqcount seqcount_t;
struct page {
} ;
struct vm_area_struct {
} ;
struct mutex {
  atomic_t count;
  spinlock_t wait_lock;
  struct list_head wait_list;
  struct task_struct *owner;
  const char *name;
  void *magic;
  struct lockdep_map dep_map;
} ;
struct rw_semaphore ;
struct rw_semaphore {
  __s32 activity;
  spinlock_t wait_lock;
  struct list_head wait_list;
  struct lockdep_map dep_map;
} ;
struct timespec {
  __kernel_time_t tv_sec;
  long tv_nsec;
} ;
union ktime {
  s64 tv64;
} ;
typedef union ktime ktime_t;
struct tvec_base {
} ;
struct timer_list {
  struct list_head entry;
  unsigned long expires;
  struct tvec_base *base;
  void (*function)(unsigned long);
  unsigned long data;
  int slack;
  int start_pid;
  void *start_site;
  char start_comm[16U];
  struct lockdep_map lockdep_map;
} ;
struct hrtimer ;
enum hrtimer_restart ;
struct work_struct ;
struct work_struct {
  atomic_long_t data;
  struct list_head entry;
  void (*func)(struct work_struct *);
  struct lockdep_map lockdep_map;
} ;
struct sock {
} ;
struct kobject ;
enum kobj_ns_type {
  KOBJ_NS_TYPE_NONE = 0,
  KOBJ_NS_TYPE_NET = 1,
  KOBJ_NS_TYPES = 2
} ;
struct kobj_ns_type_operations {
  enum kobj_ns_type type;
  void *(*grab_current_ns)();
  const void *(*netlink_ns)(struct sock *);
  const void *(*initial_ns)();
  void (*drop_ns)(void *);
} ;
struct module ;
struct attribute {
  const char *name;
  mode_t mode;
  struct lock_class_key *key;
  struct lock_class_key skey;
} ;
struct attribute_group {
  const char *name;
  mode_t (*is_visible)(struct kobject *, struct attribute *, int);
  struct attribute **attrs;
} ;
struct file ;
struct bin_attribute {
  struct attribute attr;
  size_t size;
  void *private;
  ssize_t (*read)(struct file *, struct kobject *, struct bin_attribute *, char *, loff_t , size_t );
  ssize_t (*write)(struct file *, struct kobject *, struct bin_attribute *, char *, loff_t , size_t );
  int (*mmap)(struct file *, struct kobject *, struct bin_attribute *, struct vm_area_struct *);
} ;
struct sysfs_ops {
  ssize_t (*show)(struct kobject *, struct attribute *, char *);
  ssize_t (*store)(struct kobject *, struct attribute *, const char *, size_t );
} ;
struct sysfs_dirent {
} ;
struct kref {
  atomic_t refcount;
} ;
struct kset ;
struct kobj_type ;
struct kobject {
  const char *name;
  struct list_head entry;
  struct kobject *parent;
  struct kset *kset;
  struct kobj_type *ktype;
  struct sysfs_dirent *sd;
  struct kref kref;
  unsigned char state_initialized : 1;
  unsigned char state_in_sysfs : 1;
  unsigned char state_add_uevent_sent : 1;
  unsigned char state_remove_uevent_sent : 1;
  unsigned char uevent_suppress : 1;
} ;
struct kobj_type {
  void (*release)(struct kobject *);
  const struct sysfs_ops *sysfs_ops;
  struct attribute **default_attrs;
  const struct kobj_ns_type_operations *(*child_ns_type)(struct kobject *);
  const void *(*namespace)(struct kobject *);
} ;
struct kobj_uevent_env {
  char *envp[32U];
  int envp_idx;
  char buf[2048U];
  int buflen;
} ;
struct kset_uevent_ops {
  const int (*filter)(struct kset *, struct kobject *);
  const const char *(*name)(struct kset *, struct kobject *);
  const int (*uevent)(struct kset *, struct kobject *, struct kobj_uevent_env *);
} ;
struct kset {
  struct list_head list;
  spinlock_t list_lock;
  struct kobject kobj;
  const struct kset_uevent_ops *uevent_ops;
} ;
enum irqreturn {
  IRQ_NONE = 0,
  IRQ_HANDLED = 1,
  IRQ_WAKE_THREAD = 2
} ;
typedef enum irqreturn irqreturn_t;
struct platform_device ;
struct device ;
struct rtc_time ;
struct rtc_wkalrm ;
struct kstat {
  u64 ino;
  dev_t dev;
  umode_t mode;
  unsigned int nlink;
  uid_t uid;
  gid_t gid;
  dev_t rdev;
  loff_t size;
  struct timespec atime;
  struct timespec mtime;
  struct timespec ctime;
  unsigned long blksize;
  unsigned long long blocks;
} ;
struct completion {
  unsigned int done;
  wait_queue_head_t wait;
} ;
struct rcu_head {
  struct rcu_head *next;
  void (*func)(struct rcu_head *);
} ;
struct cred {
} ;
typedef __u32 Elf32_Addr;
typedef __u16 Elf32_Half;
typedef __u32 Elf32_Word;
struct elf32_sym {
  Elf32_Word st_name;
  Elf32_Addr st_value;
  Elf32_Word st_size;
  unsigned char st_info;
  unsigned char st_other;
  Elf32_Half st_shndx;
} ;
typedef struct elf32_sym Elf32_Sym;
struct kernel_param ;
struct kernel_param_ops {
  int (*set)(const char *, const struct kernel_param *);
  int (*get)(char *, const struct kernel_param *);
  void (*free)(void *);
} ;
struct kparam_string ;
struct kparam_array ;
union __anonunion_ldv_8098_24 {
  void *arg;
  const struct kparam_string *str;
  const struct kparam_array *arr;
} ;
struct kernel_param {
  const char *name;
  const struct kernel_param_ops *ops;
  u16 perm;
  u16 flags;
  union __anonunion_ldv_8098_24 ldv_8098;
} ;
struct kparam_string {
  unsigned int maxlen;
  char *string;
} ;
struct kparam_array {
  unsigned int max;
  unsigned int elemsize;
  unsigned int *num;
  const struct kernel_param_ops *ops;
  void *elem;
} ;
struct jump_label_key {
  atomic_t enabled;
} ;
struct tracepoint ;
struct tracepoint_func {
  void *func;
  void *data;
} ;
struct tracepoint {
  const char *name;
  struct jump_label_key key;
  void (*regfunc)();
  void (*unregfunc)();
  struct tracepoint_func *funcs;
} ;
struct unwind_table {
} ;
struct mod_arch_specific {
  struct unwind_table *unwind[5U];
} ;
struct kernel_symbol {
  unsigned long value;
  const char *name;
} ;
struct module_attribute {
  struct attribute attr;
  ssize_t (*show)(struct module_attribute *, struct module *, char *);
  ssize_t (*store)(struct module_attribute *, struct module *, const char *, size_t );
  void (*setup)(struct module *, const char *);
  int (*test)(struct module *);
  void (*free)(struct module *);
} ;
struct module_param_attrs {
} ;
struct module_kobject {
  struct kobject kobj;
  struct module *mod;
  struct kobject *drivers_dir;
  struct module_param_attrs *mp;
} ;
struct exception_table_entry ;
enum module_state {
  MODULE_STATE_LIVE = 0,
  MODULE_STATE_COMING = 1,
  MODULE_STATE_GOING = 2
} ;
struct module_ref {
  unsigned int incs;
  unsigned int decs;
} ;
struct module_sect_attrs {
} ;
struct module_notes_attrs {
} ;
struct ftrace_event_call {
} ;
struct module {
  enum module_state state;
  struct list_head list;
  char name[60U];
  struct module_kobject mkobj;
  struct module_attribute *modinfo_attrs;
  const char *version;
  const char *srcversion;
  struct kobject *holders_dir;
  const struct kernel_symbol *syms;
  const unsigned long *crcs;
  unsigned int num_syms;
  struct kernel_param *kp;
  unsigned int num_kp;
  unsigned int num_gpl_syms;
  const struct kernel_symbol *gpl_syms;
  const unsigned long *gpl_crcs;
  const struct kernel_symbol *unused_syms;
  const unsigned long *unused_crcs;
  unsigned int num_unused_syms;
  unsigned int num_unused_gpl_syms;
  const struct kernel_symbol *unused_gpl_syms;
  const unsigned long *unused_gpl_crcs;
  const struct kernel_symbol *gpl_future_syms;
  const unsigned long *gpl_future_crcs;
  unsigned int num_gpl_future_syms;
  unsigned int num_exentries;
  struct exception_table_entry *extable;
  int (*init)();
  void *module_init;
  void *module_core;
  unsigned int init_size;
  unsigned int core_size;
  unsigned int init_text_size;
  unsigned int core_text_size;
  unsigned int init_ro_size;
  unsigned int core_ro_size;
  struct mod_arch_specific arch;
  unsigned int taints;
  Elf32_Sym *symtab;
  Elf32_Sym *core_symtab;
  unsigned int num_symtab;
  unsigned int core_num_syms;
  char *strtab;
  char *core_strtab;
  struct module_sect_attrs *sect_attrs;
  struct module_notes_attrs *notes_attrs;
  char *args;
  unsigned int num_tracepoints;
  const struct tracepoint **tracepoints_ptrs;
  unsigned int num_trace_bprintk_fmt;
  const char **trace_bprintk_fmt_start;
  struct ftrace_event_call **trace_events;
  unsigned int num_trace_events;
  struct list_head source_list;
  struct list_head target_list;
  struct task_struct *waiter;
  void (*exit)();
  struct module_ref *refptr;
  ctor_fn_t (**ctors)();
  unsigned int num_ctors;
} ;
struct seq_file ;
struct rtc_time {
  int tm_sec;
  int tm_min;
  int tm_hour;
  int tm_mday;
  int tm_mon;
  int tm_year;
  int tm_wday;
  int tm_yday;
  int tm_isdst;
} ;
struct rtc_wkalrm {
  unsigned char enabled;
  unsigned char pending;
  struct rtc_time time;
} ;
struct rb_node {
  unsigned long rb_parent_color;
  struct rb_node *rb_right;
  struct rb_node *rb_left;
} ;
struct rb_root {
  struct rb_node *rb_node;
} ;
struct timerqueue_node {
  struct rb_node node;
  ktime_t expires;
} ;
struct timerqueue_head {
  struct rb_root head;
  struct timerqueue_node *next;
} ;
struct hrtimer_clock_base ;
struct hrtimer_cpu_base ;
enum hrtimer_restart {
  HRTIMER_NORESTART = 0,
  HRTIMER_RESTART = 1
} ;
struct hrtimer {
  struct timerqueue_node node;
  ktime_t _softexpires;
  enum hrtimer_restart (*function)(struct hrtimer *);
  struct hrtimer_clock_base *base;
  unsigned long state;
  int start_pid;
  void *start_site;
  char start_comm[16U];
} ;
struct hrtimer_clock_base {
  struct hrtimer_cpu_base *cpu_base;
  int index;
  clockid_t clockid;
  struct timerqueue_head active;
  ktime_t resolution;
  ktime_t (*get_time)();
  ktime_t softirq_time;
  ktime_t offset;
} ;
struct hrtimer_cpu_base {
  raw_spinlock_t lock;
  unsigned long active_bases;
  ktime_t expires_next;
  int hres_active;
  int hang_detected;
  unsigned long nr_events;
  unsigned long nr_retries;
  unsigned long nr_hangs;
  ktime_t max_hang_time;
  struct hrtimer_clock_base clock_base[3U];
} ;
struct resource {
  resource_size_t start;
  resource_size_t end;
  const char *name;
  unsigned long flags;
  struct resource *parent;
  struct resource *sibling;
  struct resource *child;
} ;
struct klist_node ;
struct klist_node {
  void *n_klist;
  struct list_head n_node;
  struct kref n_ref;
} ;
struct pm_message {
  int event;
} ;
typedef struct pm_message pm_message_t;
struct dev_pm_ops {
  int (*prepare)(struct device *);
  void (*complete)(struct device *);
  int (*suspend)(struct device *);
  int (*resume)(struct device *);
  int (*freeze)(struct device *);
  int (*thaw)(struct device *);
  int (*poweroff)(struct device *);
  int (*restore)(struct device *);
  int (*suspend_noirq)(struct device *);
  int (*resume_noirq)(struct device *);
  int (*freeze_noirq)(struct device *);
  int (*thaw_noirq)(struct device *);
  int (*poweroff_noirq)(struct device *);
  int (*restore_noirq)(struct device *);
  int (*runtime_suspend)(struct device *);
  int (*runtime_resume)(struct device *);
  int (*runtime_idle)(struct device *);
} ;
enum rpm_status {
  RPM_ACTIVE = 0,
  RPM_RESUMING = 1,
  RPM_SUSPENDED = 2,
  RPM_SUSPENDING = 3
} ;
enum rpm_request {
  RPM_REQ_NONE = 0,
  RPM_REQ_IDLE = 1,
  RPM_REQ_SUSPEND = 2,
  RPM_REQ_AUTOSUSPEND = 3,
  RPM_REQ_RESUME = 4
} ;
struct wakeup_source ;
struct dev_pm_info {
  pm_message_t power_state;
  unsigned char can_wakeup : 1;
  unsigned char async_suspend : 1;
  bool is_prepared;
  bool is_suspended;
  spinlock_t lock;
  struct list_head entry;
  struct completion completion;
  struct wakeup_source *wakeup;
  struct timer_list suspend_timer;
  unsigned long timer_expires;
  struct work_struct work;
  wait_queue_head_t wait_queue;
  atomic_t usage_count;
  atomic_t child_count;
  unsigned char disable_depth : 3;
  unsigned char ignore_children : 1;
  unsigned char idle_notification : 1;
  unsigned char request_pending : 1;
  unsigned char deferred_resume : 1;
  unsigned char run_wake : 1;
  unsigned char runtime_auto : 1;
  unsigned char no_callbacks : 1;
  unsigned char irq_safe : 1;
  unsigned char use_autosuspend : 1;
  unsigned char timer_autosuspends : 1;
  enum rpm_request request;
  enum rpm_status runtime_status;
  int runtime_error;
  int autosuspend_delay;
  unsigned long last_busy;
  unsigned long active_jiffies;
  unsigned long suspended_jiffies;
  unsigned long accounting_timestamp;
  void *subsys_data;
} ;
struct dev_power_domain {
  struct dev_pm_ops ops;
} ;
struct dev_archdata {
} ;
struct pdev_archdata {
} ;
struct device_private {
} ;
struct device_driver ;
struct driver_private {
} ;
struct class ;
struct subsys_private {
} ;
struct bus_type ;
struct device_node {
} ;
struct bus_attribute {
  struct attribute attr;
  ssize_t (*show)(struct bus_type *, char *);
  ssize_t (*store)(struct bus_type *, const char *, size_t );
} ;
struct device_attribute ;
struct driver_attribute ;
struct bus_type {
  const char *name;
  struct bus_attribute *bus_attrs;
  struct device_attribute *dev_attrs;
  struct driver_attribute *drv_attrs;
  int (*match)(struct device *, struct device_driver *);
  int (*uevent)(struct device *, struct kobj_uevent_env *);
  int (*probe)(struct device *);
  int (*remove)(struct device *);
  void (*shutdown)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  const struct dev_pm_ops *pm;
  struct subsys_private *p;
} ;
struct of_device_id ;
struct device_driver {
  const char *name;
  struct bus_type *bus;
  struct module *owner;
  const char *mod_name;
  bool suppress_bind_attrs;
  const struct of_device_id *of_match_table;
  int (*probe)(struct device *);
  int (*remove)(struct device *);
  void (*shutdown)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  const struct attribute_group **groups;
  const struct dev_pm_ops *pm;
  struct driver_private *p;
} ;
struct driver_attribute {
  struct attribute attr;
  ssize_t (*show)(struct device_driver *, char *);
  ssize_t (*store)(struct device_driver *, const char *, size_t );
} ;
struct class_attribute ;
struct class {
  const char *name;
  struct module *owner;
  struct class_attribute *class_attrs;
  struct device_attribute *dev_attrs;
  struct bin_attribute *dev_bin_attrs;
  struct kobject *dev_kobj;
  int (*dev_uevent)(struct device *, struct kobj_uevent_env *);
  char *(*devnode)(struct device *, mode_t *);
  void (*class_release)(struct class *);
  void (*dev_release)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  const struct kobj_ns_type_operations *ns_type;
  const void *(*namespace)(struct device *);
  const struct dev_pm_ops *pm;
  struct subsys_private *p;
} ;
struct device_type ;
struct class_attribute {
  struct attribute attr;
  ssize_t (*show)(struct class *, struct class_attribute *, char *);
  ssize_t (*store)(struct class *, struct class_attribute *, const char *, size_t );
} ;
struct device_type {
  const char *name;
  const struct attribute_group **groups;
  int (*uevent)(struct device *, struct kobj_uevent_env *);
  char *(*devnode)(struct device *, mode_t *);
  void (*release)(struct device *);
  const struct dev_pm_ops *pm;
} ;
struct device_attribute {
  struct attribute attr;
  ssize_t (*show)(struct device *, struct device_attribute *, char *);
  ssize_t (*store)(struct device *, struct device_attribute *, const char *, size_t );
} ;
struct device_dma_parameters {
  unsigned int max_segment_size;
  unsigned long segment_boundary_mask;
} ;
struct dma_coherent_mem {
} ;
struct device {
  struct device *parent;
  struct device_private *p;
  struct kobject kobj;
  const char *init_name;
  const struct device_type *type;
  struct mutex mutex;
  struct bus_type *bus;
  struct device_driver *driver;
  void *platform_data;
  struct dev_pm_info power;
  struct dev_power_domain *pwr_domain;
  u64 *dma_mask;
  u64 coherent_dma_mask;
  struct device_dma_parameters *dma_parms;
  struct list_head dma_pools;
  struct dma_coherent_mem *dma_mem;
  struct dev_archdata archdata;
  struct device_node *of_node;
  dev_t devt;
  spinlock_t devres_lock;
  struct list_head devres_head;
  struct klist_node knode_class;
  struct class *class;
  const struct attribute_group **groups;
  void (*release)(struct device *);
} ;
struct wakeup_source {
  char *name;
  struct list_head entry;
  spinlock_t lock;
  struct timer_list timer;
  unsigned long timer_expires;
  ktime_t total_time;
  ktime_t max_time;
  ktime_t last_time;
  unsigned long event_count;
  unsigned long active_count;
  unsigned long relax_count;
  unsigned long hit_count;
  unsigned char active : 1;
} ;
struct seq_operations ;
struct path ;
struct inode ;
struct dentry ;
struct seq_file {
  char *buf;
  size_t size;
  size_t from;
  size_t count;
  loff_t index;
  loff_t read_pos;
  u64 version;
  struct mutex lock;
  const struct seq_operations *op;
  void *private;
} ;
struct seq_operations {
  void *(*start)(struct seq_file *, loff_t *);
  void (*stop)(struct seq_file *, void *);
  void *(*next)(struct seq_file *, void *, loff_t *);
  int (*show)(struct seq_file *, void *);
} ;
struct file_operations ;
struct cdev {
  struct kobject kobj;
  struct module *owner;
  const struct file_operations *ops;
  struct list_head list;
  dev_t dev;
  unsigned int count;
} ;
struct backing_dev_info {
} ;
struct block_device ;
struct hlist_bl_node ;
struct hlist_bl_head {
  struct hlist_bl_node *first;
} ;
struct hlist_bl_node {
  struct hlist_bl_node *next;
  struct hlist_bl_node **pprev;
} ;
struct nameidata {
} ;
struct vfsmount {
} ;
struct qstr {
  unsigned int hash;
  unsigned int len;
  const unsigned char *name;
} ;
struct dentry_operations ;
struct super_block ;
union __anonunion_d_u_26 {
  struct list_head d_child;
  struct rcu_head d_rcu;
} ;
struct dentry {
  unsigned int d_flags;
  seqcount_t d_seq;
  struct hlist_bl_node d_hash;
  struct dentry *d_parent;
  struct qstr d_name;
  struct inode *d_inode;
  unsigned char d_iname[40U];
  unsigned int d_count;
  spinlock_t d_lock;
  const struct dentry_operations *d_op;
  struct super_block *d_sb;
  unsigned long d_time;
  void *d_fsdata;
  struct list_head d_lru;
  union __anonunion_d_u_26 d_u;
  struct list_head d_subdirs;
  struct list_head d_alias;
} ;
struct dentry_operations {
  int (*d_revalidate)(struct dentry *, struct nameidata *);
  int (*d_hash)(const struct dentry *, const struct inode *, struct qstr *);
  int (*d_compare)(const struct dentry *, const struct inode *, const struct dentry *, const struct inode *, unsigned int, const char *, const struct qstr *);
  int (*d_delete)(const struct dentry *);
  void (*d_release)(struct dentry *);
  void (*d_iput)(struct dentry *, struct inode *);
  char *(*d_dname)(struct dentry *, char *, int);
  struct vfsmount *(*d_automount)(struct path *);
  int (*d_manage)(struct dentry *, bool );
} ;
struct path {
  struct vfsmount *mnt;
  struct dentry *dentry;
} ;
struct radix_tree_node {
} ;
struct radix_tree_root {
  unsigned int height;
  gfp_t gfp_mask;
  struct radix_tree_node *rnode;
} ;
struct prio_tree_node ;
struct prio_tree_node {
  struct prio_tree_node *left;
  struct prio_tree_node *right;
  struct prio_tree_node *parent;
  unsigned long start;
  unsigned long last;
} ;
struct prio_tree_root {
  struct prio_tree_node *prio_tree_node;
  unsigned short index_bits;
  unsigned short raw;
} ;
enum pid_type {
  PIDTYPE_PID = 0,
  PIDTYPE_PGID = 1,
  PIDTYPE_SID = 2,
  PIDTYPE_MAX = 3
} ;
struct pid_namespace {
} ;
struct upid {
  int nr;
  struct pid_namespace *ns;
  struct hlist_node pid_chain;
} ;
struct pid {
  atomic_t count;
  unsigned int level;
  struct hlist_head tasks[3U];
  struct rcu_head rcu;
  struct upid numbers[1U];
} ;
struct fiemap_extent {
  __u64 fe_logical;
  __u64 fe_physical;
  __u64 fe_length;
  __u64 fe_reserved64[2U];
  __u32 fe_flags;
  __u32 fe_reserved[3U];
} ;
struct export_operations {
} ;
struct iovec {
} ;
struct kiocb {
} ;
struct pipe_inode_info {
} ;
struct poll_table_struct ;
struct kstatfs {
} ;
struct iattr {
  unsigned int ia_valid;
  umode_t ia_mode;
  uid_t ia_uid;
  gid_t ia_gid;
  loff_t ia_size;
  struct timespec ia_atime;
  struct timespec ia_mtime;
  struct timespec ia_ctime;
  struct file *ia_file;
} ;
struct if_dqinfo {
  __u64 dqi_bgrace;
  __u64 dqi_igrace;
  __u32 dqi_flags;
  __u32 dqi_valid;
} ;
struct fs_disk_quota {
  __s8 d_version;
  __s8 d_flags;
  __u16 d_fieldmask;
  __u32 d_id;
  __u64 d_blk_hardlimit;
  __u64 d_blk_softlimit;
  __u64 d_ino_hardlimit;
  __u64 d_ino_softlimit;
  __u64 d_bcount;
  __u64 d_icount;
  __s32 d_itimer;
  __s32 d_btimer;
  __u16 d_iwarns;
  __u16 d_bwarns;
  __s32 d_padding2;
  __u64 d_rtb_hardlimit;
  __u64 d_rtb_softlimit;
  __u64 d_rtbcount;
  __s32 d_rtbtimer;
  __u16 d_rtbwarns;
  __s16 d_padding3;
  char d_padding4[8U];
} ;
struct fs_qfilestat {
  __u64 qfs_ino;
  __u64 qfs_nblks;
  __u32 qfs_nextents;
} ;
typedef struct fs_qfilestat fs_qfilestat_t;
struct fs_quota_stat {
  __s8 qs_version;
  __u16 qs_flags;
  __s8 qs_pad;
  fs_qfilestat_t qs_uquota;
  fs_qfilestat_t qs_gquota;
  __u32 qs_incoredqs;
  __s32 qs_btimelimit;
  __s32 qs_itimelimit;
  __s32 qs_rtbtimelimit;
  __u16 qs_bwarnlimit;
  __u16 qs_iwarnlimit;
} ;
struct dquot ;
typedef __kernel_uid32_t qid_t;
typedef long long qsize_t;
struct mem_dqblk {
  qsize_t dqb_bhardlimit;
  qsize_t dqb_bsoftlimit;
  qsize_t dqb_curspace;
  qsize_t dqb_rsvspace;
  qsize_t dqb_ihardlimit;
  qsize_t dqb_isoftlimit;
  qsize_t dqb_curinodes;
  time_t dqb_btime;
  time_t dqb_itime;
} ;
struct quota_format_type ;
struct mem_dqinfo {
  struct quota_format_type *dqi_format;
  int dqi_fmt_id;
  struct list_head dqi_dirty_list;
  unsigned long dqi_flags;
  unsigned int dqi_bgrace;
  unsigned int dqi_igrace;
  qsize_t dqi_maxblimit;
  qsize_t dqi_maxilimit;
  void *dqi_priv;
} ;
struct dquot {
  struct hlist_node dq_hash;
  struct list_head dq_inuse;
  struct list_head dq_free;
  struct list_head dq_dirty;
  struct mutex dq_lock;
  atomic_t dq_count;
  wait_queue_head_t dq_wait_unused;
  struct super_block *dq_sb;
  unsigned int dq_id;
  loff_t dq_off;
  unsigned long dq_flags;
  short dq_type;
  struct mem_dqblk dq_dqb;
} ;
struct quota_format_ops {
  int (*check_quota_file)(struct super_block *, int);
  int (*read_file_info)(struct super_block *, int);
  int (*write_file_info)(struct super_block *, int);
  int (*free_file_info)(struct super_block *, int);
  int (*read_dqblk)(struct dquot *);
  int (*commit_dqblk)(struct dquot *);
  int (*release_dqblk)(struct dquot *);
} ;
struct dquot_operations {
  int (*write_dquot)(struct dquot *);
  struct dquot *(*alloc_dquot)(struct super_block *, int);
  void (*destroy_dquot)(struct dquot *);
  int (*acquire_dquot)(struct dquot *);
  int (*release_dquot)(struct dquot *);
  int (*mark_dirty)(struct dquot *);
  int (*write_info)(struct super_block *, int);
  qsize_t *(*get_reserved_space)(struct inode *);
} ;
struct quotactl_ops {
  int (*quota_on)(struct super_block *, int, int, struct path *);
  int (*quota_on_meta)(struct super_block *, int, int);
  int (*quota_off)(struct super_block *, int);
  int (*quota_sync)(struct super_block *, int, int);
  int (*get_info)(struct super_block *, int, struct if_dqinfo *);
  int (*set_info)(struct super_block *, int, struct if_dqinfo *);
  int (*get_dqblk)(struct super_block *, int, qid_t , struct fs_disk_quota *);
  int (*set_dqblk)(struct super_block *, int, qid_t , struct fs_disk_quota *);
  int (*get_xstate)(struct super_block *, struct fs_quota_stat *);
  int (*set_xstate)(struct super_block *, unsigned int, int);
} ;
struct quota_format_type {
  int qf_fmt_id;
  const struct quota_format_ops *qf_ops;
  struct module *qf_owner;
  struct quota_format_type *qf_next;
} ;
struct quota_info {
  unsigned int flags;
  struct mutex dqio_mutex;
  struct mutex dqonoff_mutex;
  struct rw_semaphore dqptr_sem;
  struct inode *files[2U];
  struct mem_dqinfo info[2U];
  const struct quota_format_ops *ops[2U];
} ;
struct address_space ;
struct writeback_control {
} ;
union __anonunion_arg_29 {
  char *buf;
  void *data;
} ;
struct __anonstruct_read_descriptor_t_28 {
  size_t written;
  size_t count;
  union __anonunion_arg_29 arg;
  int error;
} ;
typedef struct __anonstruct_read_descriptor_t_28 read_descriptor_t;
struct address_space_operations {
  int (*writepage)(struct page *, struct writeback_control *);
  int (*readpage)(struct file *, struct page *);
  int (*writepages)(struct address_space *, struct writeback_control *);
  int (*set_page_dirty)(struct page *);
  int (*readpages)(struct file *, struct address_space *, struct list_head *, unsigned int);
  int (*write_begin)(struct file *, struct address_space *, loff_t , unsigned int, unsigned int, struct page **, void **);
  int (*write_end)(struct file *, struct address_space *, loff_t , unsigned int, unsigned int, struct page *, void *);
  sector_t (*bmap)(struct address_space *, sector_t );
  void (*invalidatepage)(struct page *, unsigned long);
  int (*releasepage)(struct page *, gfp_t );
  void (*freepage)(struct page *);
  ssize_t (*direct_IO)(int, struct kiocb *, const struct iovec *, loff_t , unsigned long);
  int (*get_xip_mem)(struct address_space *, unsigned long, int, void **, unsigned long *);
  int (*migratepage)(struct address_space *, struct page *, struct page *);
  int (*launder_page)(struct page *);
  int (*is_partially_uptodate)(struct page *, read_descriptor_t *, unsigned long);
  int (*error_remove_page)(struct address_space *, struct page *);
} ;
struct address_space {
  struct inode *host;
  struct radix_tree_root page_tree;
  spinlock_t tree_lock;
  unsigned int i_mmap_writable;
  struct prio_tree_root i_mmap;
  struct list_head i_mmap_nonlinear;
  struct mutex i_mmap_mutex;
  unsigned long nrpages;
  unsigned long writeback_index;
  const struct address_space_operations *a_ops;
  unsigned long flags;
  struct backing_dev_info *backing_dev_info;
  spinlock_t private_lock;
  struct list_head private_list;
  struct address_space *assoc_mapping;
} ;
struct hd_struct {
} ;
struct gendisk {
} ;
struct block_device {
  dev_t bd_dev;
  int bd_openers;
  struct inode *bd_inode;
  struct super_block *bd_super;
  struct mutex bd_mutex;
  struct list_head bd_inodes;
  void *bd_claiming;
  void *bd_holder;
  int bd_holders;
  bool bd_write_holder;
  struct list_head bd_holder_disks;
  struct block_device *bd_contains;
  unsigned int bd_block_size;
  struct hd_struct *bd_part;
  unsigned int bd_part_count;
  int bd_invalidated;
  struct gendisk *bd_disk;
  struct list_head bd_list;
  unsigned long bd_private;
  int bd_fsfreeze_count;
  struct mutex bd_fsfreeze_mutex;
} ;
struct posix_acl {
} ;
struct inode_operations ;
union __anonunion_ldv_13031_30 {
  struct list_head i_dentry;
  struct rcu_head i_rcu;
} ;
struct file_lock ;
union __anonunion_ldv_13056_31 {
  struct pipe_inode_info *i_pipe;
  struct block_device *i_bdev;
  struct cdev *i_cdev;
} ;
struct inode {
  umode_t i_mode;
  uid_t i_uid;
  gid_t i_gid;
  const struct inode_operations *i_op;
  struct super_block *i_sb;
  spinlock_t i_lock;
  unsigned int i_flags;
  unsigned long i_state;
  void *i_security;
  struct mutex i_mutex;
  unsigned long dirtied_when;
  struct hlist_node i_hash;
  struct list_head i_wb_list;
  struct list_head i_lru;
  struct list_head i_sb_list;
  union __anonunion_ldv_13031_30 ldv_13031;
  unsigned long i_ino;
  atomic_t i_count;
  unsigned int i_nlink;
  dev_t i_rdev;
  unsigned int i_blkbits;
  u64 i_version;
  loff_t i_size;
  struct timespec i_atime;
  struct timespec i_mtime;
  struct timespec i_ctime;
  blkcnt_t i_blocks;
  unsigned short i_bytes;
  struct rw_semaphore i_alloc_sem;
  const struct file_operations *i_fop;
  struct file_lock *i_flock;
  struct address_space *i_mapping;
  struct address_space i_data;
  struct dquot *i_dquot[2U];
  struct list_head i_devices;
  union __anonunion_ldv_13056_31 ldv_13056;
  __u32 i_generation;
  __u32 i_fsnotify_mask;
  struct hlist_head i_fsnotify_marks;
  atomic_t i_readcount;
  atomic_t i_writecount;
  struct posix_acl *i_acl;
  struct posix_acl *i_default_acl;
  void *i_private;
} ;
struct fown_struct {
  rwlock_t lock;
  struct pid *pid;
  enum pid_type pid_type;
  uid_t uid;
  uid_t euid;
  int signum;
} ;
struct file_ra_state {
  unsigned long start;
  unsigned int size;
  unsigned int async_size;
  unsigned int ra_pages;
  unsigned int mmap_miss;
  loff_t prev_pos;
} ;
union __anonunion_f_u_32 {
  struct list_head fu_list;
  struct rcu_head fu_rcuhead;
} ;
struct file {
  union __anonunion_f_u_32 f_u;
  struct path f_path;
  const struct file_operations *f_op;
  spinlock_t f_lock;
  atomic_long_t f_count;
  unsigned int f_flags;
  fmode_t f_mode;
  loff_t f_pos;
  struct fown_struct f_owner;
  const struct cred *f_cred;
  struct file_ra_state f_ra;
  u64 f_version;
  void *f_security;
  void *private_data;
  struct list_head f_ep_links;
  struct address_space *f_mapping;
  unsigned long f_mnt_write_state;
} ;
struct files_struct {
} ;
typedef struct files_struct *fl_owner_t;
struct file_lock_operations {
  void (*fl_copy_lock)(struct file_lock *, struct file_lock *);
  void (*fl_release_private)(struct file_lock *);
} ;
struct lock_manager_operations {
  int (*fl_compare_owner)(struct file_lock *, struct file_lock *);
  void (*fl_notify)(struct file_lock *);
  int (*fl_grant)(struct file_lock *, struct file_lock *, int);
  void (*fl_release_private)(struct file_lock *);
  void (*fl_break)(struct file_lock *);
  int (*fl_change)(struct file_lock **, int);
} ;
struct nlm_lockowner {
} ;
struct nfs_lock_info {
  u32 state;
  struct nlm_lockowner *owner;
  struct list_head list;
} ;
struct nfs4_lock_state {
} ;
struct nfs4_lock_info {
  struct nfs4_lock_state *owner;
} ;
struct fasync_struct ;
struct __anonstruct_afs_34 {
  struct list_head link;
  int state;
} ;
union __anonunion_fl_u_33 {
  struct nfs_lock_info nfs_fl;
  struct nfs4_lock_info nfs4_fl;
  struct __anonstruct_afs_34 afs;
} ;
struct file_lock {
  struct file_lock *fl_next;
  struct list_head fl_link;
  struct list_head fl_block;
  fl_owner_t fl_owner;
  unsigned char fl_flags;
  unsigned char fl_type;
  unsigned int fl_pid;
  struct pid *fl_nspid;
  wait_queue_head_t fl_wait;
  struct file *fl_file;
  loff_t fl_start;
  loff_t fl_end;
  struct fasync_struct *fl_fasync;
  unsigned long fl_break_time;
  const struct file_lock_operations *fl_ops;
  const struct lock_manager_operations *fl_lmops;
  union __anonunion_fl_u_33 fl_u;
} ;
struct fasync_struct {
  spinlock_t fa_lock;
  int magic;
  int fa_fd;
  struct fasync_struct *fa_next;
  struct file *fa_file;
  struct rcu_head fa_rcu;
} ;
struct file_system_type ;
struct super_operations ;
struct xattr_handler {
} ;
struct mtd_info {
} ;
struct super_block {
  struct list_head s_list;
  dev_t s_dev;
  unsigned char s_dirt;
  unsigned char s_blocksize_bits;
  unsigned long s_blocksize;
  loff_t s_maxbytes;
  struct file_system_type *s_type;
  const struct super_operations *s_op;
  const struct dquot_operations *dq_op;
  const struct quotactl_ops *s_qcop;
  const struct export_operations *s_export_op;
  unsigned long s_flags;
  unsigned long s_magic;
  struct dentry *s_root;
  struct rw_semaphore s_umount;
  struct mutex s_lock;
  int s_count;
  atomic_t s_active;
  void *s_security;
  const struct xattr_handler **s_xattr;
  struct list_head s_inodes;
  struct hlist_bl_head s_anon;
  struct list_head s_files;
  struct list_head s_dentry_lru;
  int s_nr_dentry_unused;
  struct block_device *s_bdev;
  struct backing_dev_info *s_bdi;
  struct mtd_info *s_mtd;
  struct list_head s_instances;
  struct quota_info s_dquot;
  int s_frozen;
  wait_queue_head_t s_wait_unfrozen;
  char s_id[32U];
  u8 s_uuid[16U];
  void *s_fs_info;
  fmode_t s_mode;
  u32 s_time_gran;
  struct mutex s_vfs_rename_mutex;
  char *s_subtype;
  char *s_options;
  const struct dentry_operations *s_d_op;
  int cleancache_poolid;
} ;
struct fiemap_extent_info {
  unsigned int fi_flags;
  unsigned int fi_extents_mapped;
  unsigned int fi_extents_max;
  struct fiemap_extent *fi_extents_start;
} ;
struct file_operations {
  struct module *owner;
  loff_t (*llseek)(struct file *, loff_t , int);
  ssize_t (*read)(struct file *, char *, size_t , loff_t *);
  ssize_t (*write)(struct file *, const char *, size_t , loff_t *);
  ssize_t (*aio_read)(struct kiocb *, const struct iovec *, unsigned long, loff_t );
  ssize_t (*aio_write)(struct kiocb *, const struct iovec *, unsigned long, loff_t );
  int (*readdir)(struct file *, void *, int (*)(void *, const char *, int, loff_t , u64 , unsigned int));
  unsigned int (*poll)(struct file *, struct poll_table_struct *);
  long int (*unlocked_ioctl)(struct file *, unsigned int, unsigned long);
  long int (*compat_ioctl)(struct file *, unsigned int, unsigned long);
  int (*mmap)(struct file *, struct vm_area_struct *);
  int (*open)(struct inode *, struct file *);
  int (*flush)(struct file *, fl_owner_t );
  int (*release)(struct inode *, struct file *);
  int (*fsync)(struct file *, int);
  int (*aio_fsync)(struct kiocb *, int);
  int (*fasync)(int, struct file *, int);
  int (*lock)(struct file *, int, struct file_lock *);
  ssize_t (*sendpage)(struct file *, struct page *, int, size_t , loff_t *, int);
  unsigned long int (*get_unmapped_area)(struct file *, unsigned long, unsigned long, unsigned long, unsigned long);
  int (*check_flags)(int);
  int (*flock)(struct file *, int, struct file_lock *);
  ssize_t (*splice_write)(struct pipe_inode_info *, struct file *, loff_t *, size_t , unsigned int);
  ssize_t (*splice_read)(struct file *, loff_t *, struct pipe_inode_info *, size_t , unsigned int);
  int (*setlease)(struct file *, long, struct file_lock **);
  long int (*fallocate)(struct file *, int, loff_t , loff_t );
} ;
struct inode_operations {
  struct dentry *(*lookup)(struct inode *, struct dentry *, struct nameidata *);
  void *(*follow_link)(struct dentry *, struct nameidata *);
  int (*permission)(struct inode *, int, unsigned int);
  int (*check_acl)(struct inode *, int, unsigned int);
  int (*readlink)(struct dentry *, char *, int);
  void (*put_link)(struct dentry *, struct nameidata *, void *);
  int (*create)(struct inode *, struct dentry *, int, struct nameidata *);
  int (*link)(struct dentry *, struct inode *, struct dentry *);
  int (*unlink)(struct inode *, struct dentry *);
  int (*symlink)(struct inode *, struct dentry *, const char *);
  int (*mkdir)(struct inode *, struct dentry *, int);
  int (*rmdir)(struct inode *, struct dentry *);
  int (*mknod)(struct inode *, struct dentry *, int, dev_t );
  int (*rename)(struct inode *, struct dentry *, struct inode *, struct dentry *);
  void (*truncate)(struct inode *);
  int (*setattr)(struct dentry *, struct iattr *);
  int (*getattr)(struct vfsmount *, struct dentry *, struct kstat *);
  int (*setxattr)(struct dentry *, const char *, const void *, size_t , int);
  ssize_t (*getxattr)(struct dentry *, const char *, void *, size_t );
  ssize_t (*listxattr)(struct dentry *, char *, size_t );
  int (*removexattr)(struct dentry *, const char *);
  void (*truncate_range)(struct inode *, loff_t , loff_t );
  int (*fiemap)(struct inode *, struct fiemap_extent_info *, u64 , u64 );
} ;
struct super_operations {
  struct inode *(*alloc_inode)(struct super_block *);
  void (*destroy_inode)(struct inode *);
  void (*dirty_inode)(struct inode *, int);
  int (*write_inode)(struct inode *, struct writeback_control *);
  int (*drop_inode)(struct inode *);
  void (*evict_inode)(struct inode *);
  void (*put_super)(struct super_block *);
  void (*write_super)(struct super_block *);
  int (*sync_fs)(struct super_block *, int);
  int (*freeze_fs)(struct super_block *);
  int (*unfreeze_fs)(struct super_block *);
  int (*statfs)(struct dentry *, struct kstatfs *);
  int (*remount_fs)(struct super_block *, int *, char *);
  void (*umount_begin)(struct super_block *);
  int (*show_options)(struct seq_file *, struct vfsmount *);
  int (*show_devname)(struct seq_file *, struct vfsmount *);
  int (*show_path)(struct seq_file *, struct vfsmount *);
  int (*show_stats)(struct seq_file *, struct vfsmount *);
  ssize_t (*quota_read)(struct super_block *, int, char *, size_t , loff_t );
  ssize_t (*quota_write)(struct super_block *, int, const char *, size_t , loff_t );
  int (*bdev_try_to_free_page)(struct super_block *, struct page *, gfp_t );
} ;
struct file_system_type {
  const char *name;
  int fs_flags;
  struct dentry *(*mount)(struct file_system_type *, int, const char *, void *);
  void (*kill_sb)(struct super_block *);
  struct module *owner;
  struct file_system_type *next;
  struct list_head fs_supers;
  struct lock_class_key s_lock_key;
  struct lock_class_key s_umount_key;
  struct lock_class_key s_vfs_rename_key;
  struct lock_class_key i_lock_key;
  struct lock_class_key i_mutex_key;
  struct lock_class_key i_mutex_dir_key;
  struct lock_class_key i_alloc_sem_key;
} ;
struct exception_table_entry {
  unsigned long insn;
  unsigned long fixup;
} ;
struct poll_table_struct {
  void (*qproc)(struct file *, wait_queue_head_t *, struct poll_table_struct *);
  unsigned long key;
} ;
struct rtc_class_ops {
  int (*open)(struct device *);
  void (*release)(struct device *);
  int (*ioctl)(struct device *, unsigned int, unsigned long);
  int (*read_time)(struct device *, struct rtc_time *);
  int (*set_time)(struct device *, struct rtc_time *);
  int (*read_alarm)(struct device *, struct rtc_wkalrm *);
  int (*set_alarm)(struct device *, struct rtc_wkalrm *);
  int (*proc)(struct device *, struct seq_file *);
  int (*set_mmss)(struct device *, unsigned long);
  int (*read_callback)(struct device *, int);
  int (*alarm_irq_enable)(struct device *, unsigned int);
} ;
struct rtc_task {
  void (*func)(void *);
  void *private_data;
} ;
struct rtc_timer {
  struct rtc_task task;
  struct timerqueue_node node;
  ktime_t period;
  int enabled;
} ;
struct rtc_device {
  struct device dev;
  struct module *owner;
  int id;
  char name[20U];
  const struct rtc_class_ops *ops;
  struct mutex ops_lock;
  struct cdev char_dev;
  unsigned long flags;
  unsigned long irq_data;
  spinlock_t irq_lock;
  wait_queue_head_t irq_queue;
  struct fasync_struct *async_queue;
  struct rtc_task *irq_task;
  spinlock_t irq_task_lock;
  int irq_freq;
  int max_user_freq;
  struct timerqueue_head timerqueue;
  struct rtc_timer aie_timer;
  struct rtc_timer uie_rtctimer;
  struct hrtimer pie_timer;
  int pie_enabled;
  struct work_struct irqwork;
  struct work_struct uie_task;
  struct timer_list uie_timer;
  unsigned int oldsecs;
  unsigned char uie_irq_active : 1;
  unsigned char stop_uie_polling : 1;
  unsigned char uie_task_active : 1;
  unsigned char uie_timer_active : 1;
} ;
typedef unsigned long kernel_ulong_t;
struct of_device_id {
  char name[32U];
  char type[32U];
  char compatible[128U];
  void *data;
} ;
struct platform_device_id {
  char name[20U];
  kernel_ulong_t driver_data;
} ;
struct mfd_cell {
} ;
struct platform_device {
  const char *name;
  int id;
  struct device dev;
  u32 num_resources;
  struct resource *resource;
  const struct platform_device_id *id_entry;
  struct mfd_cell *mfd_cell;
  struct pdev_archdata archdata;
} ;
struct platform_driver {
  int (*probe)(struct platform_device *);
  int (*remove)(struct platform_device *);
  void (*shutdown)(struct platform_device *);
  int (*suspend)(struct platform_device *, pm_message_t );
  int (*resume)(struct platform_device *);
  struct device_driver driver;
  const struct platform_device_id *id_table;
} ;
struct tegra_rtc_info {
  struct platform_device *pdev;
  struct rtc_device *rtc_dev;
  void *rtc_base;
  int tegra_rtc_irq;
  spinlock_t tegra_rtc_lock;
} ;
typedef struct rtc_device *ldv_func_ret_type;
typedef int ldv_func_ret_type___0;
struct module __this_module = {  };
struct resource iomem_resource = {  };
struct outer_cache_fns outer_cache = {  };
int __VERIFIER_nondet_int() {
  static unsigned int test_vector_index = 0;
  int retval;
  switch (test_vector_index) {
    case 0: retval = 0; break;
    case 1: retval = 1; break;
    case 2: retval = 1; break;
    case 3: retval = 0; break;
    case 4: retval = 3; break;
    case 5: retval = 4; break;
    case 6: retval = 3; break;
    case 7: retval = 0; break;
  }
  ++test_vector_index;
  return retval;
}
void *__VERIFIER_nondet_pointer() {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
unsigned int __VERIFIER_nondet_uint() {
  unsigned int retval;
  retval = 5U;
  return retval;
}
unsigned long int __VERIFIER_nondet_ulong() {
  unsigned long int retval;
  retval = 0UL;
  return retval;
}
void __const_udelay(unsigned long p0) {
}
void __release_region(struct resource *p0, resource_size_t p1, resource_size_t p2) {
}
struct resource *__request_region(struct resource *p0, resource_size_t p1, resource_size_t p2, const char *p3, int p4) {
  struct resource *retval;
  { struct resource *__tmp_var; __tmp_var = malloc(sizeof(struct resource )); retval = __tmp_var; }
  return retval;
}
void _raw_spin_unlock_irqrestore(raw_spinlock_t *p0, unsigned long p1) {
}
void *calloc(size_t nmemb, size_t size) {
  static unsigned int test_vector_index = 0;
  void *retval;
  switch (test_vector_index) {
    case 0: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 1: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
  }
  ++test_vector_index;
  return retval;
}
int dev_err(const struct device *p0, const char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
void *dev_get_drvdata(const struct device *p0) {
  static unsigned int test_vector_index = 0;
  void *retval;
  switch (test_vector_index) {
    case 0: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 1: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
  }
  ++test_vector_index;
  return retval;
}
int dev_notice(const struct device *p0, const char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
int dev_set_drvdata(struct device *p0, void *p1) {
  int retval;
  retval = 0;
  return retval;
}
int device_init_wakeup(struct device *p0, bool p1) {
  int retval;
  retval = 0;
  return retval;
}
void free_irq(unsigned int p0, void *p1) {
}
int irq_set_irq_wake(unsigned int p0, unsigned int p1) {
  int retval;
  retval = 0;
  return retval;
}
void kfree(const void *p0) {
}
void ldv_check_final_state() {
}
void ldv_initialize() {
}
int ldv_probe_2() {
  int retval;
  retval = 0;
  return retval;
}
int ldv_probe_3() {
  int retval;
  retval = 0;
  return retval;
}
int ldv_release_3() {
  int retval;
  retval = 0;
  return retval;
}
int platform_driver_probe(struct platform_driver *p0, int (*p1)(struct platform_device *)) {
  int retval;
  retval = 0;
  return retval;
}
void platform_driver_unregister(struct platform_driver *p0) {
}
int platform_get_irq(struct platform_device *p0, unsigned int p1) {
  int retval;
  retval = 0;
  return retval;
}
struct resource *platform_get_resource(struct platform_device *p0, unsigned int p1, unsigned int p2) {
  struct resource *retval;
  { struct resource *__tmp_var; __tmp_var = malloc(sizeof(struct resource )); retval = __tmp_var; }
  return retval;
}
int request_threaded_irq(unsigned int p0, irqreturn_t (*p1)(int, void *), irqreturn_t (*p2)(int, void *), unsigned long p3, const char *p4, void *p5) {
  int retval;
  retval = 0;
  return retval;
}
struct rtc_device *rtc_device_register(const char *p0, struct device *p1, const struct rtc_class_ops *p2, struct module *p3) {
  struct rtc_device *retval;
  { struct rtc_device *__tmp_var; __tmp_var = malloc(sizeof(struct rtc_device )); retval = __tmp_var; }
  return retval;
}
void rtc_device_unregister(struct rtc_device *p0) {
}
void rtc_time_to_tm(unsigned long p0, struct rtc_time *p1) {
}
int rtc_tm_to_time(struct rtc_time *p0, unsigned long *p1) {
  int retval;
  retval = 0;
  return retval;
}
void rtc_update_irq(struct rtc_device *p0, unsigned long p1, unsigned long p2) {
}
int rtc_valid_tm(struct rtc_time *p0) {
  int retval;
  retval = 0;
  return retval;
}
int seq_printf(struct seq_file *p0, const char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
void *tegra_ioremap(unsigned long p0, size_t p1, unsigned int p2) {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
void tegra_iounmap(volatile void *p0) {
}
