#include <stdlib.h>
void __VERIFIER_error() { exit(107); }
void __VERIFIER_assume(int cond) { if (!(cond)) { exit(EXIT_SUCCESS); }}
typedef signed char __s8;
typedef unsigned char __u8;
typedef short __s16;
typedef unsigned short __u16;
typedef int __s32;
typedef unsigned int __u32;
typedef long long __s64;
typedef unsigned long long __u64;
typedef unsigned char u8;
typedef short s16;
typedef unsigned short u16;
typedef int s32;
typedef unsigned int u32;
typedef long long s64;
typedef unsigned long long u64;
typedef long __kernel_long_t;
typedef unsigned long __kernel_ulong_t;
typedef int __kernel_pid_t;
typedef unsigned int __kernel_uid32_t;
typedef unsigned int __kernel_gid32_t;
typedef __kernel_ulong_t __kernel_size_t;
typedef __kernel_long_t __kernel_ssize_t;
typedef long long __kernel_loff_t;
typedef __kernel_long_t __kernel_time_t;
typedef __kernel_long_t __kernel_clock_t;
typedef int __kernel_timer_t;
typedef int __kernel_clockid_t;
typedef __u16 __le16;
typedef __u32 __le32;
typedef __u32 __kernel_dev_t;
typedef __kernel_dev_t dev_t;
typedef unsigned short umode_t;
typedef __kernel_pid_t pid_t;
typedef __kernel_clockid_t clockid_t;
typedef _Bool bool;
typedef __kernel_uid32_t uid_t;
typedef __kernel_gid32_t gid_t;
typedef __kernel_loff_t loff_t;
typedef __kernel_ssize_t ssize_t;
typedef __kernel_time_t time_t;
typedef __s32 int32_t;
typedef __u32 uint32_t;
typedef unsigned long sector_t;
typedef unsigned long blkcnt_t;
typedef u64 dma_addr_t;
typedef unsigned int gfp_t;
typedef unsigned int fmode_t;
struct __anonstruct_atomic_t_6 {
  int counter;
} ;
typedef struct __anonstruct_atomic_t_6 atomic_t;
struct __anonstruct_atomic64_t_7 {
  long counter;
} ;
typedef struct __anonstruct_atomic64_t_7 atomic64_t;
struct list_head {
  struct list_head *next;
  struct list_head *prev;
} ;
struct hlist_node ;
struct hlist_head {
  struct hlist_node *first;
} ;
struct hlist_node {
  struct hlist_node *next;
  struct hlist_node **pprev;
} ;
struct callback_head {
  struct callback_head *next;
  void (*func)(struct callback_head *);
} ;
typedef unsigned long kernel_ulong_t;
struct usb_device_id {
  __u16 match_flags;
  __u16 idVendor;
  __u16 idProduct;
  __u16 bcdDevice_lo;
  __u16 bcdDevice_hi;
  __u8 bDeviceClass;
  __u8 bDeviceSubClass;
  __u8 bDeviceProtocol;
  __u8 bInterfaceClass;
  __u8 bInterfaceSubClass;
  __u8 bInterfaceProtocol;
  __u8 bInterfaceNumber;
  kernel_ulong_t driver_info;
} ;
struct of_device_id {
  char name[32U];
  char type[32U];
  char compatible[128U];
  const void *data;
} ;
struct usb_device_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __le16 bcdUSB;
  __u8 bDeviceClass;
  __u8 bDeviceSubClass;
  __u8 bDeviceProtocol;
  __u8 bMaxPacketSize0;
  __le16 idVendor;
  __le16 idProduct;
  __le16 bcdDevice;
  __u8 iManufacturer;
  __u8 iProduct;
  __u8 iSerialNumber;
  __u8 bNumConfigurations;
} ;
struct usb_config_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __le16 wTotalLength;
  __u8 bNumInterfaces;
  __u8 bConfigurationValue;
  __u8 iConfiguration;
  __u8 bmAttributes;
  __u8 bMaxPower;
} ;
struct usb_interface_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bInterfaceNumber;
  __u8 bAlternateSetting;
  __u8 bNumEndpoints;
  __u8 bInterfaceClass;
  __u8 bInterfaceSubClass;
  __u8 bInterfaceProtocol;
  __u8 iInterface;
} ;
struct usb_endpoint_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bEndpointAddress;
  __u8 bmAttributes;
  __le16 wMaxPacketSize;
  __u8 bInterval;
  __u8 bRefresh;
  __u8 bSynchAddress;
} ;
struct usb_ss_ep_comp_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bMaxBurst;
  __u8 bmAttributes;
  __le16 wBytesPerInterval;
} ;
struct usb_interface_assoc_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bFirstInterface;
  __u8 bInterfaceCount;
  __u8 bFunctionClass;
  __u8 bFunctionSubClass;
  __u8 bFunctionProtocol;
  __u8 iFunction;
} ;
struct usb_bos_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __le16 wTotalLength;
  __u8 bNumDeviceCaps;
} ;
struct usb_ext_cap_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bDevCapabilityType;
  __le32 bmAttributes;
} ;
struct usb_ss_cap_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bDevCapabilityType;
  __u8 bmAttributes;
  __le16 wSpeedSupported;
  __u8 bFunctionalitySupport;
  __u8 bU1devExitLat;
  __le16 bU2DevExitLat;
} ;
struct usb_ss_container_id_descriptor {
  __u8 bLength;
  __u8 bDescriptorType;
  __u8 bDevCapabilityType;
  __u8 bReserved;
  __u8 ContainerID[16U];
} ;
enum usb_device_speed {
  USB_SPEED_UNKNOWN = 0,
  USB_SPEED_LOW = 1,
  USB_SPEED_FULL = 2,
  USB_SPEED_HIGH = 3,
  USB_SPEED_WIRELESS = 4,
  USB_SPEED_SUPER = 5
} ;
enum usb_device_state {
  USB_STATE_NOTATTACHED = 0,
  USB_STATE_ATTACHED = 1,
  USB_STATE_POWERED = 2,
  USB_STATE_RECONNECTING = 3,
  USB_STATE_UNAUTHENTICATED = 4,
  USB_STATE_DEFAULT = 5,
  USB_STATE_ADDRESS = 6,
  USB_STATE_CONFIGURED = 7,
  USB_STATE_SUSPENDED = 8
} ;
struct module ;
typedef void (*ctor_fn_t)();
struct file_operations ;
struct _ddebug {
  const char *modname;
  const char *function;
  const char *filename;
  const char *format;
  unsigned int lineno : 18;
  unsigned char flags;
} ;
struct device ;
struct completion ;
struct pt_regs ;
struct pid ;
struct bug_entry {
  int bug_addr_disp;
  int file_disp;
  unsigned short line;
  unsigned short flags;
} ;
struct timespec ;
struct page ;
struct task_struct ;
struct mm_struct ;
struct pt_regs {
  unsigned long r15;
  unsigned long r14;
  unsigned long r13;
  unsigned long r12;
  unsigned long bp;
  unsigned long bx;
  unsigned long r11;
  unsigned long r10;
  unsigned long r9;
  unsigned long r8;
  unsigned long ax;
  unsigned long cx;
  unsigned long dx;
  unsigned long si;
  unsigned long di;
  unsigned long orig_ax;
  unsigned long ip;
  unsigned long cs;
  unsigned long flags;
  unsigned long sp;
  unsigned long ss;
} ;
struct __anonstruct____missing_field_name_14 {
  unsigned int a;
  unsigned int b;
} ;
struct __anonstruct____missing_field_name_15 {
  u16 limit0;
  u16 base0;
  unsigned char base1;
  unsigned char type : 4;
  unsigned char s : 1;
  unsigned char dpl : 2;
  unsigned char p : 1;
  unsigned char limit : 4;
  unsigned char avl : 1;
  unsigned char l : 1;
  unsigned char d : 1;
  unsigned char g : 1;
  unsigned char base2;
} ;
union __anonunion____missing_field_name_13 {
  struct __anonstruct____missing_field_name_14 __annonCompField5;
  struct __anonstruct____missing_field_name_15 __annonCompField6;
} ;
struct desc_struct {
  union __anonunion____missing_field_name_13 __annonCompField7;
} ;
typedef unsigned long pgdval_t;
typedef unsigned long pgprotval_t;
struct pgprot {
  pgprotval_t pgprot;
} ;
typedef struct pgprot pgprot_t;
struct __anonstruct_pgd_t_17 {
  pgdval_t pgd;
} ;
typedef struct __anonstruct_pgd_t_17 pgd_t;
typedef struct page *pgtable_t;
struct file ;
struct seq_file ;
struct thread_struct ;
struct cpumask ;
struct arch_spinlock ;
struct kernel_vm86_regs {
  struct pt_regs pt;
  unsigned short es;
  unsigned short __esh;
  unsigned short ds;
  unsigned short __dsh;
  unsigned short fs;
  unsigned short __fsh;
  unsigned short gs;
  unsigned short __gsh;
} ;
union __anonunion____missing_field_name_20 {
  struct pt_regs *regs;
  struct kernel_vm86_regs *vm86;
} ;
struct math_emu_info {
  long ___orig_eip;
  union __anonunion____missing_field_name_20 __annonCompField8;
} ;
struct cpumask {
  unsigned long bits[64U];
} ;
typedef struct cpumask cpumask_t;
typedef struct cpumask *cpumask_var_t;
struct static_key ;
struct seq_operations ;
struct i387_fsave_struct {
  u32 cwd;
  u32 swd;
  u32 twd;
  u32 fip;
  u32 fcs;
  u32 foo;
  u32 fos;
  u32 st_space[20U];
  u32 status;
} ;
struct __anonstruct____missing_field_name_25 {
  u64 rip;
  u64 rdp;
} ;
struct __anonstruct____missing_field_name_26 {
  u32 fip;
  u32 fcs;
  u32 foo;
  u32 fos;
} ;
union __anonunion____missing_field_name_24 {
  struct __anonstruct____missing_field_name_25 __annonCompField12;
  struct __anonstruct____missing_field_name_26 __annonCompField13;
} ;
union __anonunion____missing_field_name_27 {
  u32 padding1[12U];
  u32 sw_reserved[12U];
} ;
struct i387_fxsave_struct {
  u16 cwd;
  u16 swd;
  u16 twd;
  u16 fop;
  union __anonunion____missing_field_name_24 __annonCompField14;
  u32 mxcsr;
  u32 mxcsr_mask;
  u32 st_space[32U];
  u32 xmm_space[64U];
  u32 padding[12U];
  union __anonunion____missing_field_name_27 __annonCompField15;
} ;
struct i387_soft_struct {
  u32 cwd;
  u32 swd;
  u32 twd;
  u32 fip;
  u32 fcs;
  u32 foo;
  u32 fos;
  u32 st_space[20U];
  u8 ftop;
  u8 changed;
  u8 lookahead;
  u8 no_update;
  u8 rm;
  u8 alimit;
  struct math_emu_info *info;
  u32 entry_eip;
} ;
struct ymmh_struct {
  u32 ymmh_space[64U];
} ;
struct xsave_hdr_struct {
  u64 xstate_bv;
  u64 reserved1[2U];
  u64 reserved2[5U];
} ;
struct xsave_struct {
  struct i387_fxsave_struct i387;
  struct xsave_hdr_struct xsave_hdr;
  struct ymmh_struct ymmh;
} ;
union thread_xstate {
  struct i387_fsave_struct fsave;
  struct i387_fxsave_struct fxsave;
  struct i387_soft_struct soft;
  struct xsave_struct xsave;
} ;
struct fpu {
  unsigned int last_cpu;
  unsigned int has_fpu;
  union thread_xstate *state;
} ;
struct kmem_cache ;
struct perf_event {
} ;
struct thread_struct {
  struct desc_struct tls_array[3U];
  unsigned long sp0;
  unsigned long sp;
  unsigned long usersp;
  unsigned short es;
  unsigned short ds;
  unsigned short fsindex;
  unsigned short gsindex;
  unsigned long fs;
  unsigned long gs;
  struct perf_event *ptrace_bps[4U];
  unsigned long debugreg6;
  unsigned long ptrace_dr7;
  unsigned long cr2;
  unsigned long trap_nr;
  unsigned long error_code;
  struct fpu fpu;
  unsigned long *io_bitmap_ptr;
  unsigned long iopl;
  unsigned int io_bitmap_max;
} ;
typedef atomic64_t atomic_long_t;
struct lockdep_map ;
struct stack_trace {
  unsigned int nr_entries;
  unsigned int max_entries;
  unsigned long *entries;
  int skip;
} ;
struct lockdep_subclass_key {
  char __one_byte;
} ;
struct lock_class_key {
  struct lockdep_subclass_key subkeys[8U];
} ;
struct lock_class {
  struct list_head hash_entry;
  struct list_head lock_entry;
  struct lockdep_subclass_key *key;
  unsigned int subclass;
  unsigned int dep_gen_id;
  unsigned long usage_mask;
  struct stack_trace usage_traces[13U];
  struct list_head locks_after;
  struct list_head locks_before;
  unsigned int version;
  unsigned long ops;
  const char *name;
  int name_version;
  unsigned long contention_point[4U];
  unsigned long contending_point[4U];
} ;
struct lockdep_map {
  struct lock_class_key *key;
  struct lock_class *class_cache[2U];
  const char *name;
  int cpu;
  unsigned long ip;
} ;
struct held_lock {
  u64 prev_chain_key;
  unsigned long acquire_ip;
  struct lockdep_map *instance;
  struct lockdep_map *nest_lock;
  u64 waittime_stamp;
  u64 holdtime_stamp;
  unsigned short class_idx : 13;
  unsigned char irq_context : 2;
  unsigned char trylock : 1;
  unsigned char read : 2;
  unsigned char check : 2;
  unsigned char hardirqs_off : 1;
  unsigned short references : 11;
} ;
typedef u16 __ticket_t;
typedef u32 __ticketpair_t;
struct __raw_tickets {
  __ticket_t head;
  __ticket_t tail;
} ;
union __anonunion____missing_field_name_94 {
  __ticketpair_t head_tail;
  struct __raw_tickets tickets;
} ;
struct arch_spinlock {
  union __anonunion____missing_field_name_94 __annonCompField17;
} ;
typedef struct arch_spinlock arch_spinlock_t;
struct __anonstruct____missing_field_name_96 {
  u32 read;
  s32 write;
} ;
union __anonunion_arch_rwlock_t_95 {
  s64 lock;
  struct __anonstruct____missing_field_name_96 __annonCompField18;
} ;
typedef union __anonunion_arch_rwlock_t_95 arch_rwlock_t;
struct raw_spinlock {
  arch_spinlock_t raw_lock;
  unsigned int magic;
  unsigned int owner_cpu;
  void *owner;
  struct lockdep_map dep_map;
} ;
typedef struct raw_spinlock raw_spinlock_t;
struct __anonstruct____missing_field_name_98 {
  u8 __padding[24U];
  struct lockdep_map dep_map;
} ;
union __anonunion____missing_field_name_97 {
  struct raw_spinlock rlock;
  struct __anonstruct____missing_field_name_98 __annonCompField19;
} ;
struct spinlock {
  union __anonunion____missing_field_name_97 __annonCompField20;
} ;
typedef struct spinlock spinlock_t;
struct __anonstruct_rwlock_t_99 {
  arch_rwlock_t raw_lock;
  unsigned int magic;
  unsigned int owner_cpu;
  void *owner;
  struct lockdep_map dep_map;
} ;
typedef struct __anonstruct_rwlock_t_99 rwlock_t;
struct seqcount {
  unsigned int sequence;
} ;
typedef struct seqcount seqcount_t;
struct timespec {
  __kernel_time_t tv_sec;
  long tv_nsec;
} ;
union ktime {
  s64 tv64;
} ;
typedef union ktime ktime_t;
struct tvec_base {
} ;
struct timer_list {
  struct list_head entry;
  unsigned long expires;
  struct tvec_base *base;
  void (*function)(unsigned long);
  unsigned long data;
  int slack;
  int start_pid;
  void *start_site;
  char start_comm[16U];
  struct lockdep_map lockdep_map;
} ;
struct hrtimer ;
enum hrtimer_restart ;
struct workqueue_struct {
} ;
struct work_struct ;
struct work_struct {
  atomic_long_t data;
  struct list_head entry;
  void (*func)(struct work_struct *);
  struct lockdep_map lockdep_map;
} ;
struct delayed_work {
  struct work_struct work;
  struct timer_list timer;
  int cpu;
} ;
struct __wait_queue_head {
  spinlock_t lock;
  struct list_head task_list;
} ;
typedef struct __wait_queue_head wait_queue_head_t;
struct completion {
  unsigned int done;
  wait_queue_head_t wait;
} ;
struct pm_message {
  int event;
} ;
typedef struct pm_message pm_message_t;
struct dev_pm_ops {
  int (*prepare)(struct device *);
  void (*complete)(struct device *);
  int (*suspend)(struct device *);
  int (*resume)(struct device *);
  int (*freeze)(struct device *);
  int (*thaw)(struct device *);
  int (*poweroff)(struct device *);
  int (*restore)(struct device *);
  int (*suspend_late)(struct device *);
  int (*resume_early)(struct device *);
  int (*freeze_late)(struct device *);
  int (*thaw_early)(struct device *);
  int (*poweroff_late)(struct device *);
  int (*restore_early)(struct device *);
  int (*suspend_noirq)(struct device *);
  int (*resume_noirq)(struct device *);
  int (*freeze_noirq)(struct device *);
  int (*thaw_noirq)(struct device *);
  int (*poweroff_noirq)(struct device *);
  int (*restore_noirq)(struct device *);
  int (*runtime_suspend)(struct device *);
  int (*runtime_resume)(struct device *);
  int (*runtime_idle)(struct device *);
} ;
enum rpm_status {
  RPM_ACTIVE = 0,
  RPM_RESUMING = 1,
  RPM_SUSPENDED = 2,
  RPM_SUSPENDING = 3
} ;
enum rpm_request {
  RPM_REQ_NONE = 0,
  RPM_REQ_IDLE = 1,
  RPM_REQ_SUSPEND = 2,
  RPM_REQ_AUTOSUSPEND = 3,
  RPM_REQ_RESUME = 4
} ;
struct wakeup_source ;
struct pm_subsys_data {
  spinlock_t lock;
  unsigned int refcount;
} ;
struct dev_pm_qos_request {
} ;
struct pm_qos_constraints {
} ;
struct dev_pm_info {
  pm_message_t power_state;
  unsigned char can_wakeup : 1;
  unsigned char async_suspend : 1;
  bool is_prepared;
  bool is_suspended;
  bool ignore_children;
  bool early_init;
  spinlock_t lock;
  struct list_head entry;
  struct completion completion;
  struct wakeup_source *wakeup;
  bool wakeup_path;
  bool syscore;
  struct timer_list suspend_timer;
  unsigned long timer_expires;
  struct work_struct work;
  wait_queue_head_t wait_queue;
  atomic_t usage_count;
  atomic_t child_count;
  unsigned char disable_depth : 3;
  unsigned char idle_notification : 1;
  unsigned char request_pending : 1;
  unsigned char deferred_resume : 1;
  unsigned char run_wake : 1;
  unsigned char runtime_auto : 1;
  unsigned char no_callbacks : 1;
  unsigned char irq_safe : 1;
  unsigned char use_autosuspend : 1;
  unsigned char timer_autosuspends : 1;
  enum rpm_request request;
  enum rpm_status runtime_status;
  int runtime_error;
  int autosuspend_delay;
  unsigned long last_busy;
  unsigned long active_jiffies;
  unsigned long suspended_jiffies;
  unsigned long accounting_timestamp;
  struct dev_pm_qos_request *pq_req;
  struct pm_subsys_data *subsys_data;
  struct pm_qos_constraints *constraints;
} ;
struct dev_pm_domain {
  struct dev_pm_ops ops;
} ;
struct __anonstruct_nodemask_t_101 {
  unsigned long bits[16U];
} ;
typedef struct __anonstruct_nodemask_t_101 nodemask_t;
struct mutex {
  atomic_t count;
  spinlock_t wait_lock;
  struct list_head wait_list;
  struct task_struct *owner;
  const char *name;
  void *magic;
  struct lockdep_map dep_map;
} ;
struct mutex_waiter {
  struct list_head list;
  struct task_struct *task;
  void *magic;
} ;
struct __anonstruct_mm_context_t_102 {
  void *ldt;
  int size;
  unsigned short ia32_compat;
  struct mutex lock;
  void *vdso;
} ;
typedef struct __anonstruct_mm_context_t_102 mm_context_t;
struct vm_area_struct ;
struct rw_semaphore ;
struct rw_semaphore {
  long count;
  raw_spinlock_t wait_lock;
  struct list_head wait_list;
  struct lockdep_map dep_map;
} ;
struct notifier_block ;
struct notifier_block {
  int (*notifier_call)(struct notifier_block *, unsigned long, void *);
  struct notifier_block *next;
  int priority;
} ;
struct proc_dir_entry {
} ;
struct exception_table_entry {
  int insn;
  int fixup;
} ;
struct rb_node {
  unsigned long __rb_parent_color;
  struct rb_node *rb_right;
  struct rb_node *rb_left;
} ;
struct rb_root {
  struct rb_node *rb_node;
} ;
struct timerqueue_node {
  struct rb_node node;
  ktime_t expires;
} ;
struct timerqueue_head {
  struct rb_root head;
  struct timerqueue_node *next;
} ;
struct hrtimer_clock_base ;
struct hrtimer_cpu_base ;
enum hrtimer_restart {
  HRTIMER_NORESTART = 0,
  HRTIMER_RESTART = 1
} ;
struct hrtimer {
  struct timerqueue_node node;
  ktime_t _softexpires;
  enum hrtimer_restart (*function)(struct hrtimer *);
  struct hrtimer_clock_base *base;
  unsigned long state;
  int start_pid;
  void *start_site;
  char start_comm[16U];
} ;
struct hrtimer_clock_base {
  struct hrtimer_cpu_base *cpu_base;
  int index;
  clockid_t clockid;
  struct timerqueue_head active;
  ktime_t resolution;
  ktime_t (*get_time)();
  ktime_t softirq_time;
  ktime_t offset;
} ;
struct hrtimer_cpu_base {
  raw_spinlock_t lock;
  unsigned int active_bases;
  unsigned int clock_was_set;
  ktime_t expires_next;
  int hres_active;
  int hang_detected;
  unsigned long nr_events;
  unsigned long nr_retries;
  unsigned long nr_hangs;
  ktime_t max_hang_time;
  struct hrtimer_clock_base clock_base[3U];
} ;
struct kref {
  atomic_t refcount;
} ;
struct sock {
} ;
struct kobject ;
enum kobj_ns_type {
  KOBJ_NS_TYPE_NONE = 0,
  KOBJ_NS_TYPE_NET = 1,
  KOBJ_NS_TYPES = 2
} ;
struct kobj_ns_type_operations {
  enum kobj_ns_type type;
  void *(*grab_current_ns)();
  const void *(*netlink_ns)(struct sock *);
  const void *(*initial_ns)();
  void (*drop_ns)(void *);
} ;
struct attribute {
  const char *name;
  umode_t mode;
  bool ignore_lockdep;
  struct lock_class_key *key;
  struct lock_class_key skey;
} ;
struct attribute_group {
  const char *name;
  umode_t (*is_visible)(struct kobject *, struct attribute *, int);
  struct attribute **attrs;
} ;
struct bin_attribute {
  struct attribute attr;
  size_t size;
  void *private;
  ssize_t (*read)(struct file *, struct kobject *, struct bin_attribute *, char *, loff_t , size_t );
  ssize_t (*write)(struct file *, struct kobject *, struct bin_attribute *, char *, loff_t , size_t );
  int (*mmap)(struct file *, struct kobject *, struct bin_attribute *, struct vm_area_struct *);
} ;
struct sysfs_ops {
  ssize_t (*show)(struct kobject *, struct attribute *, char *);
  ssize_t (*store)(struct kobject *, struct attribute *, const char *, size_t );
  const void *(*namespace)(struct kobject *, const struct attribute *);
} ;
struct sysfs_dirent {
} ;
struct kset ;
struct kobj_type ;
struct kobject {
  const char *name;
  struct list_head entry;
  struct kobject *parent;
  struct kset *kset;
  struct kobj_type *ktype;
  struct sysfs_dirent *sd;
  struct kref kref;
  unsigned char state_initialized : 1;
  unsigned char state_in_sysfs : 1;
  unsigned char state_add_uevent_sent : 1;
  unsigned char state_remove_uevent_sent : 1;
  unsigned char uevent_suppress : 1;
} ;
struct kobj_type {
  void (*release)(struct kobject *);
  const struct sysfs_ops *sysfs_ops;
  struct attribute **default_attrs;
  const struct kobj_ns_type_operations *(*child_ns_type)(struct kobject *);
  const void *(*namespace)(struct kobject *);
} ;
struct kobj_uevent_env {
  char *envp[32U];
  int envp_idx;
  char buf[2048U];
  int buflen;
} ;
struct kset_uevent_ops {
  const int (*filter)(struct kset *, struct kobject *);
  const const char *(*name)(struct kset *, struct kobject *);
  const int (*uevent)(struct kset *, struct kobject *, struct kobj_uevent_env *);
} ;
struct kset {
  struct list_head list;
  spinlock_t list_lock;
  struct kobject kobj;
  const struct kset_uevent_ops *uevent_ops;
} ;
struct klist_node ;
struct klist_node {
  void *n_klist;
  struct list_head n_node;
  struct kref n_ref;
} ;
struct dma_map_ops {
} ;
struct dev_archdata {
  void *acpi_handle;
  struct dma_map_ops *dma_ops;
  void *iommu;
} ;
struct device_private {
} ;
struct device_driver ;
struct driver_private {
} ;
struct class ;
struct subsys_private {
} ;
struct bus_type ;
struct device_node {
} ;
struct iommu_ops {
} ;
struct iommu_group {
} ;
struct bus_attribute {
  struct attribute attr;
  ssize_t (*show)(struct bus_type *, char *);
  ssize_t (*store)(struct bus_type *, const char *, size_t );
} ;
struct device_attribute ;
struct driver_attribute ;
struct bus_type {
  const char *name;
  const char *dev_name;
  struct device *dev_root;
  struct bus_attribute *bus_attrs;
  struct device_attribute *dev_attrs;
  struct driver_attribute *drv_attrs;
  int (*match)(struct device *, struct device_driver *);
  int (*uevent)(struct device *, struct kobj_uevent_env *);
  int (*probe)(struct device *);
  int (*remove)(struct device *);
  void (*shutdown)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  const struct dev_pm_ops *pm;
  struct iommu_ops *iommu_ops;
  struct subsys_private *p;
} ;
struct device_type ;
struct device_driver {
  const char *name;
  struct bus_type *bus;
  struct module *owner;
  const char *mod_name;
  bool suppress_bind_attrs;
  const struct of_device_id *of_match_table;
  int (*probe)(struct device *);
  int (*remove)(struct device *);
  void (*shutdown)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  const struct attribute_group **groups;
  const struct dev_pm_ops *pm;
  struct driver_private *p;
} ;
struct driver_attribute {
  struct attribute attr;
  ssize_t (*show)(struct device_driver *, char *);
  ssize_t (*store)(struct device_driver *, const char *, size_t );
} ;
struct class_attribute ;
struct class {
  const char *name;
  struct module *owner;
  struct class_attribute *class_attrs;
  struct device_attribute *dev_attrs;
  struct bin_attribute *dev_bin_attrs;
  struct kobject *dev_kobj;
  int (*dev_uevent)(struct device *, struct kobj_uevent_env *);
  char *(*devnode)(struct device *, umode_t *);
  void (*class_release)(struct class *);
  void (*dev_release)(struct device *);
  int (*suspend)(struct device *, pm_message_t );
  int (*resume)(struct device *);
  const struct kobj_ns_type_operations *ns_type;
  const void *(*namespace)(struct device *);
  const struct dev_pm_ops *pm;
  struct subsys_private *p;
} ;
struct class_attribute {
  struct attribute attr;
  ssize_t (*show)(struct class *, struct class_attribute *, char *);
  ssize_t (*store)(struct class *, struct class_attribute *, const char *, size_t );
  const void *(*namespace)(struct class *, const struct class_attribute *);
} ;
struct device_type {
  const char *name;
  const struct attribute_group **groups;
  int (*uevent)(struct device *, struct kobj_uevent_env *);
  char *(*devnode)(struct device *, umode_t *);
  void (*release)(struct device *);
  const struct dev_pm_ops *pm;
} ;
struct device_attribute {
  struct attribute attr;
  ssize_t (*show)(struct device *, struct device_attribute *, char *);
  ssize_t (*store)(struct device *, struct device_attribute *, const char *, size_t );
} ;
struct device_dma_parameters {
  unsigned int max_segment_size;
  unsigned long segment_boundary_mask;
} ;
struct dma_coherent_mem {
} ;
struct device {
  struct device *parent;
  struct device_private *p;
  struct kobject kobj;
  const char *init_name;
  const struct device_type *type;
  struct mutex mutex;
  struct bus_type *bus;
  struct device_driver *driver;
  void *platform_data;
  struct dev_pm_info power;
  struct dev_pm_domain *pm_domain;
  int numa_node;
  u64 *dma_mask;
  u64 coherent_dma_mask;
  struct device_dma_parameters *dma_parms;
  struct list_head dma_pools;
  struct dma_coherent_mem *dma_mem;
  struct dev_archdata archdata;
  struct device_node *of_node;
  dev_t devt;
  u32 id;
  spinlock_t devres_lock;
  struct list_head devres_head;
  struct klist_node knode_class;
  struct class *class;
  const struct attribute_group **groups;
  void (*release)(struct device *);
  struct iommu_group *iommu_group;
} ;
struct wakeup_source {
  const char *name;
  struct list_head entry;
  spinlock_t lock;
  struct timer_list timer;
  unsigned long timer_expires;
  ktime_t total_time;
  ktime_t max_time;
  ktime_t last_time;
  ktime_t start_prevent_time;
  ktime_t prevent_sleep_time;
  unsigned long event_count;
  unsigned long active_count;
  unsigned long relax_count;
  unsigned long expire_count;
  unsigned long wakeup_count;
  bool active;
  bool autosleep_enabled;
} ;
struct hlist_bl_node ;
struct hlist_bl_head {
  struct hlist_bl_node *first;
} ;
struct hlist_bl_node {
  struct hlist_bl_node *next;
  struct hlist_bl_node **pprev;
} ;
struct nameidata {
} ;
struct path ;
struct vfsmount {
} ;
struct __anonstruct____missing_field_name_131 {
  u32 hash;
  u32 len;
} ;
union __anonunion____missing_field_name_130 {
  struct __anonstruct____missing_field_name_131 __annonCompField31;
  u64 hash_len;
} ;
struct qstr {
  union __anonunion____missing_field_name_130 __annonCompField32;
  const unsigned char *name;
} ;
struct inode ;
struct dentry_operations ;
struct super_block ;
union __anonunion_d_u_132 {
  struct list_head d_child;
  struct callback_head d_rcu;
} ;
struct dentry {
  unsigned int d_flags;
  seqcount_t d_seq;
  struct hlist_bl_node d_hash;
  struct dentry *d_parent;
  struct qstr d_name;
  struct inode *d_inode;
  unsigned char d_iname[32U];
  unsigned int d_count;
  spinlock_t d_lock;
  const struct dentry_operations *d_op;
  struct super_block *d_sb;
  unsigned long d_time;
  void *d_fsdata;
  struct list_head d_lru;
  union __anonunion_d_u_132 d_u;
  struct list_head d_subdirs;
  struct hlist_node d_alias;
} ;
struct dentry_operations {
  int (*d_revalidate)(struct dentry *, unsigned int);
  int (*d_hash)(const struct dentry *, const struct inode *, struct qstr *);
  int (*d_compare)(const struct dentry *, const struct inode *, const struct dentry *, const struct inode *, unsigned int, const char *, const struct qstr *);
  int (*d_delete)(const struct dentry *);
  void (*d_release)(struct dentry *);
  void (*d_prune)(struct dentry *);
  void (*d_iput)(struct dentry *, struct inode *);
  char *(*d_dname)(struct dentry *, char *, int);
  struct vfsmount *(*d_automount)(struct path *);
  int (*d_manage)(struct dentry *, bool );
} ;
struct path {
  struct vfsmount *mnt;
  struct dentry *dentry;
} ;
struct user_namespace {
} ;
typedef uid_t kuid_t;
typedef gid_t kgid_t;
struct kstat {
  u64 ino;
  dev_t dev;
  umode_t mode;
  unsigned int nlink;
  kuid_t uid;
  kgid_t gid;
  dev_t rdev;
  loff_t size;
  struct timespec atime;
  struct timespec mtime;
  struct timespec ctime;
  unsigned long blksize;
  unsigned long long blocks;
} ;
struct radix_tree_node {
} ;
struct radix_tree_root {
  unsigned int height;
  gfp_t gfp_mask;
  struct radix_tree_node *rnode;
} ;
enum pid_type {
  PIDTYPE_PID = 0,
  PIDTYPE_PGID = 1,
  PIDTYPE_SID = 2,
  PIDTYPE_MAX = 3
} ;
struct pid_namespace {
} ;
struct upid {
  int nr;
  struct pid_namespace *ns;
  struct hlist_node pid_chain;
} ;
struct pid {
  atomic_t count;
  unsigned int level;
  struct hlist_head tasks[3U];
  struct callback_head rcu;
  struct upid numbers[1U];
} ;
struct pid_link {
  struct hlist_node node;
  struct pid *pid;
} ;
struct kernel_cap_struct {
  __u32 cap[2U];
} ;
typedef struct kernel_cap_struct kernel_cap_t;
struct fiemap_extent {
  __u64 fe_logical;
  __u64 fe_physical;
  __u64 fe_length;
  __u64 fe_reserved64[2U];
  __u32 fe_flags;
  __u32 fe_reserved[3U];
} ;
struct shrink_control {
  gfp_t gfp_mask;
  unsigned long nr_to_scan;
} ;
struct shrinker {
  int (*shrink)(struct shrinker *, struct shrink_control *);
  int seeks;
  long batch;
  struct list_head list;
  atomic_long_t nr_in_batch;
} ;
enum migrate_mode {
  MIGRATE_ASYNC = 0,
  MIGRATE_SYNC_LIGHT = 1,
  MIGRATE_SYNC = 2
} ;
struct percpu_rw_semaphore {
  unsigned int *counters;
  bool locked;
  struct mutex mtx;
} ;
struct block_device ;
struct io_context {
} ;
struct export_operations {
} ;
struct iovec ;
struct kiocb ;
struct pipe_inode_info {
} ;
struct poll_table_struct {
} ;
struct kstatfs {
} ;
struct cred ;
struct swap_info_struct {
} ;
struct iattr {
  unsigned int ia_valid;
  umode_t ia_mode;
  kuid_t ia_uid;
  kgid_t ia_gid;
  loff_t ia_size;
  struct timespec ia_atime;
  struct timespec ia_mtime;
  struct timespec ia_ctime;
  struct file *ia_file;
} ;
struct percpu_counter {
  raw_spinlock_t lock;
  s64 count;
  struct list_head list;
  s32 *counters;
} ;
struct fs_disk_quota {
  __s8 d_version;
  __s8 d_flags;
  __u16 d_fieldmask;
  __u32 d_id;
  __u64 d_blk_hardlimit;
  __u64 d_blk_softlimit;
  __u64 d_ino_hardlimit;
  __u64 d_ino_softlimit;
  __u64 d_bcount;
  __u64 d_icount;
  __s32 d_itimer;
  __s32 d_btimer;
  __u16 d_iwarns;
  __u16 d_bwarns;
  __s32 d_padding2;
  __u64 d_rtb_hardlimit;
  __u64 d_rtb_softlimit;
  __u64 d_rtbcount;
  __s32 d_rtbtimer;
  __u16 d_rtbwarns;
  __s16 d_padding3;
  char d_padding4[8U];
} ;
struct fs_qfilestat {
  __u64 qfs_ino;
  __u64 qfs_nblks;
  __u32 qfs_nextents;
} ;
typedef struct fs_qfilestat fs_qfilestat_t;
struct fs_quota_stat {
  __s8 qs_version;
  __u16 qs_flags;
  __s8 qs_pad;
  fs_qfilestat_t qs_uquota;
  fs_qfilestat_t qs_gquota;
  __u32 qs_incoredqs;
  __s32 qs_btimelimit;
  __s32 qs_itimelimit;
  __s32 qs_rtbtimelimit;
  __u16 qs_bwarnlimit;
  __u16 qs_iwarnlimit;
} ;
struct dquot ;
typedef __kernel_uid32_t projid_t;
typedef projid_t kprojid_t;
struct if_dqinfo {
  __u64 dqi_bgrace;
  __u64 dqi_igrace;
  __u32 dqi_flags;
  __u32 dqi_valid;
} ;
enum quota_type {
  USRQUOTA = 0,
  GRPQUOTA = 1,
  PRJQUOTA = 2
} ;
typedef long long qsize_t;
union __anonunion____missing_field_name_134 {
  kuid_t uid;
  kgid_t gid;
  kprojid_t projid;
} ;
struct kqid {
  union __anonunion____missing_field_name_134 __annonCompField33;
  enum quota_type type;
} ;
struct mem_dqblk {
  qsize_t dqb_bhardlimit;
  qsize_t dqb_bsoftlimit;
  qsize_t dqb_curspace;
  qsize_t dqb_rsvspace;
  qsize_t dqb_ihardlimit;
  qsize_t dqb_isoftlimit;
  qsize_t dqb_curinodes;
  time_t dqb_btime;
  time_t dqb_itime;
} ;
struct quota_format_type ;
struct mem_dqinfo {
  struct quota_format_type *dqi_format;
  int dqi_fmt_id;
  struct list_head dqi_dirty_list;
  unsigned long dqi_flags;
  unsigned int dqi_bgrace;
  unsigned int dqi_igrace;
  qsize_t dqi_maxblimit;
  qsize_t dqi_maxilimit;
  void *dqi_priv;
} ;
struct dquot {
  struct hlist_node dq_hash;
  struct list_head dq_inuse;
  struct list_head dq_free;
  struct list_head dq_dirty;
  struct mutex dq_lock;
  atomic_t dq_count;
  wait_queue_head_t dq_wait_unused;
  struct super_block *dq_sb;
  struct kqid dq_id;
  loff_t dq_off;
  unsigned long dq_flags;
  struct mem_dqblk dq_dqb;
} ;
struct quota_format_ops {
  int (*check_quota_file)(struct super_block *, int);
  int (*read_file_info)(struct super_block *, int);
  int (*write_file_info)(struct super_block *, int);
  int (*free_file_info)(struct super_block *, int);
  int (*read_dqblk)(struct dquot *);
  int (*commit_dqblk)(struct dquot *);
  int (*release_dqblk)(struct dquot *);
} ;
struct dquot_operations {
  int (*write_dquot)(struct dquot *);
  struct dquot *(*alloc_dquot)(struct super_block *, int);
  void (*destroy_dquot)(struct dquot *);
  int (*acquire_dquot)(struct dquot *);
  int (*release_dquot)(struct dquot *);
  int (*mark_dirty)(struct dquot *);
  int (*write_info)(struct super_block *, int);
  qsize_t *(*get_reserved_space)(struct inode *);
} ;
struct quotactl_ops {
  int (*quota_on)(struct super_block *, int, int, struct path *);
  int (*quota_on_meta)(struct super_block *, int, int);
  int (*quota_off)(struct super_block *, int);
  int (*quota_sync)(struct super_block *, int);
  int (*get_info)(struct super_block *, int, struct if_dqinfo *);
  int (*set_info)(struct super_block *, int, struct if_dqinfo *);
  int (*get_dqblk)(struct super_block *, struct kqid , struct fs_disk_quota *);
  int (*set_dqblk)(struct super_block *, struct kqid , struct fs_disk_quota *);
  int (*get_xstate)(struct super_block *, struct fs_quota_stat *);
  int (*set_xstate)(struct super_block *, unsigned int, int);
} ;
struct quota_format_type {
  int qf_fmt_id;
  const struct quota_format_ops *qf_ops;
  struct module *qf_owner;
  struct quota_format_type *qf_next;
} ;
struct quota_info {
  unsigned int flags;
  struct mutex dqio_mutex;
  struct mutex dqonoff_mutex;
  struct rw_semaphore dqptr_sem;
  struct inode *files[2U];
  struct mem_dqinfo info[2U];
  const struct quota_format_ops *ops[2U];
} ;
struct address_space ;
struct writeback_control {
} ;
union __anonunion_arg_136 {
  char *buf;
  void *data;
} ;
struct __anonstruct_read_descriptor_t_135 {
  size_t written;
  size_t count;
  union __anonunion_arg_136 arg;
  int error;
} ;
typedef struct __anonstruct_read_descriptor_t_135 read_descriptor_t;
struct address_space_operations {
  int (*writepage)(struct page *, struct writeback_control *);
  int (*readpage)(struct file *, struct page *);
  int (*writepages)(struct address_space *, struct writeback_control *);
  int (*set_page_dirty)(struct page *);
  int (*readpages)(struct file *, struct address_space *, struct list_head *, unsigned int);
  int (*write_begin)(struct file *, struct address_space *, loff_t , unsigned int, unsigned int, struct page **, void **);
  int (*write_end)(struct file *, struct address_space *, loff_t , unsigned int, unsigned int, struct page *, void *);
  sector_t (*bmap)(struct address_space *, sector_t );
  void (*invalidatepage)(struct page *, unsigned long);
  int (*releasepage)(struct page *, gfp_t );
  void (*freepage)(struct page *);
  ssize_t (*direct_IO)(int, struct kiocb *, const struct iovec *, loff_t , unsigned long);
  int (*get_xip_mem)(struct address_space *, unsigned long, int, void **, unsigned long *);
  int (*migratepage)(struct address_space *, struct page *, struct page *, enum migrate_mode );
  int (*launder_page)(struct page *);
  int (*is_partially_uptodate)(struct page *, read_descriptor_t *, unsigned long);
  int (*error_remove_page)(struct address_space *, struct page *);
  int (*swap_activate)(struct swap_info_struct *, struct file *, sector_t *);
  void (*swap_deactivate)(struct file *);
} ;
struct backing_dev_info {
} ;
struct address_space {
  struct inode *host;
  struct radix_tree_root page_tree;
  spinlock_t tree_lock;
  unsigned int i_mmap_writable;
  struct rb_root i_mmap;
  struct list_head i_mmap_nonlinear;
  struct mutex i_mmap_mutex;
  unsigned long nrpages;
  unsigned long writeback_index;
  const struct address_space_operations *a_ops;
  unsigned long flags;
  struct backing_dev_info *backing_dev_info;
  spinlock_t private_lock;
  struct list_head private_list;
  struct address_space *assoc_mapping;
} ;
struct request_queue {
} ;
struct hd_struct {
} ;
struct gendisk {
} ;
struct block_device {
  dev_t bd_dev;
  int bd_openers;
  struct inode *bd_inode;
  struct super_block *bd_super;
  struct mutex bd_mutex;
  struct list_head bd_inodes;
  void *bd_claiming;
  void *bd_holder;
  int bd_holders;
  bool bd_write_holder;
  struct list_head bd_holder_disks;
  struct block_device *bd_contains;
  unsigned int bd_block_size;
  struct hd_struct *bd_part;
  unsigned int bd_part_count;
  int bd_invalidated;
  struct gendisk *bd_disk;
  struct request_queue *bd_queue;
  struct list_head bd_list;
  unsigned long bd_private;
  int bd_fsfreeze_count;
  struct mutex bd_fsfreeze_mutex;
  struct percpu_rw_semaphore bd_block_size_semaphore;
} ;
struct posix_acl {
} ;
struct inode_operations ;
union __anonunion____missing_field_name_137 {
  const unsigned int i_nlink;
  unsigned int __i_nlink;
} ;
union __anonunion____missing_field_name_138 {
  struct hlist_head i_dentry;
  struct callback_head i_rcu;
} ;
struct file_lock ;
struct cdev ;
union __anonunion____missing_field_name_139 {
  struct pipe_inode_info *i_pipe;
  struct block_device *i_bdev;
  struct cdev *i_cdev;
} ;
struct inode {
  umode_t i_mode;
  unsigned short i_opflags;
  kuid_t i_uid;
  kgid_t i_gid;
  unsigned int i_flags;
  struct posix_acl *i_acl;
  struct posix_acl *i_default_acl;
  const struct inode_operations *i_op;
  struct super_block *i_sb;
  struct address_space *i_mapping;
  void *i_security;
  unsigned long i_ino;
  union __anonunion____missing_field_name_137 __annonCompField34;
  dev_t i_rdev;
  loff_t i_size;
  struct timespec i_atime;
  struct timespec i_mtime;
  struct timespec i_ctime;
  spinlock_t i_lock;
  unsigned short i_bytes;
  unsigned int i_blkbits;
  blkcnt_t i_blocks;
  unsigned long i_state;
  struct mutex i_mutex;
  unsigned long dirtied_when;
  struct hlist_node i_hash;
  struct list_head i_wb_list;
  struct list_head i_lru;
  struct list_head i_sb_list;
  union __anonunion____missing_field_name_138 __annonCompField35;
  u64 i_version;
  atomic_t i_count;
  atomic_t i_dio_count;
  atomic_t i_writecount;
  const struct file_operations *i_fop;
  struct file_lock *i_flock;
  struct address_space i_data;
  struct dquot *i_dquot[2U];
  struct list_head i_devices;
  union __anonunion____missing_field_name_139 __annonCompField36;
  __u32 i_generation;
  __u32 i_fsnotify_mask;
  struct hlist_head i_fsnotify_marks;
  atomic_t i_readcount;
  void *i_private;
} ;
struct fown_struct {
  rwlock_t lock;
  struct pid *pid;
  enum pid_type pid_type;
  kuid_t uid;
  kuid_t euid;
  int signum;
} ;
struct file_ra_state {
  unsigned long start;
  unsigned int size;
  unsigned int async_size;
  unsigned int ra_pages;
  unsigned int mmap_miss;
  loff_t prev_pos;
} ;
union __anonunion_f_u_140 {
  struct list_head fu_list;
  struct callback_head fu_rcuhead;
} ;
struct file {
  union __anonunion_f_u_140 f_u;
  struct path f_path;
  const struct file_operations *f_op;
  spinlock_t f_lock;
  int f_sb_list_cpu;
  atomic_long_t f_count;
  unsigned int f_flags;
  fmode_t f_mode;
  loff_t f_pos;
  struct fown_struct f_owner;
  const struct cred *f_cred;
  struct file_ra_state f_ra;
  u64 f_version;
  void *f_security;
  void *private_data;
  struct list_head f_ep_links;
  struct list_head f_tfile_llink;
  struct address_space *f_mapping;
  unsigned long f_mnt_write_state;
} ;
struct files_struct {
} ;
typedef struct files_struct *fl_owner_t;
struct file_lock_operations {
  void (*fl_copy_lock)(struct file_lock *, struct file_lock *);
  void (*fl_release_private)(struct file_lock *);
} ;
struct lock_manager_operations {
  int (*lm_compare_owner)(struct file_lock *, struct file_lock *);
  void (*lm_notify)(struct file_lock *);
  int (*lm_grant)(struct file_lock *, struct file_lock *, int);
  void (*lm_break)(struct file_lock *);
  int (*lm_change)(struct file_lock **, int);
} ;
struct nlm_lockowner {
} ;
struct nfs_lock_info {
  u32 state;
  struct nlm_lockowner *owner;
  struct list_head list;
} ;
struct nfs4_lock_state {
} ;
struct nfs4_lock_info {
  struct nfs4_lock_state *owner;
} ;
struct fasync_struct ;
struct __anonstruct_afs_142 {
  struct list_head link;
  int state;
} ;
union __anonunion_fl_u_141 {
  struct nfs_lock_info nfs_fl;
  struct nfs4_lock_info nfs4_fl;
  struct __anonstruct_afs_142 afs;
} ;
struct file_lock {
  struct file_lock *fl_next;
  struct list_head fl_link;
  struct list_head fl_block;
  fl_owner_t fl_owner;
  unsigned int fl_flags;
  unsigned char fl_type;
  unsigned int fl_pid;
  struct pid *fl_nspid;
  wait_queue_head_t fl_wait;
  struct file *fl_file;
  loff_t fl_start;
  loff_t fl_end;
  struct fasync_struct *fl_fasync;
  unsigned long fl_break_time;
  unsigned long fl_downgrade_time;
  const struct file_lock_operations *fl_ops;
  const struct lock_manager_operations *fl_lmops;
  union __anonunion_fl_u_141 fl_u;
} ;
struct fasync_struct {
  spinlock_t fa_lock;
  int magic;
  int fa_fd;
  struct fasync_struct *fa_next;
  struct file *fa_file;
  struct callback_head fa_rcu;
} ;
struct sb_writers {
  struct percpu_counter counter[3U];
  wait_queue_head_t wait;
  int frozen;
  wait_queue_head_t wait_unfrozen;
  struct lockdep_map lock_map[3U];
} ;
struct file_system_type ;
struct super_operations ;
struct xattr_handler {
} ;
struct mtd_info {
} ;
struct super_block {
  struct list_head s_list;
  dev_t s_dev;
  unsigned char s_blocksize_bits;
  unsigned long s_blocksize;
  loff_t s_maxbytes;
  struct file_system_type *s_type;
  const struct super_operations *s_op;
  const struct dquot_operations *dq_op;
  const struct quotactl_ops *s_qcop;
  const struct export_operations *s_export_op;
  unsigned long s_flags;
  unsigned long s_magic;
  struct dentry *s_root;
  struct rw_semaphore s_umount;
  int s_count;
  atomic_t s_active;
  void *s_security;
  const struct xattr_handler **s_xattr;
  struct list_head s_inodes;
  struct hlist_bl_head s_anon;
  struct list_head *s_files;
  struct list_head s_mounts;
  struct list_head s_dentry_lru;
  int s_nr_dentry_unused;
  spinlock_t s_inode_lru_lock;
  struct list_head s_inode_lru;
  int s_nr_inodes_unused;
  struct block_device *s_bdev;
  struct backing_dev_info *s_bdi;
  struct mtd_info *s_mtd;
  struct hlist_node s_instances;
  struct quota_info s_dquot;
  struct sb_writers s_writers;
  char s_id[32U];
  u8 s_uuid[16U];
  void *s_fs_info;
  unsigned int s_max_links;
  fmode_t s_mode;
  u32 s_time_gran;
  struct mutex s_vfs_rename_mutex;
  char *s_subtype;
  char *s_options;
  const struct dentry_operations *s_d_op;
  int cleancache_poolid;
  struct shrinker s_shrink;
  atomic_long_t s_remove_count;
  int s_readonly_remount;
} ;
struct fiemap_extent_info {
  unsigned int fi_flags;
  unsigned int fi_extents_mapped;
  unsigned int fi_extents_max;
  struct fiemap_extent *fi_extents_start;
} ;
struct file_operations {
  struct module *owner;
  loff_t (*llseek)(struct file *, loff_t , int);
  ssize_t (*read)(struct file *, char *, size_t , loff_t *);
  ssize_t (*write)(struct file *, const char *, size_t , loff_t *);
  ssize_t (*aio_read)(struct kiocb *, const struct iovec *, unsigned long, loff_t );
  ssize_t (*aio_write)(struct kiocb *, const struct iovec *, unsigned long, loff_t );
  int (*readdir)(struct file *, void *, int (*)(void *, const char *, int, loff_t , u64 , unsigned int));
  unsigned int (*poll)(struct file *, struct poll_table_struct *);
  long int (*unlocked_ioctl)(struct file *, unsigned int, unsigned long);
  long int (*compat_ioctl)(struct file *, unsigned int, unsigned long);
  int (*mmap)(struct file *, struct vm_area_struct *);
  int (*open)(struct inode *, struct file *);
  int (*flush)(struct file *, fl_owner_t );
  int (*release)(struct inode *, struct file *);
  int (*fsync)(struct file *, loff_t , loff_t , int);
  int (*aio_fsync)(struct kiocb *, int);
  int (*fasync)(int, struct file *, int);
  int (*lock)(struct file *, int, struct file_lock *);
  ssize_t (*sendpage)(struct file *, struct page *, int, size_t , loff_t *, int);
  unsigned long int (*get_unmapped_area)(struct file *, unsigned long, unsigned long, unsigned long, unsigned long);
  int (*check_flags)(int);
  int (*flock)(struct file *, int, struct file_lock *);
  ssize_t (*splice_write)(struct pipe_inode_info *, struct file *, loff_t *, size_t , unsigned int);
  ssize_t (*splice_read)(struct file *, loff_t *, struct pipe_inode_info *, size_t , unsigned int);
  int (*setlease)(struct file *, long, struct file_lock **);
  long int (*fallocate)(struct file *, int, loff_t , loff_t );
} ;
struct inode_operations {
  struct dentry *(*lookup)(struct inode *, struct dentry *, unsigned int);
  void *(*follow_link)(struct dentry *, struct nameidata *);
  int (*permission)(struct inode *, int);
  struct posix_acl *(*get_acl)(struct inode *, int);
  int (*readlink)(struct dentry *, char *, int);
  void (*put_link)(struct dentry *, struct nameidata *, void *);
  int (*create)(struct inode *, struct dentry *, umode_t , bool );
  int (*link)(struct dentry *, struct inode *, struct dentry *);
  int (*unlink)(struct inode *, struct dentry *);
  int (*symlink)(struct inode *, struct dentry *, const char *);
  int (*mkdir)(struct inode *, struct dentry *, umode_t );
  int (*rmdir)(struct inode *, struct dentry *);
  int (*mknod)(struct inode *, struct dentry *, umode_t , dev_t );
  int (*rename)(struct inode *, struct dentry *, struct inode *, struct dentry *);
  void (*truncate)(struct inode *);
  int (*setattr)(struct dentry *, struct iattr *);
  int (*getattr)(struct vfsmount *, struct dentry *, struct kstat *);
  int (*setxattr)(struct dentry *, const char *, const void *, size_t , int);
  ssize_t (*getxattr)(struct dentry *, const char *, void *, size_t );
  ssize_t (*listxattr)(struct dentry *, char *, size_t );
  int (*removexattr)(struct dentry *, const char *);
  int (*fiemap)(struct inode *, struct fiemap_extent_info *, u64 , u64 );
  int (*update_time)(struct inode *, struct timespec *, int);
  int (*atomic_open)(struct inode *, struct dentry *, struct file *, unsigned int, umode_t , int *);
} ;
struct super_operations {
  struct inode *(*alloc_inode)(struct super_block *);
  void (*destroy_inode)(struct inode *);
  void (*dirty_inode)(struct inode *, int);
  int (*write_inode)(struct inode *, struct writeback_control *);
  int (*drop_inode)(struct inode *);
  void (*evict_inode)(struct inode *);
  void (*put_super)(struct super_block *);
  int (*sync_fs)(struct super_block *, int);
  int (*freeze_fs)(struct super_block *);
  int (*unfreeze_fs)(struct super_block *);
  int (*statfs)(struct dentry *, struct kstatfs *);
  int (*remount_fs)(struct super_block *, int *, char *);
  void (*umount_begin)(struct super_block *);
  int (*show_options)(struct seq_file *, struct dentry *);
  int (*show_devname)(struct seq_file *, struct dentry *);
  int (*show_path)(struct seq_file *, struct dentry *);
  int (*show_stats)(struct seq_file *, struct dentry *);
  ssize_t (*quota_read)(struct super_block *, int, char *, size_t , loff_t );
  ssize_t (*quota_write)(struct super_block *, int, const char *, size_t , loff_t );
  int (*bdev_try_to_free_page)(struct super_block *, struct page *, gfp_t );
  int (*nr_cached_objects)(struct super_block *);
  void (*free_cached_objects)(struct super_block *, int);
} ;
struct file_system_type {
  const char *name;
  int fs_flags;
  struct dentry *(*mount)(struct file_system_type *, int, const char *, void *);
  void (*kill_sb)(struct super_block *);
  struct module *owner;
  struct file_system_type *next;
  struct hlist_head fs_supers;
  struct lock_class_key s_lock_key;
  struct lock_class_key s_umount_key;
  struct lock_class_key s_vfs_rename_key;
  struct lock_class_key s_writers_key[3U];
  struct lock_class_key i_lock_key;
  struct lock_class_key i_mutex_key;
  struct lock_class_key i_mutex_dir_key;
} ;
struct arch_uprobe_task {
  unsigned long saved_scratch_register;
  unsigned int saved_trap_nr;
  unsigned int saved_tf;
} ;
enum uprobe_task_state {
  UTASK_RUNNING = 0,
  UTASK_BP_HIT = 1,
  UTASK_SSTEP = 2,
  UTASK_SSTEP_ACK = 3,
  UTASK_SSTEP_TRAPPED = 4
} ;
struct uprobe {
} ;
struct uprobe_task {
  enum uprobe_task_state state;
  struct arch_uprobe_task autask;
  struct uprobe *active_uprobe;
  unsigned long xol_vaddr;
  unsigned long vaddr;
} ;
struct xol_area {
  wait_queue_head_t wq;
  atomic_t slot_count;
  unsigned long *bitmap;
  struct page *page;
  unsigned long vaddr;
} ;
struct uprobes_state {
  struct xol_area *xol_area;
} ;
union __anonunion____missing_field_name_144 {
  unsigned long index;
  void *freelist;
  bool pfmemalloc;
} ;
struct __anonstruct____missing_field_name_148 {
  unsigned short inuse;
  unsigned short objects : 15;
  unsigned char frozen : 1;
} ;
union __anonunion____missing_field_name_147 {
  atomic_t _mapcount;
  struct __anonstruct____missing_field_name_148 __annonCompField38;
  int units;
} ;
struct __anonstruct____missing_field_name_146 {
  union __anonunion____missing_field_name_147 __annonCompField39;
  atomic_t _count;
} ;
union __anonunion____missing_field_name_145 {
  unsigned long counters;
  struct __anonstruct____missing_field_name_146 __annonCompField40;
} ;
struct __anonstruct____missing_field_name_143 {
  union __anonunion____missing_field_name_144 __annonCompField37;
  union __anonunion____missing_field_name_145 __annonCompField41;
} ;
struct __anonstruct____missing_field_name_150 {
  struct page *next;
  int pages;
  int pobjects;
} ;
struct slab {
} ;
struct __anonstruct____missing_field_name_151 {
  struct kmem_cache *slab_cache;
  struct slab *slab_page;
} ;
union __anonunion____missing_field_name_149 {
  struct list_head lru;
  struct __anonstruct____missing_field_name_150 __annonCompField43;
  struct list_head list;
  struct __anonstruct____missing_field_name_151 __annonCompField44;
} ;
union __anonunion____missing_field_name_152 {
  unsigned long private;
  struct kmem_cache *slab;
  struct page *first_page;
} ;
struct page {
  unsigned long flags;
  struct address_space *mapping;
  struct __anonstruct____missing_field_name_143 __annonCompField42;
  union __anonunion____missing_field_name_149 __annonCompField45;
  union __anonunion____missing_field_name_152 __annonCompField46;
  unsigned long debug_flags;
} ;
struct page_frag {
  struct page *page;
  __u32 offset;
  __u32 size;
} ;
struct __anonstruct_linear_154 {
  struct rb_node rb;
  unsigned long rb_subtree_last;
} ;
union __anonunion_shared_153 {
  struct __anonstruct_linear_154 linear;
  struct list_head nonlinear;
} ;
struct anon_vma {
} ;
struct vm_operations_struct ;
struct mempolicy {
} ;
struct vm_area_struct {
  struct mm_struct *vm_mm;
  unsigned long vm_start;
  unsigned long vm_end;
  struct vm_area_struct *vm_next;
  struct vm_area_struct *vm_prev;
  pgprot_t vm_page_prot;
  unsigned long vm_flags;
  struct rb_node vm_rb;
  union __anonunion_shared_153 shared;
  struct list_head anon_vma_chain;
  struct anon_vma *anon_vma;
  const struct vm_operations_struct *vm_ops;
  unsigned long vm_pgoff;
  struct file *vm_file;
  void *vm_private_data;
  struct mempolicy *vm_policy;
} ;
struct core_thread {
  struct task_struct *task;
  struct core_thread *next;
} ;
struct core_state {
  atomic_t nr_threads;
  struct core_thread dumper;
  struct completion startup;
} ;
struct mm_rss_stat {
  atomic_long_t count[3U];
} ;
struct linux_binfmt {
} ;
struct mmu_notifier_mm {
} ;
struct mm_struct {
  struct vm_area_struct *mmap;
  struct rb_root mm_rb;
  struct vm_area_struct *mmap_cache;
  unsigned long int (*get_unmapped_area)(struct file *, unsigned long, unsigned long, unsigned long, unsigned long);
  void (*unmap_area)(struct mm_struct *, unsigned long);
  unsigned long mmap_base;
  unsigned long task_size;
  unsigned long cached_hole_size;
  unsigned long free_area_cache;
  pgd_t *pgd;
  atomic_t mm_users;
  atomic_t mm_count;
  int map_count;
  spinlock_t page_table_lock;
  struct rw_semaphore mmap_sem;
  struct list_head mmlist;
  unsigned long hiwater_rss;
  unsigned long hiwater_vm;
  unsigned long total_vm;
  unsigned long locked_vm;
  unsigned long pinned_vm;
  unsigned long shared_vm;
  unsigned long exec_vm;
  unsigned long stack_vm;
  unsigned long def_flags;
  unsigned long nr_ptes;
  unsigned long start_code;
  unsigned long end_code;
  unsigned long start_data;
  unsigned long end_data;
  unsigned long start_brk;
  unsigned long brk;
  unsigned long start_stack;
  unsigned long arg_start;
  unsigned long arg_end;
  unsigned long env_start;
  unsigned long env_end;
  unsigned long saved_auxv[44U];
  struct mm_rss_stat rss_stat;
  struct linux_binfmt *binfmt;
  cpumask_var_t cpu_vm_mask_var;
  mm_context_t context;
  unsigned long flags;
  struct core_state *core_state;
  spinlock_t ioctx_lock;
  struct hlist_head ioctx_list;
  struct task_struct *owner;
  struct file *exe_file;
  struct mmu_notifier_mm *mmu_notifier_mm;
  pgtable_t pmd_huge_pte;
  struct cpumask cpumask_allocation;
  struct uprobes_state uprobes_state;
} ;
typedef unsigned long cputime_t;
struct sem_undo_list {
} ;
struct sysv_sem {
  struct sem_undo_list *undo_list;
} ;
struct siginfo ;
struct __anonstruct_sigset_t_155 {
  unsigned long sig[1U];
} ;
typedef struct __anonstruct_sigset_t_155 sigset_t;
typedef void __signalfn_t(int);
typedef __signalfn_t *__sighandler_t;
typedef void __restorefn_t();
typedef __restorefn_t *__sigrestore_t;
struct sigaction {
  __sighandler_t sa_handler;
  unsigned long sa_flags;
  __sigrestore_t sa_restorer;
  sigset_t sa_mask;
} ;
struct k_sigaction {
  struct sigaction sa;
} ;
union sigval {
  int sival_int;
  void *sival_ptr;
} ;
typedef union sigval sigval_t;
struct __anonstruct__kill_157 {
  __kernel_pid_t _pid;
  __kernel_uid32_t _uid;
} ;
struct __anonstruct__timer_158 {
  __kernel_timer_t _tid;
  int _overrun;
  char _pad[0U];
  sigval_t _sigval;
  int _sys_private;
} ;
struct __anonstruct__rt_159 {
  __kernel_pid_t _pid;
  __kernel_uid32_t _uid;
  sigval_t _sigval;
} ;
struct __anonstruct__sigchld_160 {
  __kernel_pid_t _pid;
  __kernel_uid32_t _uid;
  int _status;
  __kernel_clock_t _utime;
  __kernel_clock_t _stime;
} ;
struct __anonstruct__sigfault_161 {
  void *_addr;
  short _addr_lsb;
} ;
struct __anonstruct__sigpoll_162 {
  long _band;
  int _fd;
} ;
struct __anonstruct__sigsys_163 {
  void *_call_addr;
  int _syscall;
  unsigned int _arch;
} ;
union __anonunion__sifields_156 {
  int _pad[28U];
  struct __anonstruct__kill_157 _kill;
  struct __anonstruct__timer_158 _timer;
  struct __anonstruct__rt_159 _rt;
  struct __anonstruct__sigchld_160 _sigchld;
  struct __anonstruct__sigfault_161 _sigfault;
  struct __anonstruct__sigpoll_162 _sigpoll;
  struct __anonstruct__sigsys_163 _sigsys;
} ;
struct siginfo {
  int si_signo;
  int si_errno;
  int si_code;
  union __anonunion__sifields_156 _sifields;
} ;
typedef struct siginfo siginfo_t;
struct user_struct ;
struct sigpending {
  struct list_head list;
  sigset_t signal;
} ;
struct seccomp_filter {
} ;
struct seccomp {
  int mode;
  struct seccomp_filter *filter;
} ;
struct plist_head {
  struct list_head node_list;
} ;
struct plist_node {
  int prio;
  struct list_head prio_list;
  struct list_head node_list;
} ;
struct rt_mutex_waiter {
} ;
struct rlimit {
  unsigned long rlim_cur;
  unsigned long rlim_max;
} ;
struct task_io_accounting {
  u64 rchar;
  u64 wchar;
  u64 syscr;
  u64 syscw;
  u64 read_bytes;
  u64 write_bytes;
  u64 cancelled_write_bytes;
} ;
struct latency_record {
  unsigned long backtrace[12U];
  unsigned int count;
  unsigned long time;
  unsigned long max;
} ;
struct nsproxy {
} ;
typedef int32_t key_serial_t;
typedef uint32_t key_perm_t;
struct key ;
struct signal_struct ;
struct key_type {
} ;
struct keyring_list {
} ;
union __anonunion____missing_field_name_168 {
  struct list_head graveyard_link;
  struct rb_node serial_node;
} ;
struct key_user {
} ;
union __anonunion____missing_field_name_169 {
  time_t expiry;
  time_t revoked_at;
} ;
union __anonunion_type_data_170 {
  struct list_head link;
  unsigned long x[2U];
  void *p[2U];
  int reject_error;
} ;
union __anonunion_payload_171 {
  unsigned long value;
  void *rcudata;
  void *data;
  struct keyring_list *subscriptions;
} ;
struct key {
  atomic_t usage;
  key_serial_t serial;
  union __anonunion____missing_field_name_168 __annonCompField49;
  struct key_type *type;
  struct rw_semaphore sem;
  struct key_user *user;
  void *security;
  union __anonunion____missing_field_name_169 __annonCompField50;
  time_t last_used_at;
  kuid_t uid;
  kgid_t gid;
  key_perm_t perm;
  unsigned short quotalen;
  unsigned short datalen;
  unsigned long flags;
  char *description;
  union __anonunion_type_data_170 type_data;
  union __anonunion_payload_171 payload;
} ;
struct audit_context {
} ;
struct group_info {
  atomic_t usage;
  int ngroups;
  int nblocks;
  kgid_t small_block[32U];
  kgid_t *blocks[0U];
} ;
struct thread_group_cred {
  atomic_t usage;
  pid_t tgid;
  spinlock_t lock;
  struct key *session_keyring;
  struct key *process_keyring;
  struct callback_head rcu;
} ;
struct cred {
  atomic_t usage;
  atomic_t subscribers;
  void *put_addr;
  unsigned int magic;
  kuid_t uid;
  kgid_t gid;
  kuid_t suid;
  kgid_t sgid;
  kuid_t euid;
  kgid_t egid;
  kuid_t fsuid;
  kgid_t fsgid;
  unsigned int securebits;
  kernel_cap_t cap_inheritable;
  kernel_cap_t cap_permitted;
  kernel_cap_t cap_effective;
  kernel_cap_t cap_bset;
  unsigned char jit_keyring;
  struct key *thread_keyring;
  struct key *request_key_auth;
  struct thread_group_cred *tgcred;
  void *security;
  struct user_struct *user;
  struct user_namespace *user_ns;
  struct group_info *group_info;
  struct callback_head rcu;
} ;
struct llist_node ;
struct llist_node {
  struct llist_node *next;
} ;
struct futex_pi_state {
} ;
struct robust_list_head {
} ;
struct bio_list {
} ;
struct fs_struct {
} ;
struct perf_event_context {
} ;
struct blk_plug {
} ;
struct cfs_rq {
} ;
struct task_group {
} ;
struct io_event {
  __u64 data;
  __u64 obj;
  __s64 res;
  __s64 res2;
} ;
struct iovec {
  void *iov_base;
  __kernel_size_t iov_len;
} ;
struct kioctx ;
union __anonunion_ki_obj_172 {
  void *user;
  struct task_struct *tsk;
} ;
struct eventfd_ctx {
} ;
struct kiocb {
  struct list_head ki_run_list;
  unsigned long ki_flags;
  int ki_users;
  unsigned int ki_key;
  struct file *ki_filp;
  struct kioctx *ki_ctx;
  int (*ki_cancel)(struct kiocb *, struct io_event *);
  ssize_t (*ki_retry)(struct kiocb *);
  void (*ki_dtor)(struct kiocb *);
  union __anonunion_ki_obj_172 ki_obj;
  __u64 ki_user_data;
  loff_t ki_pos;
  void *private;
  unsigned short ki_opcode;
  size_t ki_nbytes;
  char *ki_buf;
  size_t ki_left;
  struct iovec ki_inline_vec;
  struct iovec *ki_iovec;
  unsigned long ki_nr_segs;
  unsigned long ki_cur_seg;
  struct list_head ki_list;
  struct list_head ki_batch;
  struct eventfd_ctx *ki_eventfd;
} ;
struct aio_ring_info {
  unsigned long mmap_base;
  unsigned long mmap_size;
  struct page **ring_pages;
  spinlock_t ring_lock;
  long nr_pages;
  unsigned int nr;
  unsigned int tail;
  struct page *internal_pages[8U];
} ;
struct kioctx {
  atomic_t users;
  int dead;
  struct mm_struct *mm;
  unsigned long user_id;
  struct hlist_node list;
  wait_queue_head_t wait;
  spinlock_t ctx_lock;
  int reqs_active;
  struct list_head active_reqs;
  struct list_head run_list;
  unsigned int max_reqs;
  struct aio_ring_info ring_info;
  struct delayed_work wq;
  struct callback_head callback_head;
} ;
struct sighand_struct {
  atomic_t count;
  struct k_sigaction action[64U];
  spinlock_t siglock;
  wait_queue_head_t signalfd_wqh;
} ;
struct pacct_struct {
  int ac_flag;
  long ac_exitcode;
  unsigned long ac_mem;
  cputime_t ac_utime;
  cputime_t ac_stime;
  unsigned long ac_minflt;
  unsigned long ac_majflt;
} ;
struct cpu_itimer {
  cputime_t expires;
  cputime_t incr;
  u32 error;
  u32 incr_error;
} ;
struct task_cputime {
  cputime_t utime;
  cputime_t stime;
  unsigned long long sum_exec_runtime;
} ;
struct thread_group_cputimer {
  struct task_cputime cputime;
  int running;
  raw_spinlock_t lock;
} ;
struct autogroup {
} ;
struct tty_struct ;
struct taskstats {
} ;
struct tty_audit_buf {
} ;
struct signal_struct {
  atomic_t sigcnt;
  atomic_t live;
  int nr_threads;
  wait_queue_head_t wait_chldexit;
  struct task_struct *curr_target;
  struct sigpending shared_pending;
  int group_exit_code;
  int notify_count;
  struct task_struct *group_exit_task;
  int group_stop_count;
  unsigned int flags;
  unsigned char is_child_subreaper : 1;
  unsigned char has_child_subreaper : 1;
  struct list_head posix_timers;
  struct hrtimer real_timer;
  struct pid *leader_pid;
  ktime_t it_real_incr;
  struct cpu_itimer it[2U];
  struct thread_group_cputimer cputimer;
  struct task_cputime cputime_expires;
  struct list_head cpu_timers[3U];
  struct pid *tty_old_pgrp;
  int leader;
  struct tty_struct *tty;
  struct autogroup *autogroup;
  cputime_t utime;
  cputime_t stime;
  cputime_t cutime;
  cputime_t cstime;
  cputime_t gtime;
  cputime_t cgtime;
  cputime_t prev_utime;
  cputime_t prev_stime;
  unsigned long nvcsw;
  unsigned long nivcsw;
  unsigned long cnvcsw;
  unsigned long cnivcsw;
  unsigned long min_flt;
  unsigned long maj_flt;
  unsigned long cmin_flt;
  unsigned long cmaj_flt;
  unsigned long inblock;
  unsigned long oublock;
  unsigned long cinblock;
  unsigned long coublock;
  unsigned long maxrss;
  unsigned long cmaxrss;
  struct task_io_accounting ioac;
  unsigned long long sum_sched_runtime;
  struct rlimit rlim[16U];
  struct pacct_struct pacct;
  struct taskstats *stats;
  unsigned int audit_tty;
  struct tty_audit_buf *tty_audit_buf;
  struct rw_semaphore group_rwsem;
  int oom_score_adj;
  int oom_score_adj_min;
  struct mutex cred_guard_mutex;
} ;
struct user_struct {
  atomic_t __count;
  atomic_t processes;
  atomic_t files;
  atomic_t sigpending;
  atomic_t inotify_watches;
  atomic_t inotify_devs;
  atomic_t fanotify_listeners;
  atomic_long_t epoll_watches;
  unsigned long mq_bytes;
  unsigned long locked_shm;
  struct key *uid_keyring;
  struct key *session_keyring;
  struct hlist_node uidhash_node;
  kuid_t uid;
  atomic_long_t locked_vm;
} ;
struct reclaim_state {
} ;
struct sched_info {
  unsigned long pcount;
  unsigned long long run_delay;
  unsigned long long last_arrival;
  unsigned long long last_queued;
} ;
struct task_delay_info {
  spinlock_t lock;
  unsigned int flags;
  struct timespec blkio_start;
  struct timespec blkio_end;
  u64 blkio_delay;
  u64 swapin_delay;
  u32 blkio_count;
  u32 swapin_count;
  struct timespec freepages_start;
  struct timespec freepages_end;
  u64 freepages_delay;
  u32 freepages_count;
} ;
struct rq {
} ;
struct sched_class {
  const struct sched_class *next;
  void (*enqueue_task)(struct rq *, struct task_struct *, int);
  void (*dequeue_task)(struct rq *, struct task_struct *, int);
  void (*yield_task)(struct rq *);
  bool (*yield_to_task)(struct rq *, struct task_struct *, bool );
  void (*check_preempt_curr)(struct rq *, struct task_struct *, int);
  struct task_struct *(*pick_next_task)(struct rq *);
  void (*put_prev_task)(struct rq *, struct task_struct *);
  int (*select_task_rq)(struct task_struct *, int, int);
  void (*pre_schedule)(struct rq *, struct task_struct *);
  void (*post_schedule)(struct rq *);
  void (*task_waking)(struct task_struct *);
  void (*task_woken)(struct rq *, struct task_struct *);
  void (*set_cpus_allowed)(struct task_struct *, const struct cpumask *);
  void (*rq_online)(struct rq *);
  void (*rq_offline)(struct rq *);
  void (*set_curr_task)(struct rq *);
  void (*task_tick)(struct rq *, struct task_struct *, int);
  void (*task_fork)(struct task_struct *);
  void (*switched_from)(struct rq *, struct task_struct *);
  void (*switched_to)(struct rq *, struct task_struct *);
  void (*prio_changed)(struct rq *, struct task_struct *, int);
  unsigned int (*get_rr_interval)(struct rq *, struct task_struct *);
  void (*task_move_group)(struct task_struct *, int);
} ;
struct load_weight {
  unsigned long weight;
  unsigned long inv_weight;
} ;
struct sched_statistics {
  u64 wait_start;
  u64 wait_max;
  u64 wait_count;
  u64 wait_sum;
  u64 iowait_count;
  u64 iowait_sum;
  u64 sleep_start;
  u64 sleep_max;
  s64 sum_sleep_runtime;
  u64 block_start;
  u64 block_max;
  u64 exec_max;
  u64 slice_max;
  u64 nr_migrations_cold;
  u64 nr_failed_migrations_affine;
  u64 nr_failed_migrations_running;
  u64 nr_failed_migrations_hot;
  u64 nr_forced_migrations;
  u64 nr_wakeups;
  u64 nr_wakeups_sync;
  u64 nr_wakeups_migrate;
  u64 nr_wakeups_local;
  u64 nr_wakeups_remote;
  u64 nr_wakeups_affine;
  u64 nr_wakeups_affine_attempts;
  u64 nr_wakeups_passive;
  u64 nr_wakeups_idle;
} ;
struct sched_entity {
  struct load_weight load;
  struct rb_node run_node;
  struct list_head group_node;
  unsigned int on_rq;
  u64 exec_start;
  u64 sum_exec_runtime;
  u64 vruntime;
  u64 prev_sum_exec_runtime;
  u64 nr_migrations;
  struct sched_statistics statistics;
  struct sched_entity *parent;
  struct cfs_rq *cfs_rq;
  struct cfs_rq *my_q;
} ;
struct rt_rq {
} ;
struct sched_rt_entity {
  struct list_head run_list;
  unsigned long timeout;
  unsigned int time_slice;
  struct sched_rt_entity *back;
  struct sched_rt_entity *parent;
  struct rt_rq *rt_rq;
  struct rt_rq *my_q;
} ;
struct mem_cgroup {
} ;
struct memcg_batch_info {
  int do_batch;
  struct mem_cgroup *memcg;
  unsigned long nr_pages;
  unsigned long memsw_nr_pages;
} ;
struct css_set {
} ;
struct compat_robust_list_head {
} ;
struct task_struct {
  volatile long state;
  void *stack;
  atomic_t usage;
  unsigned int flags;
  unsigned int ptrace;
  struct llist_node wake_entry;
  int on_cpu;
  int on_rq;
  int prio;
  int static_prio;
  int normal_prio;
  unsigned int rt_priority;
  const struct sched_class *sched_class;
  struct sched_entity se;
  struct sched_rt_entity rt;
  struct task_group *sched_task_group;
  struct hlist_head preempt_notifiers;
  unsigned char fpu_counter;
  unsigned int policy;
  int nr_cpus_allowed;
  cpumask_t cpus_allowed;
  struct sched_info sched_info;
  struct list_head tasks;
  struct plist_node pushable_tasks;
  struct mm_struct *mm;
  struct mm_struct *active_mm;
  unsigned char brk_randomized : 1;
  int exit_state;
  int exit_code;
  int exit_signal;
  int pdeath_signal;
  unsigned int jobctl;
  unsigned int personality;
  unsigned char did_exec : 1;
  unsigned char in_execve : 1;
  unsigned char in_iowait : 1;
  unsigned char no_new_privs : 1;
  unsigned char sched_reset_on_fork : 1;
  unsigned char sched_contributes_to_load : 1;
  pid_t pid;
  pid_t tgid;
  unsigned long stack_canary;
  struct task_struct *real_parent;
  struct task_struct *parent;
  struct list_head children;
  struct list_head sibling;
  struct task_struct *group_leader;
  struct list_head ptraced;
  struct list_head ptrace_entry;
  struct pid_link pids[3U];
  struct list_head thread_group;
  struct completion *vfork_done;
  int *set_child_tid;
  int *clear_child_tid;
  cputime_t utime;
  cputime_t stime;
  cputime_t utimescaled;
  cputime_t stimescaled;
  cputime_t gtime;
  cputime_t prev_utime;
  cputime_t prev_stime;
  unsigned long nvcsw;
  unsigned long nivcsw;
  struct timespec start_time;
  struct timespec real_start_time;
  unsigned long min_flt;
  unsigned long maj_flt;
  struct task_cputime cputime_expires;
  struct list_head cpu_timers[3U];
  const struct cred *real_cred;
  const struct cred *cred;
  char comm[16U];
  int link_count;
  int total_link_count;
  struct sysv_sem sysvsem;
  unsigned long last_switch_count;
  struct thread_struct thread;
  struct fs_struct *fs;
  struct files_struct *files;
  struct nsproxy *nsproxy;
  struct signal_struct *signal;
  struct sighand_struct *sighand;
  sigset_t blocked;
  sigset_t real_blocked;
  sigset_t saved_sigmask;
  struct sigpending pending;
  unsigned long sas_ss_sp;
  size_t sas_ss_size;
  int (*notifier)(void *);
  void *notifier_data;
  sigset_t *notifier_mask;
  struct callback_head *task_works;
  struct audit_context *audit_context;
  kuid_t loginuid;
  unsigned int sessionid;
  struct seccomp seccomp;
  u32 parent_exec_id;
  u32 self_exec_id;
  spinlock_t alloc_lock;
  raw_spinlock_t pi_lock;
  struct plist_head pi_waiters;
  struct rt_mutex_waiter *pi_blocked_on;
  struct mutex_waiter *blocked_on;
  unsigned int irq_events;
  unsigned long hardirq_enable_ip;
  unsigned long hardirq_disable_ip;
  unsigned int hardirq_enable_event;
  unsigned int hardirq_disable_event;
  int hardirqs_enabled;
  int hardirq_context;
  unsigned long softirq_disable_ip;
  unsigned long softirq_enable_ip;
  unsigned int softirq_disable_event;
  unsigned int softirq_enable_event;
  int softirqs_enabled;
  int softirq_context;
  u64 curr_chain_key;
  int lockdep_depth;
  unsigned int lockdep_recursion;
  struct held_lock held_locks[48U];
  gfp_t lockdep_reclaim_gfp;
  void *journal_info;
  struct bio_list *bio_list;
  struct blk_plug *plug;
  struct reclaim_state *reclaim_state;
  struct backing_dev_info *backing_dev_info;
  struct io_context *io_context;
  unsigned long ptrace_message;
  siginfo_t *last_siginfo;
  struct task_io_accounting ioac;
  u64 acct_rss_mem1;
  u64 acct_vm_mem1;
  cputime_t acct_timexpd;
  nodemask_t mems_allowed;
  seqcount_t mems_allowed_seq;
  int cpuset_mem_spread_rotor;
  int cpuset_slab_spread_rotor;
  struct css_set *cgroups;
  struct list_head cg_list;
  struct robust_list_head *robust_list;
  struct compat_robust_list_head *compat_robust_list;
  struct list_head pi_state_list;
  struct futex_pi_state *pi_state_cache;
  struct perf_event_context *perf_event_ctxp[2U];
  struct mutex perf_event_mutex;
  struct list_head perf_event_list;
  struct mempolicy *mempolicy;
  short il_next;
  short pref_node_fork;
  struct callback_head rcu;
  struct pipe_inode_info *splice_pipe;
  struct page_frag task_frag;
  struct task_delay_info *delays;
  int make_it_fail;
  int nr_dirtied;
  int nr_dirtied_pause;
  unsigned long dirty_paused_when;
  int latency_record_count;
  struct latency_record latency_record[32U];
  unsigned long timer_slack_ns;
  unsigned long default_timer_slack_ns;
  unsigned long trace;
  unsigned long trace_recursion;
  struct memcg_batch_info memcg_batch;
  atomic_t ptrace_bp_refcnt;
  struct uprobe_task *utask;
} ;
struct usb_device ;
struct usb_driver ;
struct wusb_dev {
} ;
struct ep_device {
} ;
struct usb_host_endpoint {
  struct usb_endpoint_descriptor desc;
  struct usb_ss_ep_comp_descriptor ss_ep_comp;
  struct list_head urb_list;
  void *hcpriv;
  struct ep_device *ep_dev;
  unsigned char *extra;
  int extralen;
  int enabled;
} ;
struct usb_host_interface {
  struct usb_interface_descriptor desc;
  int extralen;
  unsigned char *extra;
  struct usb_host_endpoint *endpoint;
  char *string;
} ;
enum usb_interface_condition {
  USB_INTERFACE_UNBOUND = 0,
  USB_INTERFACE_BINDING = 1,
  USB_INTERFACE_BOUND = 2,
  USB_INTERFACE_UNBINDING = 3
} ;
struct usb_interface {
  struct usb_host_interface *altsetting;
  struct usb_host_interface *cur_altsetting;
  unsigned int num_altsetting;
  struct usb_interface_assoc_descriptor *intf_assoc;
  int minor;
  enum usb_interface_condition condition;
  unsigned char sysfs_files_created : 1;
  unsigned char ep_devs_created : 1;
  unsigned char unregistering : 1;
  unsigned char needs_remote_wakeup : 1;
  unsigned char needs_altsetting0 : 1;
  unsigned char needs_binding : 1;
  unsigned char reset_running : 1;
  unsigned char resetting_device : 1;
  struct device dev;
  struct device *usb_dev;
  atomic_t pm_usage_cnt;
  struct work_struct reset_ws;
} ;
struct usb_interface_cache {
  unsigned int num_altsetting;
  struct kref ref;
  struct usb_host_interface altsetting[0U];
} ;
struct usb_host_config {
  struct usb_config_descriptor desc;
  char *string;
  struct usb_interface_assoc_descriptor *intf_assoc[16U];
  struct usb_interface *interface[32U];
  struct usb_interface_cache *intf_cache[32U];
  unsigned char *extra;
  int extralen;
} ;
struct usb_host_bos {
  struct usb_bos_descriptor *desc;
  struct usb_ext_cap_descriptor *ext_cap;
  struct usb_ss_cap_descriptor *ss_cap;
  struct usb_ss_container_id_descriptor *ss_id;
} ;
struct usb_devmap {
  unsigned long devicemap[2U];
} ;
struct mon_bus {
} ;
struct usb_bus {
  struct device *controller;
  int busnum;
  const char *bus_name;
  u8 uses_dma;
  u8 uses_pio_for_control;
  u8 otg_port;
  unsigned char is_b_host : 1;
  unsigned char b_hnp_enable : 1;
  unsigned char no_stop_on_short : 1;
  unsigned int sg_tablesize;
  int devnum_next;
  struct usb_devmap devmap;
  struct usb_device *root_hub;
  struct usb_bus *hs_companion;
  struct list_head bus_list;
  int bandwidth_allocated;
  int bandwidth_int_reqs;
  int bandwidth_isoc_reqs;
  struct mon_bus *mon_bus;
  int monitored;
} ;
struct usb_tt {
} ;
enum usb_device_removable {
  USB_DEVICE_REMOVABLE_UNKNOWN = 0,
  USB_DEVICE_REMOVABLE = 1,
  USB_DEVICE_FIXED = 2
} ;
struct usb3_lpm_parameters {
  unsigned int mel;
  unsigned int pel;
  unsigned int sel;
  int timeout;
} ;
struct usb_device {
  int devnum;
  char devpath[16U];
  u32 route;
  enum usb_device_state state;
  enum usb_device_speed speed;
  struct usb_tt *tt;
  int ttport;
  unsigned int toggle[2U];
  struct usb_device *parent;
  struct usb_bus *bus;
  struct usb_host_endpoint ep0;
  struct device dev;
  struct usb_device_descriptor descriptor;
  struct usb_host_bos *bos;
  struct usb_host_config *config;
  struct usb_host_config *actconfig;
  struct usb_host_endpoint *ep_in[16U];
  struct usb_host_endpoint *ep_out[16U];
  char **rawdescriptors;
  unsigned short bus_mA;
  u8 portnum;
  u8 level;
  unsigned char can_submit : 1;
  unsigned char persist_enabled : 1;
  unsigned char have_langid : 1;
  unsigned char authorized : 1;
  unsigned char authenticated : 1;
  unsigned char wusb : 1;
  unsigned char lpm_capable : 1;
  unsigned char usb2_hw_lpm_capable : 1;
  unsigned char usb2_hw_lpm_enabled : 1;
  unsigned char usb3_lpm_enabled : 1;
  int string_langid;
  char *product;
  char *manufacturer;
  char *serial;
  struct list_head filelist;
  int maxchild;
  u32 quirks;
  atomic_t urbnum;
  unsigned long active_duration;
  unsigned long connect_time;
  unsigned char do_remote_wakeup : 1;
  unsigned char reset_resume : 1;
  struct wusb_dev *wusb_dev;
  int slot_id;
  enum usb_device_removable removable;
  struct usb3_lpm_parameters u1_params;
  struct usb3_lpm_parameters u2_params;
  unsigned int lpm_disable_count;
} ;
struct usb_dynids {
  spinlock_t lock;
  struct list_head list;
} ;
struct usbdrv_wrap {
  struct device_driver driver;
  int for_devices;
} ;
struct usb_driver {
  const char *name;
  int (*probe)(struct usb_interface *, const struct usb_device_id *);
  void (*disconnect)(struct usb_interface *);
  int (*unlocked_ioctl)(struct usb_interface *, unsigned int, void *);
  int (*suspend)(struct usb_interface *, pm_message_t );
  int (*resume)(struct usb_interface *);
  int (*reset_resume)(struct usb_interface *);
  int (*pre_reset)(struct usb_interface *);
  int (*post_reset)(struct usb_interface *);
  const struct usb_device_id *id_table;
  struct usb_dynids dynids;
  struct usbdrv_wrap drvwrap;
  unsigned char no_dynamic_id : 1;
  unsigned char supports_autosuspend : 1;
  unsigned char disable_hub_initiated_lpm : 1;
  unsigned char soft_unbind : 1;
} ;
struct usb_iso_packet_descriptor {
  unsigned int offset;
  unsigned int length;
  unsigned int actual_length;
  int status;
} ;
struct urb ;
struct usb_anchor {
  struct list_head urb_list;
  wait_queue_head_t wait;
  spinlock_t lock;
  unsigned char poisoned : 1;
} ;
struct scatterlist ;
struct urb {
  struct kref kref;
  void *hcpriv;
  atomic_t use_count;
  atomic_t reject;
  int unlinked;
  struct list_head urb_list;
  struct list_head anchor_list;
  struct usb_anchor *anchor;
  struct usb_device *dev;
  struct usb_host_endpoint *ep;
  unsigned int pipe;
  unsigned int stream_id;
  int status;
  unsigned int transfer_flags;
  void *transfer_buffer;
  dma_addr_t transfer_dma;
  struct scatterlist *sg;
  int num_mapped_sgs;
  int num_sgs;
  u32 transfer_buffer_length;
  u32 actual_length;
  unsigned char *setup_packet;
  dma_addr_t setup_dma;
  int start_frame;
  int number_of_packets;
  int interval;
  int error_count;
  void *context;
  void (*complete)(struct urb *);
  struct usb_iso_packet_descriptor iso_frame_desc[0U];
} ;
struct usb_sg_request {
  int status;
  size_t bytes;
  spinlock_t lock;
  struct usb_device *dev;
  int pipe;
  int entries;
  struct urb **urbs;
  int count;
  struct completion complete;
} ;
typedef unsigned char cc_t;
typedef unsigned int speed_t;
typedef unsigned int tcflag_t;
struct ktermios {
  tcflag_t c_iflag;
  tcflag_t c_oflag;
  tcflag_t c_cflag;
  tcflag_t c_lflag;
  cc_t c_line;
  cc_t c_cc[19U];
  speed_t c_ispeed;
  speed_t c_ospeed;
} ;
struct winsize {
  unsigned short ws_row;
  unsigned short ws_col;
  unsigned short ws_xpixel;
  unsigned short ws_ypixel;
} ;
struct termiox {
  __u16 x_hflag;
  __u16 x_cflag;
  __u16 x_rflag[5U];
  __u16 x_sflag;
} ;
struct kernel_symbol {
  unsigned long value;
  const char *name;
} ;
struct cdev {
  struct kobject kobj;
  struct module *owner;
  const struct file_operations *ops;
  struct list_head list;
  dev_t dev;
  unsigned int count;
} ;
struct tty_driver ;
struct serial_icounter_struct {
} ;
struct tty_operations {
  struct tty_struct *(*lookup)(struct tty_driver *, struct inode *, int);
  int (*install)(struct tty_driver *, struct tty_struct *);
  void (*remove)(struct tty_driver *, struct tty_struct *);
  int (*open)(struct tty_struct *, struct file *);
  void (*close)(struct tty_struct *, struct file *);
  void (*shutdown)(struct tty_struct *);
  void (*cleanup)(struct tty_struct *);
  int (*write)(struct tty_struct *, const unsigned char *, int);
  int (*put_char)(struct tty_struct *, unsigned char);
  void (*flush_chars)(struct tty_struct *);
  int (*write_room)(struct tty_struct *);
  int (*chars_in_buffer)(struct tty_struct *);
  int (*ioctl)(struct tty_struct *, unsigned int, unsigned long);
  long int (*compat_ioctl)(struct tty_struct *, unsigned int, unsigned long);
  void (*set_termios)(struct tty_struct *, struct ktermios *);
  void (*throttle)(struct tty_struct *);
  void (*unthrottle)(struct tty_struct *);
  void (*stop)(struct tty_struct *);
  void (*start)(struct tty_struct *);
  void (*hangup)(struct tty_struct *);
  int (*break_ctl)(struct tty_struct *, int);
  void (*flush_buffer)(struct tty_struct *);
  void (*set_ldisc)(struct tty_struct *);
  void (*wait_until_sent)(struct tty_struct *, int);
  void (*send_xchar)(struct tty_struct *, char);
  int (*tiocmget)(struct tty_struct *);
  int (*tiocmset)(struct tty_struct *, unsigned int, unsigned int);
  int (*resize)(struct tty_struct *, struct winsize *);
  int (*set_termiox)(struct tty_struct *, struct termiox *);
  int (*get_icount)(struct tty_struct *, struct serial_icounter_struct *);
  int (*poll_init)(struct tty_driver *, int, char *);
  int (*poll_get_char)(struct tty_driver *, int);
  void (*poll_put_char)(struct tty_driver *, int, char);
  const struct file_operations *proc_fops;
} ;
struct tty_port ;
struct tty_driver {
  int magic;
  struct kref kref;
  struct cdev *cdevs;
  struct module *owner;
  const char *driver_name;
  const char *name;
  int name_base;
  int major;
  int minor_start;
  unsigned int num;
  short type;
  short subtype;
  struct ktermios init_termios;
  unsigned long flags;
  struct proc_dir_entry *proc_entry;
  struct tty_driver *other;
  struct tty_struct **ttys;
  struct tty_port **ports;
  struct ktermios **termios;
  void *driver_state;
  const struct tty_operations *ops;
  struct list_head tty_drivers;
} ;
struct pps_event_time {
  struct timespec ts_real;
} ;
struct tty_ldisc_ops {
  int magic;
  char *name;
  int num;
  int flags;
  int (*open)(struct tty_struct *);
  void (*close)(struct tty_struct *);
  void (*flush_buffer)(struct tty_struct *);
  ssize_t (*chars_in_buffer)(struct tty_struct *);
  ssize_t (*read)(struct tty_struct *, struct file *, unsigned char *, size_t );
  ssize_t (*write)(struct tty_struct *, struct file *, const unsigned char *, size_t );
  int (*ioctl)(struct tty_struct *, struct file *, unsigned int, unsigned long);
  long int (*compat_ioctl)(struct tty_struct *, struct file *, unsigned int, unsigned long);
  void (*set_termios)(struct tty_struct *, struct ktermios *);
  unsigned int (*poll)(struct tty_struct *, struct file *, struct poll_table_struct *);
  int (*hangup)(struct tty_struct *);
  void (*receive_buf)(struct tty_struct *, const unsigned char *, char *, int);
  void (*write_wakeup)(struct tty_struct *);
  void (*dcd_change)(struct tty_struct *, unsigned int, struct pps_event_time *);
  struct module *owner;
  int refcount;
} ;
struct tty_ldisc {
  struct tty_ldisc_ops *ops;
  atomic_t users;
  wait_queue_head_t wq_idle;
} ;
struct tty_buffer {
  struct tty_buffer *next;
  char *char_buf_ptr;
  unsigned char *flag_buf_ptr;
  int used;
  int size;
  int commit;
  int read;
  unsigned long data[0U];
} ;
struct tty_bufhead {
  struct work_struct work;
  spinlock_t lock;
  struct tty_buffer *head;
  struct tty_buffer *tail;
  struct tty_buffer *free;
  int memory_used;
} ;
struct tty_port_operations {
  int (*carrier_raised)(struct tty_port *);
  void (*dtr_rts)(struct tty_port *, int);
  void (*shutdown)(struct tty_port *);
  void (*drop)(struct tty_port *);
  int (*activate)(struct tty_port *, struct tty_struct *);
  void (*destruct)(struct tty_port *);
} ;
struct tty_port {
  struct tty_struct *tty;
  const struct tty_port_operations *ops;
  spinlock_t lock;
  int blocked_open;
  int count;
  wait_queue_head_t open_wait;
  wait_queue_head_t close_wait;
  wait_queue_head_t delta_msr_wait;
  unsigned long flags;
  unsigned char console : 1;
  struct mutex mutex;
  struct mutex buf_mutex;
  unsigned char *xmit_buf;
  unsigned int close_delay;
  unsigned int closing_wait;
  int drain_delay;
  struct kref kref;
} ;
struct tty_struct {
  int magic;
  struct kref kref;
  struct device *dev;
  struct tty_driver *driver;
  const struct tty_operations *ops;
  int index;
  struct mutex ldisc_mutex;
  struct tty_ldisc *ldisc;
  struct mutex legacy_mutex;
  struct mutex termios_mutex;
  spinlock_t ctrl_lock;
  struct ktermios termios;
  struct ktermios termios_locked;
  struct termiox *termiox;
  char name[64U];
  struct pid *pgrp;
  struct pid *session;
  unsigned long flags;
  int count;
  struct winsize winsize;
  unsigned char stopped : 1;
  unsigned char hw_stopped : 1;
  unsigned char flow_stopped : 1;
  unsigned char packet : 1;
  unsigned char low_latency : 1;
  unsigned char warned : 1;
  unsigned char ctrl_status;
  unsigned int receive_room;
  struct tty_struct *link;
  struct fasync_struct *fasync;
  struct tty_bufhead buf;
  int alt_speed;
  wait_queue_head_t write_wait;
  wait_queue_head_t read_wait;
  struct work_struct hangup_work;
  void *disc_data;
  void *driver_data;
  struct list_head tty_files;
  unsigned int column;
  unsigned char lnext : 1;
  unsigned char erasing : 1;
  unsigned char raw : 1;
  unsigned char real_raw : 1;
  unsigned char icanon : 1;
  unsigned char closing : 1;
  unsigned char echo_overrun : 1;
  unsigned short minimum_to_wake;
  unsigned long overrun_time;
  int num_overrun;
  unsigned long process_char_map[4U];
  char *read_buf;
  int read_head;
  int read_tail;
  int read_cnt;
  unsigned long read_flags[64U];
  unsigned char *echo_buf;
  unsigned int echo_pos;
  unsigned int echo_cnt;
  int canon_data;
  unsigned long canon_head;
  unsigned int canon_column;
  struct mutex atomic_read_lock;
  struct mutex atomic_write_lock;
  struct mutex output_lock;
  struct mutex echo_lock;
  unsigned char *write_buf;
  int write_cnt;
  spinlock_t read_lock;
  struct work_struct SAK_work;
  struct tty_port *port;
} ;
struct kmem_cache_cpu {
  void **freelist;
  unsigned long tid;
  struct page *page;
  struct page *partial;
  unsigned int stat[26U];
} ;
struct kmem_cache_node {
  spinlock_t list_lock;
  unsigned long nr_partial;
  struct list_head partial;
  atomic_long_t nr_slabs;
  atomic_long_t total_objects;
  struct list_head full;
} ;
struct kmem_cache_order_objects {
  unsigned long x;
} ;
struct kmem_cache {
  struct kmem_cache_cpu *cpu_slab;
  unsigned long flags;
  unsigned long min_partial;
  int size;
  int object_size;
  int offset;
  int cpu_partial;
  struct kmem_cache_order_objects oo;
  struct kmem_cache_order_objects max;
  struct kmem_cache_order_objects min;
  gfp_t allocflags;
  int refcount;
  void (*ctor)(void *);
  int inuse;
  int align;
  int reserved;
  const char *name;
  struct list_head list;
  struct kobject kobj;
  int remote_node_defrag_ratio;
  struct kmem_cache_node *node[1024U];
} ;
struct mmc_host ;
typedef __u64 Elf64_Addr;
typedef __u16 Elf64_Half;
typedef __u32 Elf64_Word;
typedef __u64 Elf64_Xword;
struct elf64_sym {
  Elf64_Word st_name;
  unsigned char st_info;
  unsigned char st_other;
  Elf64_Half st_shndx;
  Elf64_Addr st_value;
  Elf64_Xword st_size;
} ;
typedef struct elf64_sym Elf64_Sym;
struct kernel_param ;
struct kernel_param_ops {
  int (*set)(const char *, const struct kernel_param *);
  int (*get)(char *, const struct kernel_param *);
  void (*free)(void *);
} ;
struct kparam_string ;
struct kparam_array ;
union __anonunion____missing_field_name_178 {
  void *arg;
  const struct kparam_string *str;
  const struct kparam_array *arr;
} ;
struct kernel_param {
  const char *name;
  const struct kernel_param_ops *ops;
  u16 perm;
  s16 level;
  union __anonunion____missing_field_name_178 __annonCompField52;
} ;
struct kparam_string {
  unsigned int maxlen;
  char *string;
} ;
struct kparam_array {
  unsigned int max;
  unsigned int elemsize;
  unsigned int *num;
  const struct kernel_param_ops *ops;
  void *elem;
} ;
struct static_key {
  atomic_t enabled;
} ;
struct tracepoint ;
struct tracepoint_func {
  void *func;
  void *data;
} ;
struct tracepoint {
  const char *name;
  struct static_key key;
  void (*regfunc)();
  void (*unregfunc)();
  struct tracepoint_func *funcs;
} ;
struct mod_arch_specific {
} ;
struct module_param_attrs {
} ;
struct module_kobject {
  struct kobject kobj;
  struct module *mod;
  struct kobject *drivers_dir;
  struct module_param_attrs *mp;
} ;
struct module_attribute {
  struct attribute attr;
  ssize_t (*show)(struct module_attribute *, struct module_kobject *, char *);
  ssize_t (*store)(struct module_attribute *, struct module_kobject *, const char *, size_t );
  void (*setup)(struct module *, const char *);
  int (*test)(struct module *);
  void (*free)(struct module *);
} ;
enum module_state {
  MODULE_STATE_LIVE = 0,
  MODULE_STATE_COMING = 1,
  MODULE_STATE_GOING = 2
} ;
struct module_ref {
  unsigned long incs;
  unsigned long decs;
} ;
struct module_sect_attrs {
} ;
struct module_notes_attrs {
} ;
struct ftrace_event_call {
} ;
struct module {
  enum module_state state;
  struct list_head list;
  char name[56U];
  struct module_kobject mkobj;
  struct module_attribute *modinfo_attrs;
  const char *version;
  const char *srcversion;
  struct kobject *holders_dir;
  const struct kernel_symbol *syms;
  const unsigned long *crcs;
  unsigned int num_syms;
  struct kernel_param *kp;
  unsigned int num_kp;
  unsigned int num_gpl_syms;
  const struct kernel_symbol *gpl_syms;
  const unsigned long *gpl_crcs;
  const struct kernel_symbol *unused_syms;
  const unsigned long *unused_crcs;
  unsigned int num_unused_syms;
  unsigned int num_unused_gpl_syms;
  const struct kernel_symbol *unused_gpl_syms;
  const unsigned long *unused_gpl_crcs;
  bool sig_ok;
  const struct kernel_symbol *gpl_future_syms;
  const unsigned long *gpl_future_crcs;
  unsigned int num_gpl_future_syms;
  unsigned int num_exentries;
  struct exception_table_entry *extable;
  int (*init)();
  void *module_init;
  void *module_core;
  unsigned int init_size;
  unsigned int core_size;
  unsigned int init_text_size;
  unsigned int core_text_size;
  unsigned int init_ro_size;
  unsigned int core_ro_size;
  struct mod_arch_specific arch;
  unsigned int taints;
  unsigned int num_bugs;
  struct list_head bug_list;
  struct bug_entry *bug_table;
  Elf64_Sym *symtab;
  Elf64_Sym *core_symtab;
  unsigned int num_symtab;
  unsigned int core_num_syms;
  char *strtab;
  char *core_strtab;
  struct module_sect_attrs *sect_attrs;
  struct module_notes_attrs *notes_attrs;
  char *args;
  void *percpu;
  unsigned int percpu_size;
  unsigned int num_tracepoints;
  const struct tracepoint **tracepoints_ptrs;
  unsigned int num_trace_bprintk_fmt;
  const char **trace_bprintk_fmt_start;
  struct ftrace_event_call **trace_events;
  unsigned int num_trace_events;
  struct list_head source_list;
  struct list_head target_list;
  struct task_struct *waiter;
  void (*exit)();
  struct module_ref *refptr;
  ctor_fn_t (**ctors)();
  unsigned int num_ctors;
} ;
enum led_brightness {
  LED_OFF = 0,
  LED_HALF = 127,
  LED_FULL = 255
} ;
struct led_trigger ;
struct led_classdev {
  const char *name;
  int brightness;
  int max_brightness;
  int flags;
  void (*brightness_set)(struct led_classdev *, enum led_brightness );
  enum led_brightness (*brightness_get)(struct led_classdev *);
  int (*blink_set)(struct led_classdev *, unsigned long *, unsigned long *);
  struct device *dev;
  struct list_head node;
  const char *default_trigger;
  unsigned long blink_delay_on;
  unsigned long blink_delay_off;
  struct timer_list blink_timer;
  int blink_brightness;
  struct work_struct set_brightness_work;
  int delayed_set_value;
  struct rw_semaphore trigger_lock;
  struct led_trigger *trigger;
  struct list_head trig_list;
  void *trigger_data;
  bool activated;
} ;
struct led_trigger {
  const char *name;
  void (*activate)(struct led_classdev *);
  void (*deactivate)(struct led_classdev *);
  rwlock_t leddev_list_lock;
  struct list_head led_cdevs;
  struct list_head next_trig;
} ;
struct seq_file {
  char *buf;
  size_t size;
  size_t from;
  size_t count;
  loff_t index;
  loff_t read_pos;
  u64 version;
  struct mutex lock;
  const struct seq_operations *op;
  int poll_event;
  void *private;
} ;
struct seq_operations {
  void *(*start)(struct seq_file *, loff_t *);
  void (*stop)(struct seq_file *, void *);
  void *(*next)(struct seq_file *, void *, loff_t *);
  int (*show)(struct seq_file *, void *);
} ;
struct fault_attr {
  unsigned long probability;
  unsigned long interval;
  atomic_t times;
  atomic_t space;
  unsigned long verbose;
  u32 task_filter;
  unsigned long stacktrace_depth;
  unsigned long require_start;
  unsigned long require_end;
  unsigned long reject_start;
  unsigned long reject_end;
  unsigned long count;
} ;
struct mmc_data ;
struct mmc_request ;
struct mmc_command {
  u32 opcode;
  u32 arg;
  u32 resp[4U];
  unsigned int flags;
  unsigned int retries;
  unsigned int error;
  unsigned int cmd_timeout_ms;
  struct mmc_data *data;
  struct mmc_request *mrq;
} ;
struct mmc_data {
  unsigned int timeout_ns;
  unsigned int timeout_clks;
  unsigned int blksz;
  unsigned int blocks;
  unsigned int error;
  unsigned int flags;
  unsigned int bytes_xfered;
  struct mmc_command *stop;
  struct mmc_request *mrq;
  unsigned int sg_len;
  struct scatterlist *sg;
  s32 host_cookie;
} ;
struct mmc_request {
  struct mmc_command *sbc;
  struct mmc_command *cmd;
  struct mmc_data *data;
  struct mmc_command *stop;
  struct completion completion;
  void (*done)(struct mmc_request *);
} ;
struct mmc_card ;
struct mmc_async_req ;
typedef unsigned int mmc_pm_flag_t;
struct mmc_ios {
  unsigned int clock;
  unsigned short vdd;
  unsigned char bus_mode;
  unsigned char chip_select;
  unsigned char power_mode;
  unsigned char bus_width;
  unsigned char timing;
  unsigned char signal_voltage;
  unsigned char drv_type;
} ;
struct mmc_host_ops {
  int (*enable)(struct mmc_host *);
  int (*disable)(struct mmc_host *);
  void (*post_req)(struct mmc_host *, struct mmc_request *, int);
  void (*pre_req)(struct mmc_host *, struct mmc_request *, bool );
  void (*request)(struct mmc_host *, struct mmc_request *);
  void (*set_ios)(struct mmc_host *, struct mmc_ios *);
  int (*get_ro)(struct mmc_host *);
  int (*get_cd)(struct mmc_host *);
  void (*enable_sdio_irq)(struct mmc_host *, int);
  void (*init_card)(struct mmc_host *, struct mmc_card *);
  int (*start_signal_voltage_switch)(struct mmc_host *, struct mmc_ios *);
  int (*execute_tuning)(struct mmc_host *, u32 );
  void (*enable_preset_value)(struct mmc_host *, bool );
  int (*select_drive_strength)(unsigned int, int, int);
  void (*hw_reset)(struct mmc_host *);
} ;
struct mmc_async_req {
  struct mmc_request *mrq;
  int (*err_check)(struct mmc_card *, struct mmc_async_req *);
} ;
struct mmc_slot {
  int cd_irq;
  struct mutex lock;
  void *handler_priv;
} ;
struct regulator {
} ;
struct mmc_supply {
  struct regulator *vmmc;
  struct regulator *vqmmc;
} ;
struct mmc_bus_ops {
} ;
struct mmc_host {
  struct device *parent;
  struct device class_dev;
  int index;
  const struct mmc_host_ops *ops;
  unsigned int f_min;
  unsigned int f_max;
  unsigned int f_init;
  u32 ocr_avail;
  u32 ocr_avail_sdio;
  u32 ocr_avail_sd;
  u32 ocr_avail_mmc;
  struct notifier_block pm_notify;
  u32 max_current_330;
  u32 max_current_300;
  u32 max_current_180;
  u32 caps;
  u32 caps2;
  mmc_pm_flag_t pm_caps;
  int clk_requests;
  unsigned int clk_delay;
  bool clk_gated;
  struct delayed_work clk_gate_work;
  unsigned int clk_old;
  spinlock_t clk_lock;
  struct mutex clk_gate_mutex;
  struct device_attribute clkgate_delay_attr;
  unsigned long clkgate_delay;
  unsigned int max_seg_size;
  unsigned short max_segs;
  unsigned short unused;
  unsigned int max_req_size;
  unsigned int max_blk_size;
  unsigned int max_blk_count;
  unsigned int max_discard_to;
  spinlock_t lock;
  struct mmc_ios ios;
  u32 ocr;
  unsigned char use_spi_crc : 1;
  unsigned char claimed : 1;
  unsigned char bus_dead : 1;
  unsigned char removed : 1;
  int rescan_disable;
  int rescan_entered;
  struct mmc_card *card;
  wait_queue_head_t wq;
  struct task_struct *claimer;
  int claim_cnt;
  struct delayed_work detect;
  int detect_change;
  struct mmc_slot slot;
  const struct mmc_bus_ops *bus_ops;
  unsigned int bus_refs;
  unsigned int sdio_irqs;
  struct task_struct *sdio_irq_thread;
  bool sdio_irq_pending;
  atomic_t sdio_irq_thread_abort;
  mmc_pm_flag_t pm_flags;
  struct led_trigger *led;
  bool regulator_enabled;
  struct mmc_supply supply;
  struct dentry *debugfs_root;
  struct mmc_async_req *areq;
  struct fault_attr fail_mmc_request;
  unsigned int actual_clock;
  unsigned long private[0U];
} ;
struct mmc_cid {
  unsigned int manfid;
  char prod_name[8U];
  unsigned int serial;
  unsigned short oemid;
  unsigned short year;
  unsigned char hwrev;
  unsigned char fwrev;
  unsigned char month;
} ;
struct mmc_csd {
  unsigned char structure;
  unsigned char mmca_vsn;
  unsigned short cmdclass;
  unsigned short tacc_clks;
  unsigned int tacc_ns;
  unsigned int c_size;
  unsigned int r2w_factor;
  unsigned int max_dtr;
  unsigned int erase_size;
  unsigned int read_blkbits;
  unsigned int write_blkbits;
  unsigned int capacity;
  unsigned char read_partial : 1;
  unsigned char read_misalign : 1;
  unsigned char write_partial : 1;
  unsigned char write_misalign : 1;
} ;
struct mmc_ext_csd {
  u8 rev;
  u8 erase_group_def;
  u8 sec_feature_support;
  u8 rel_sectors;
  u8 rel_param;
  u8 part_config;
  u8 cache_ctrl;
  u8 rst_n_function;
  unsigned int part_time;
  unsigned int sa_timeout;
  unsigned int generic_cmd6_time;
  unsigned int power_off_longtime;
  u8 power_off_notification;
  unsigned int hs_max_dtr;
  unsigned int sectors;
  unsigned int card_type;
  unsigned int hc_erase_size;
  unsigned int hc_erase_timeout;
  unsigned int sec_trim_mult;
  unsigned int sec_erase_mult;
  unsigned int trim_timeout;
  bool enhanced_area_en;
  unsigned long long enhanced_area_offset;
  unsigned int enhanced_area_size;
  unsigned int cache_size;
  bool hpi_en;
  bool hpi;
  unsigned int hpi_cmd;
  bool bkops;
  bool bkops_en;
  unsigned int data_sector_size;
  unsigned int data_tag_unit_size;
  unsigned int boot_ro_lock;
  bool boot_ro_lockable;
  u8 raw_exception_status;
  u8 raw_partition_support;
  u8 raw_rpmb_size_mult;
  u8 raw_erased_mem_count;
  u8 raw_ext_csd_structure;
  u8 raw_card_type;
  u8 out_of_int_time;
  u8 raw_s_a_timeout;
  u8 raw_hc_erase_gap_size;
  u8 raw_erase_timeout_mult;
  u8 raw_hc_erase_grp_size;
  u8 raw_sec_trim_mult;
  u8 raw_sec_erase_mult;
  u8 raw_sec_feature_support;
  u8 raw_trim_mult;
  u8 raw_bkops_status;
  u8 raw_sectors[4U];
  unsigned int feature_support;
} ;
struct sd_scr {
  unsigned char sda_vsn;
  unsigned char sda_spec3;
  unsigned char bus_widths;
  unsigned char cmds;
} ;
struct sd_ssr {
  unsigned int au;
  unsigned int erase_timeout;
  unsigned int erase_offset;
} ;
struct sd_switch_caps {
  unsigned int hs_max_dtr;
  unsigned int uhs_max_dtr;
  unsigned int sd3_bus_mode;
  unsigned int sd3_drv_type;
  unsigned int sd3_curr_limit;
} ;
struct sdio_cccr {
  unsigned int sdio_vsn;
  unsigned int sd_vsn;
  unsigned char multi_block : 1;
  unsigned char low_speed : 1;
  unsigned char wide_bus : 1;
  unsigned char high_power : 1;
  unsigned char high_speed : 1;
  unsigned char disable_cd : 1;
} ;
struct sdio_cis {
  unsigned short vendor;
  unsigned short device;
  unsigned short blksize;
  unsigned int max_dtr;
} ;
struct sdio_func ;
struct sdio_func_tuple ;
struct mmc_part {
  unsigned int size;
  unsigned int part_cfg;
  char name[20U];
  bool force_ro;
  unsigned int area_type;
} ;
struct mmc_card {
  struct mmc_host *host;
  struct device dev;
  unsigned int rca;
  unsigned int type;
  unsigned int state;
  unsigned int quirks;
  unsigned int erase_size;
  unsigned int erase_shift;
  unsigned int pref_erase;
  u8 erased_byte;
  u32 raw_cid[4U];
  u32 raw_csd[4U];
  u32 raw_scr[2U];
  struct mmc_cid cid;
  struct mmc_csd csd;
  struct mmc_ext_csd ext_csd;
  struct sd_scr scr;
  struct sd_ssr ssr;
  struct sd_switch_caps sw_caps;
  unsigned int sdio_funcs;
  struct sdio_cccr cccr;
  struct sdio_cis cis;
  struct sdio_func *sdio_func[7U];
  struct sdio_func *sdio_single_irq;
  unsigned int num_info;
  const char **info;
  struct sdio_func_tuple *tuples;
  unsigned int sd_bus_speed;
  struct dentry *debugfs_root;
  struct mmc_part part[6U];
  unsigned int nr_parts;
} ;
typedef void sdio_irq_handler_t(struct sdio_func *);
struct sdio_func_tuple {
  struct sdio_func_tuple *next;
  unsigned char code;
  unsigned char size;
  unsigned char data[0U];
} ;
struct sdio_func {
  struct mmc_card *card;
  struct device dev;
  sdio_irq_handler_t *irq_handler;
  unsigned int num;
  unsigned char class;
  unsigned short vendor;
  unsigned short device;
  unsigned int max_blksize;
  unsigned int cur_blksize;
  unsigned int enable_timeout;
  unsigned int state;
  u8 tmpbuf[4U];
  unsigned int num_info;
  const char **info;
  struct sdio_func_tuple *tuples;
} ;
struct firmware {
  size_t size;
  u8 *data;
  struct page **pages;
  void *priv;
} ;
struct vm_fault {
  unsigned int flags;
  unsigned long pgoff;
  void *virtual_address;
  struct page *page;
} ;
struct vm_operations_struct {
  void (*open)(struct vm_area_struct *);
  void (*close)(struct vm_area_struct *);
  int (*fault)(struct vm_area_struct *, struct vm_fault *);
  int (*page_mkwrite)(struct vm_area_struct *, struct vm_fault *);
  int (*access)(struct vm_area_struct *, unsigned long, void *, int, int);
  int (*set_policy)(struct vm_area_struct *, struct mempolicy *);
  struct mempolicy *(*get_policy)(struct vm_area_struct *, unsigned long);
  int (*migrate)(struct vm_area_struct *, nodemask_t *, nodemask_t *, unsigned long);
  int (*remap_pages)(struct vm_area_struct *, unsigned long, unsigned long, unsigned long);
} ;
struct scatterlist {
  unsigned long sg_magic;
  unsigned long page_link;
  unsigned int offset;
  unsigned int length;
  dma_addr_t dma_address;
  unsigned int dma_length;
} ;
struct host_controller_info {
  u8 info_size;
  u16 firmware_version;
  u8 number_of_ports;
} ;
struct sd_command_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  u8 command_type;
  u8 command_index;
  u8 transfer_size[4U];
  u8 response_type;
  u8 arguments[4U];
  u8 block_count[2U];
  u8 block_size[2U];
  u8 block_boundary[2U];
  u8 reserved[44U];
} ;
struct sd_irqpoll_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  u8 command_type;
  u8 padding[16U];
  u8 poll_timeout_msb;
  u8 poll_timeout_lsb;
  u8 reserved[42U];
} ;
struct sd_common_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
} ;
struct sd_response_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  u8 command_type;
  u8 command_index;
  u8 command_response[0U];
} ;
struct sd_status_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  u16 port_flags;
  u32 sdio_clock;
  u16 host_header_size;
  u16 func_header_size;
  u16 ctrl_header_size;
} ;
struct sd_error_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  u8 error_code;
} ;
struct sd_interrupt_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
} ;
struct offload_registers_access {
  u8 command_byte[4U];
  u8 Respond_Byte[4U];
} ;
struct sd_offloaded_interrupt {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  struct offload_registers_access reg[15U];
} ;
struct sd_register_header {
  u8 header_size;
  u8 header_type;
  u8 port_number;
  u8 command_type;
  u8 command_index;
  u8 command_response[6U];
} ;
struct sd_offloaded_piggyback {
  struct sd_register_header sdio;
  struct offload_registers_access reg[14U];
} ;
union sd_response {
  struct sd_common_header common;
  struct sd_status_header status;
  struct sd_error_header error;
  struct sd_interrupt_header interrupt;
  struct sd_response_header response;
  struct sd_offloaded_interrupt irq;
  struct sd_offloaded_piggyback pig;
} ;
union sd_command {
  struct sd_command_header head;
  struct sd_irqpoll_header poll;
} ;
struct sdio_register {
  unsigned char func_num : 3;
  unsigned int sdio_reg : 17;
  unsigned char activate : 1;
  unsigned char prepared : 1;
  unsigned char regvalue;
  unsigned char response;
  unsigned int sparebit : 26;
} ;
struct offload_interrupt_function_register {
  u8 offload_count;
  u32 offload_point;
  struct offload_registers_access reg[16U];
} ;
struct vub300_mmc_host {
  struct usb_device *udev;
  struct usb_interface *interface;
  struct kref kref;
  struct mutex cmd_mutex;
  struct mutex irq_mutex;
  char vub_name[80U];
  u8 cmnd_out_ep;
  u8 cmnd_res_ep;
  u8 data_out_ep;
  u8 data_inp_ep;
  bool card_powered;
  bool card_present;
  bool read_only;
  bool large_usb_packets;
  bool app_spec;
  bool irq_enabled;
  bool irq_disabled;
  unsigned char bus_width : 4;
  u8 total_offload_count;
  u8 dynamic_register_count;
  u8 resp_len;
  u32 datasize;
  int errors;
  int usb_transport_fail;
  int usb_timed_out;
  int irqs_queued;
  struct sdio_register sdio_register[16U];
  struct offload_interrupt_function_register fn[8U];
  u16 fbs[8U];
  struct mmc_command *cmd;
  struct mmc_request *req;
  struct mmc_data *data;
  struct mmc_host *mmc;
  struct urb *urb;
  struct urb *command_out_urb;
  struct urb *command_res_urb;
  struct completion command_complete;
  struct completion irqpoll_complete;
  union sd_command cmnd;
  union sd_response resp;
  struct timer_list sg_transfer_timer;
  struct usb_sg_request sg_request;
  struct timer_list inactivity_timer;
  struct work_struct deadwork;
  struct work_struct cmndwork;
  struct delayed_work pollwork;
  struct host_controller_info hc_info;
  struct sd_status_header system_port_status;
  u8 padded_buffer[64U];
} ;
typedef int ldv_func_ret_type;
typedef bool ldv_func_ret_type___0;
typedef bool ldv_func_ret_type___1;
typedef int ldv_func_ret_type___2;
typedef int ldv_func_ret_type___3;
typedef int ldv_func_ret_type___4;
typedef int ldv_func_ret_type___5;
typedef int ldv_func_ret_type___6;
typedef struct urb *ldv_func_ret_type___7;
typedef int ldv_func_ret_type___8;
typedef int ldv_func_ret_type___9;
typedef int ldv_func_ret_type___10;
typedef struct urb *ldv_func_ret_type___11;
typedef struct urb *ldv_func_ret_type___12;
typedef int ldv_func_ret_type___13;
struct module __this_module = {  };
volatile unsigned long jiffies = 0UL;
int __VERIFIER_nondet_int() {
  static unsigned int test_vector_index = 0;
  int retval;
  switch (test_vector_index) {
    case 0: retval = 6; break;
    case 1: retval = 1; break;
    case 2: retval = 0; break;
    case 3: retval = 0; break;
    case 4: retval = 6; break;
    case 5: retval = 0; break;
  }
  ++test_vector_index;
  return retval;
}
void *__VERIFIER_nondet_pointer() {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
unsigned long int __VERIFIER_nondet_ulong() {
  unsigned long int retval;
  retval = 0UL;
  return retval;
}
struct workqueue_struct *__alloc_workqueue_key(const char *p0, unsigned int p1, int p2, struct lock_class_key *p3, const char *p4, ...) {
  static unsigned int test_vector_index = 0;
  struct workqueue_struct *retval;
  switch (test_vector_index) {
    case 0: { struct workqueue_struct *__tmp_var; __tmp_var = malloc(sizeof(struct workqueue_struct )); retval = __tmp_var; } break;
    case 1: { struct workqueue_struct *__tmp_var; __tmp_var = malloc(sizeof(struct workqueue_struct )); retval = __tmp_var; } break;
    case 2: { struct workqueue_struct *__tmp_var; __tmp_var = malloc(sizeof(struct workqueue_struct )); retval = __tmp_var; } break;
  }
  ++test_vector_index;
  return retval;
}
int __dynamic_dev_dbg(struct _ddebug *p0, const struct device *p1, const char *p2, ...) {
  int retval;
  retval = 0;
  return retval;
}
void __init_waitqueue_head(wait_queue_head_t *p0, const char *p1, struct lock_class_key *p2) {
}
void __init_work(struct work_struct *p0, int p1) {
}
void *__kmalloc(size_t p0, gfp_t p1) {
  void *retval;
  { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; }
  return retval;
}
void __mutex_init(struct mutex *p0, const char *p1, struct lock_class_key *p2) {
}
int _dev_info(const struct device *p0, const char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
void add_timer(struct timer_list *p0) {
}
void *calloc(size_t p0, size_t p1) {
  static unsigned int test_vector_index = 0;
  void *retval;
  switch (test_vector_index) {
    case 0: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 1: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 2: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 3: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 4: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
    case 5: { void *__tmp_var; __tmp_var = malloc(4096U); retval = __tmp_var; } break;
  }
  ++test_vector_index;
  return retval;
}
void complete(struct completion *p0) {
}
int del_timer(struct timer_list *p0) {
  int retval;
  retval = 0;
  return retval;
}
void delayed_work_timer_fn(unsigned long p0) {
}
void destroy_workqueue(struct workqueue_struct *p0) {
}
int dev_err(const struct device *p0, const char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
int dev_warn(const struct device *p0, const char *p1, ...) {
  int retval;
  retval = 0;
  return retval;
}
bool flush_delayed_work(struct delayed_work *p0) {
  bool retval;
  retval = 0;
  return retval;
}
void flush_scheduled_work() {
}
bool flush_work(struct work_struct *p0) {
  bool retval;
  retval = 0;
  return retval;
}
void flush_workqueue(struct workqueue_struct *p0) {
}
void init_timer_key(struct timer_list *p0, unsigned int p1, const char *p2, struct lock_class_key *p3) {
}
void kfree(const void *p0) {
}
void ldv_initialize() {
}
int ldv_reset_resume_6() {
  int retval;
  retval = 0;
  return retval;
}
void lockdep_init_map(struct lockdep_map *p0, const char *p1, struct lock_class_key *p2, int p3) {
}
int mmc_add_host(struct mmc_host *p0) {
  int retval;
  retval = 0;
  return retval;
}
struct mmc_host *mmc_alloc_host(int p0, struct device *p1) {
  struct mmc_host *retval;
  { struct mmc_host *__tmp_var; __tmp_var = malloc(sizeof(struct mmc_host )); retval = __tmp_var; }
  return retval;
}
void mmc_detect_change(struct mmc_host *p0, unsigned long p1) {
}
void mmc_free_host(struct mmc_host *p0) {
}
void mmc_remove_host(struct mmc_host *p0) {
}
void mmc_request_done(struct mmc_host *p0, struct mmc_request *p1) {
}
int mmc_resume_host(struct mmc_host *p0) {
  int retval;
  retval = 0;
  return retval;
}
int mmc_suspend_host(struct mmc_host *p0) {
  int retval;
  retval = 0;
  return retval;
}
int mod_timer(struct timer_list *p0, unsigned long p1) {
  int retval;
  retval = 0;
  return retval;
}
unsigned long int msecs_to_jiffies(const unsigned int p0) {
  unsigned long int retval;
  retval = 0UL;
  return retval;
}
void msleep(unsigned int p0) {
}
void mutex_lock_nested(struct mutex *p0, unsigned int p1) {
}
void mutex_unlock(struct mutex *p0) {
}
int printk(const char *p0, ...) {
  int retval;
  retval = 0;
  return retval;
}
bool queue_delayed_work(struct workqueue_struct *p0, struct delayed_work *p1, unsigned long p2) {
  bool retval;
  retval = 0;
  return retval;
}
bool queue_work(struct workqueue_struct *p0, struct work_struct *p1) {
  bool retval;
  retval = 0;
  return retval;
}
void release_firmware(const struct firmware *p0) {
}
int request_firmware(const struct firmware **p0, const char *p1, struct device *p2) {
  int retval;
  retval = 0;
  return retval;
}
size_t sg_copy_from_buffer(struct scatterlist *p0, unsigned int p1, void *p2, size_t p3) {
  size_t retval;
  retval = 0UL;
  return retval;
}
size_t sg_copy_to_buffer(struct scatterlist *p0, unsigned int p1, void *p2, size_t p3) {
  size_t retval;
  retval = 0UL;
  return retval;
}
int snprintf(char *p0, size_t p1, const char *p2, ...) {
  int retval;
  retval = 0;
  return retval;
}
char *strncpy(char *p0, const char *p1, __kernel_size_t p2) {
  char *retval;
  { char *__tmp_var; __tmp_var = malloc(sizeof(char)); retval = __tmp_var; }
  return retval;
}
struct urb *usb_alloc_urb(int p0, gfp_t p1) {
  static unsigned int test_vector_index = 0;
  struct urb *retval;
  switch (test_vector_index) {
    case 0: { struct urb *__tmp_var; __tmp_var = malloc(sizeof(struct urb )); retval = __tmp_var; } break;
    case 1: { struct urb *__tmp_var; __tmp_var = malloc(sizeof(struct urb )); retval = __tmp_var; } break;
  }
  ++test_vector_index;
  return retval;
}
int usb_control_msg(struct usb_device *p0, unsigned int p1, __u8 p2, __u8 p3, __u16 p4, __u16 p5, void *p6, __u16 p7, int p8) {
  int retval;
  retval = 0;
  return retval;
}
void usb_deregister(struct usb_driver *p0) {
}
void usb_free_urb(struct urb *p0) {
}
void usb_kill_urb(struct urb *p0) {
}
int usb_lock_device_for_reset(struct usb_device *p0, const struct usb_interface *p1) {
  int retval;
  retval = 0;
  return retval;
}
void usb_put_dev(struct usb_device *p0) {
}
int usb_register_driver(struct usb_driver *p0, struct module *p1, const char *p2) {
  int retval;
  retval = 0;
  return retval;
}
int usb_reset_device(struct usb_device *p0) {
  int retval;
  retval = 0;
  return retval;
}
void usb_sg_cancel(struct usb_sg_request *p0) {
}
int usb_sg_init(struct usb_sg_request *p0, struct usb_device *p1, unsigned int p2, unsigned int p3, struct scatterlist *p4, int p5, size_t p6, gfp_t p7) {
  int retval;
  retval = 0;
  return retval;
}
void usb_sg_wait(struct usb_sg_request *p0) {
}
int usb_string(struct usb_device *p0, int p1, char *p2, size_t p3) {
  static unsigned int test_vector_index = 0;
  int retval;
  switch (test_vector_index) {
    case 0: retval = 0; break;
    case 1: retval = 0; break;
    case 2: retval = 0; break;
  }
  ++test_vector_index;
  return retval;
}
int usb_unlink_urb(struct urb *p0) {
  int retval;
  retval = 0;
  return retval;
}
unsigned long int wait_for_completion_timeout(struct completion *p0, unsigned long p1) {
  unsigned long int retval;
  retval = 0UL;
  return retval;
}
int wake_up_process(struct task_struct *p0) {
  int retval;
  retval = 0;
  return retval;
}
void warn_slowpath_null(const char *p0, const int p1) {
}
